#include <zebra.h>

#include "command.h"
#include "linklist.h"

#include "vtysh/vtysh.h"

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_day_month_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_day_month_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_duration_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) duration (1-2147483646)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_duration_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) duration (1-2147483646)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_infinite_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) infinite", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_infinite_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) infinite", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_month_day_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_month_day_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_ALL, access_list_any_cmd_vtysh, 
       "access-list WORD <deny|permit> any", 
       "Add an access list entry\n"
       "IP zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Prefix to match. e.g. 10.0.0.0/8\n")

DEFSH (VTYSH_ALL, access_list_exact_cmd_vtysh, 
       "access-list WORD <deny|permit> A.B.C.D/M [exact-match]", 
       "Add an access list entry\n"
       "IP zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Prefix to match. e.g. 10.0.0.0/8\n"
       "Exact match of the prefixes\n")

DEFSH (VTYSH_ALL, access_list_extended_any_any_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip any any", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Any source host\n"
       "Any destination host\n")

DEFSH (VTYSH_ALL, access_list_extended_any_host_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip any host A.B.C.D", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Any source host\n"
       "A single destination host\n"
       "Destination address\n")

DEFSH (VTYSH_ALL, access_list_extended_any_mask_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip any A.B.C.D A.B.C.D", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Any source host\n"
       "Destination address\n"
       "Destination Wildcard bits\n")

DEFSH (VTYSH_ALL, access_list_extended_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip A.B.C.D A.B.C.D A.B.C.D A.B.C.D", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Source address\n"
       "Source wildcard bits\n"
       "Destination address\n"
       "Destination Wildcard bits\n")

DEFSH (VTYSH_ALL, access_list_extended_host_any_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip host A.B.C.D any", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "A single source host\n"
       "Source address\n"
       "Any destination host\n")

DEFSH (VTYSH_ALL, access_list_extended_host_host_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip host A.B.C.D host A.B.C.D", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "A single source host\n"
       "Source address\n"
       "A single destination host\n"
       "Destination address\n")

DEFSH (VTYSH_ALL, access_list_extended_host_mask_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip host A.B.C.D A.B.C.D A.B.C.D", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "A single source host\n"
       "Source address\n"
       "Destination address\n"
       "Destination Wildcard bits\n")

DEFSH (VTYSH_ALL, access_list_extended_mask_any_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip A.B.C.D A.B.C.D any", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Source address\n"
       "Source wildcard bits\n"
       "Any destination host\n")

DEFSH (VTYSH_ALL, access_list_extended_mask_host_cmd_vtysh, 
       "access-list <(100-199)|(2000-2699)> <deny|permit> ip A.B.C.D A.B.C.D host A.B.C.D", 
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Source address\n"
       "Source wildcard bits\n"
       "A single destination host\n"
       "Destination address\n")

DEFSH (VTYSH_ALL, access_list_remark_cmd_vtysh, 
       "access-list <(1-99)|(100-199)|(1300-1999)|(2000-2699)|WORD> remark LINE...", 
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP extended access list\n"
       "IP standard access list (expanded range)\n"
       "IP extended access list (expanded range)\n"
       "IP zebra access-list\n"
       "Access list entry comment\n"
       "Comment up to 100 characters\n")

DEFSH (VTYSH_ALL, access_list_standard_any_cmd_vtysh, 
       "access-list <(1-99)|(1300-1999)> <deny|permit> any", 
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any source host\n")

DEFSH (VTYSH_ALL, access_list_standard_cmd_vtysh, 
       "access-list <(1-99)|(1300-1999)> <deny|permit> A.B.C.D A.B.C.D", 
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Address to match\n"
       "Wildcard bits\n")

DEFSH (VTYSH_ALL, access_list_standard_host_cmd_vtysh, 
       "access-list <(1-99)|(1300-1999)> <deny|permit> host A.B.C.D", 
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "A single host address\n"
       "Address to match\n")

DEFSH (VTYSH_ALL, access_list_standard_nomask_cmd_vtysh, 
       "access-list <(1-99)|(1300-1999)> <deny|permit> A.B.C.D", 
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Address to match\n")

DEFSH (VTYSH_BGPD, af_import_vrf_route_map_cmd_vtysh,  "[no] import vrf route-map RMAP$rmap_str",  "Negate a command or set its defaults\n" "Import routes from another VRF\n" "Vrf routes being filtered\n" "Specify route map\n" "name of route-map\n")

DEFSH (VTYSH_BGPD, af_label_vpn_export_cmd_vtysh,  "[no] label vpn export <(0-1048575)$label_val|auto$label_auto>",  "Negate a command or set its defaults\n" "label value for VRF\n" "Between current address-family and vpn\n" "For routes leaked from current address-family to vpn\n" "Label Value <0-1048575>\n" "Automatically assign a label\n")

DEFSH (VTYSH_BGPD, af_nexthop_vpn_export_cmd_vtysh,  "[no] nexthop vpn export <A.B.C.D|X:X::X:X>$nexthop_str",  "Negate a command or set its defaults\n" "Specify next hop to use for VRF advertised prefixes\n" "Between current address-family and vpn\n" "For routes leaked from current address-family to vpn\n" "IPv4 prefix\n" "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, af_no_import_vrf_route_map_cmd_vtysh, 
      "no import vrf route-map", 
      "Negate a command or set its defaults\n"
      "Import routes from another VRF\n"
      "Vrf routes being filtered\n"
      "Specify route map\n")

DEFSH (VTYSH_BGPD, af_no_label_vpn_export_cmd_vtysh, 
       "no label vpn export", 
       "Negate a command or set its defaults\n"
       "label value for VRF\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_nexthop_vpn_export_cmd_vtysh, 
       "no nexthop vpn export", 
       "Negate a command or set its defaults\n"
       "Specify next hop to use for VRF advertised prefixes\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_rd_vpn_export_cmd_vtysh, 
       "no rd vpn export", 
       "Negate a command or set its defaults\n"
       "Specify route distinguisher\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_route_map_vpn_imexport_cmd_vtysh, 
       "no route-map vpn <import|export>$direction_str", 
       "Negate a command or set its defaults\n"
       "Specify route map\n"
       "Between current address-family and vpn\n"
       "For routes leaked from vpn to current address-family\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_rt_vpn_imexport_cmd_vtysh, 
       "no <rt|route-target> vpn <import|export|both>$direction_str", 
       "Negate a command or set its defaults\n"
       "Specify route target list\n"
       "Specify route target list\n"
       "Between current address-family and vpn\n"
       "For routes leaked from vpn to current address-family\n"
       "For routes leaked from current address-family to vpn\n"
       "both import and export\n")

DEFSH (VTYSH_BGPD, af_rd_vpn_export_cmd_vtysh,  "[no] rd vpn export ASN:NN_OR_IP-ADDRESS:NN$rd_str",  "Negate a command or set its defaults\n" "Specify route distinguisher\n" "Between current address-family and vpn\n" "For routes leaked from current address-family to vpn\n" "Route Distinguisher (<as-number>:<number> | <ip-address>:<number>)\n")

DEFSH (VTYSH_BGPD, af_route_map_vpn_imexport_cmd_vtysh,  "[no] route-map vpn <import|export>$direction_str RMAP$rmap_str",  "Negate a command or set its defaults\n" "Specify route map\n" "Between current address-family and vpn\n" "For routes leaked from vpn to current address-family\n" "For routes leaked from current address-family to vpn\n" "name of route-map\n")

DEFSH (VTYSH_BGPD, af_routetarget_import_cmd_vtysh,  "[no] <rt|route-target> redirect import RTLIST...",  "Negate a command or set its defaults\n" "Specify route target list\n" "Specify route target list\n" "Flow-spec redirect type route target\n" "Import routes to this address-family\n" "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, af_rt_vpn_imexport_cmd_vtysh,  "[no] <rt|route-target> vpn <import|export|both>$direction_str RTLIST...",  "Negate a command or set its defaults\n" "Specify route target list\n" "Specify route target list\n" "Between current address-family and vpn\n" "For routes leaked from vpn to current address-family: match any\n" "For routes leaked from current address-family to vpn: set\n" "both import: match any and export: set\n" "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, aggregate_address_cmd_vtysh, 
       "aggregate-address A.B.C.D/M [<as-set [summary-only]|summary-only [as-set]>]", 
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n")

DEFSH (VTYSH_BGPD, aggregate_address_mask_cmd_vtysh, 
       "aggregate-address A.B.C.D A.B.C.D [<as-set [summary-only]|summary-only [as-set]>]", 
       "Configure BGP aggregate entries\n"
       "Aggregate address\n"
       "Aggregate mask\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n")

DEFSH (VTYSH_ZEBRA, allow_external_route_update_cmd_vtysh, 
       "allow-external-route-update", 
       "Allow FRR routes to be overwritten by external processes\n")

DEFSH (VTYSH_ZEBRA, bandwidth_if_cmd_vtysh, 
       "bandwidth (1-100000)", 
       "Set bandwidth informational parameter\n"
       "Bandwidth in megabits\n")

DEFSH (VTYSH_BFDD, bfd_no_peer_cmd_vtysh,  "no peer <A.B.C.D|X:X::X:X>$peer [{multihop|local-address <A.B.C.D|X:X::X:X>$local|interface IFNAME$ifname|vrf NAME$vrfname}]",  "Negate a command or set its defaults\n" "Configure peer\n" "IPv4 peer address\n" "IPv6 peer address\n" "Configure multihop\n" "Configure local address\n" "IPv4 local address\n" "IPv6 local address\n" "Interface information\n" "Configure local interface name to use\n" "Configure VRF\n" "Configure VRF name\n")

DEFSH (VTYSH_BFDD, bfd_peer_detectmultiplier_cmd_vtysh,  "detect-multiplier (2-255)$multiplier",  "Configure peer detection multiplier\n" "Configure peer detection multiplier value\n")

DEFSH (VTYSH_BFDD, bfd_peer_echo_cmd_vtysh,  "[no] echo-mode",  "Negate a command or set its defaults\n" "Configure echo mode\n")

DEFSH (VTYSH_BFDD, bfd_peer_echointerval_cmd_vtysh,  "echo-interval (10-60000)$interval",  "Configure peer echo interval\n" "Configure peer echo interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_peer_label_cmd_vtysh,  "label WORD$label",  "Register peer label\n" "Register peer label identification\n")

DEFSH (VTYSH_BFDD, bfd_peer_recvinterval_cmd_vtysh,  "receive-interval (10-60000)$interval",  "Configure peer receive interval\n" "Configure peer receive interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_peer_shutdown_cmd_vtysh,  "[no] shutdown",  "Negate a command or set its defaults\n" "Disable BFD peer")

DEFSH (VTYSH_BFDD, bfd_peer_txinterval_cmd_vtysh,  "transmit-interval (10-60000)$interval",  "Configure peer transmit interval\n" "Configure peer transmit interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_show_peer_cmd_vtysh,  "show bfd peer <WORD$label|<A.B.C.D|X:X::X:X>$peer [{multihop|local-address <A.B.C.D|X:X::X:X>$local|interface IFNAME$ifname|vrf NAME$vrfname}]> [json]",  "Show running system information\n" "Bidirection Forwarding Detection\n" "BFD peers status\n" "Peer label\n" "IPv4 peer address\n" "IPv6 peer address\n" "Configure multihop\n" "Configure local address\n" "IPv4 local address\n" "IPv6 local address\n" "Interface information\n" "Configure local interface name to use\n" "Configure VRF\n" "Configure VRF name\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peer_counters_cmd_vtysh,  "show bfd peer <WORD$label|<A.B.C.D|X:X::X:X>$peer [{multihop|local-address <A.B.C.D|X:X::X:X>$local|interface IFNAME$ifname|vrf NAME$vrfname}]> counters [json]",  "Show running system information\n" "Bidirection Forwarding Detection\n" "BFD peers status\n" "Peer label\n" "IPv4 peer address\n" "IPv6 peer address\n" "Configure multihop\n" "Configure local address\n" "IPv4 local address\n" "IPv6 local address\n" "Interface information\n" "Configure local interface name to use\n" "Configure VRF\n" "Configure VRF name\n" "Show BFD peer counters information\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peers_cmd_vtysh,  "show bfd peers [json]",  "Show running system information\n" "Bidirection Forwarding Detection\n" "BFD peers status\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peers_counters_cmd_vtysh,  "show bfd peers counters [json]",  "Show running system information\n" "Bidirection Forwarding Detection\n" "BFD peers status\n" "Show BFD peer counters information\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, bgp_always_compare_med_cmd_vtysh, 
       "bgp always-compare-med", 
       "BGP specific commands\n"
       "Allow comparing MED from different neighbors\n")

DEFSH (VTYSH_BGPD, bgp_as_path_cmd_vtysh, 
      "bgp as-path access-list WORD <deny|permit> LINE...", 
      "BGP information\n"
      "BGP autonomous system path filter\n"
      "Specify an access list name\n"
      "Regular expression access list name\n"
      "Specify packets to reject\n"
      "Specify packets to forward\n"
      "A regular-expression (1234567890_(^|[, {}() ]|$)) to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_aspath_confed_cmd_vtysh, 
       "bgp bestpath as-path confed", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Compare path lengths including confederation sets & sequences in selecting a route\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_aspath_ignore_cmd_vtysh, 
       "bgp bestpath as-path ignore", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Ignore as-path length in selecting a route\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_aspath_multipath_relax_cmd_vtysh, 
       "bgp bestpath as-path multipath-relax [<as-set|no-as-set>]", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Allow load sharing across routes that have different AS paths (but same length)\n"
       "Generate an AS_SET\n"
       "Do not generate an AS_SET\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_compare_router_id_cmd_vtysh, 
       "bgp bestpath compare-routerid", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "Compare router-id for identical EBGP paths\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_med_cmd_vtysh, 
       "bgp bestpath med <confed [missing-as-worst]|missing-as-worst [confed]>", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "MED attribute\n"
       "Compare MED among confederation paths\n"
       "Treat missing MED as the least preferred one\n"
       "Treat missing MED as the least preferred one\n"
       "Compare MED among confederation paths\n")

DEFSH (VTYSH_BGPD, bgp_client_to_client_reflection_cmd_vtysh, 
       "bgp client-to-client reflection", 
       "BGP specific commands\n"
       "Configure client to client route reflection\n"
       "reflection of routes allowed\n")

DEFSH (VTYSH_BGPD, bgp_cluster_id_cmd_vtysh, 
       "bgp cluster-id <A.B.C.D|(1-4294967295)>", 
       "BGP information\n"
       "Configure Route-Reflector Cluster-id\n"
       "Route-Reflector Cluster-id in IP address format\n"
       "Route-Reflector Cluster-id as 32 bit quantity\n")

DEFSH (VTYSH_BGPD, bgp_coalesce_time_cmd_vtysh, 
       "coalesce-time (0-4294967295)", 
       "Subgroup coalesce timer\n"
       "Subgroup coalesce timer value (in ms)\n")

DEFSH (VTYSH_BGPD, bgp_community_list_expanded_all_cmd_vtysh, 
       "bgp community-list <(100-500)|expanded WORD> <deny|permit> AA:NN...", 
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (expanded)\n"
       "Add an expanded community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, bgp_community_list_standard_cmd_vtysh, 
       "bgp community-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (standard)\n"
       "Add an standard community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, bgp_confederation_identifier_cmd_vtysh, 
       "bgp confederation identifier (1-4294967295)", 
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "AS number\n"
       "Set routing domain confederation AS\n")

DEFSH (VTYSH_BGPD, bgp_confederation_peers_cmd_vtysh, 
       "bgp confederation peers (1-4294967295)...", 
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "Peer ASs in BGP confederation\n"
       "AS number\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_config_type_cmd_vtysh, 
       "bgp config-type <cisco|zebra>", 
       "BGP information\n"
       "Configuration type\n"
       "cisco\n"
       "zebra\n")

DEFSH (VTYSH_BGPD, bgp_damp_set_cmd_vtysh, 
       "bgp dampening [(1-45) [(1-20000) (1-20000) (1-255)]]", 
       "BGP Specific commands\n"
       "Enable route-flap dampening\n"
       "Half-life time for the penalty\n"
       "Value to start reusing a route\n"
       "Value to start suppressing a route\n"
       "Maximum duration to suppress a stable route\n")

DEFSH (VTYSH_BGPD, bgp_damp_unset_cmd_vtysh, 
       "no bgp dampening [(1-45) [(1-20000) (1-20000) (1-255)]]", 
       "Negate a command or set its defaults\n"
       "BGP Specific commands\n"
       "Enable route-flap dampening\n"
       "Half-life time for the penalty\n"
       "Value to start reusing a route\n"
       "Value to start suppressing a route\n"
       "Maximum duration to suppress a stable route\n")

DEFSH (VTYSH_BGPD, bgp_default_ipv4_unicast_cmd_vtysh, 
       "bgp default ipv4-unicast", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Activate ipv4-unicast for a peer by default\n")

DEFSH (VTYSH_BGPD, bgp_default_local_preference_cmd_vtysh, 
       "bgp default local-preference (0-4294967295)", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "local preference (higher=more preferred)\n"
       "Configure default local preference value\n")

DEFSH (VTYSH_BGPD, bgp_default_show_hostname_cmd_vtysh, 
       "bgp default show-hostname", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Show hostname in certain command outputs\n")

DEFSH (VTYSH_BGPD, bgp_default_shutdown_cmd_vtysh, 
       "[no] bgp default shutdown", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Configure BGP defaults\n"
       "Apply administrative shutdown to newly configured peers\n")

DEFSH (VTYSH_BGPD, bgp_default_subgroup_pkt_queue_max_cmd_vtysh, 
       "bgp default subgroup-pkt-queue-max (20-100)", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "subgroup-pkt-queue-max\n"
       "Configure subgroup packet queue max\n")

DEFSH (VTYSH_BGPD, bgp_deterministic_med_cmd_vtysh, 
       "bgp deterministic-med", 
       "BGP specific commands\n"
       "Pick the best-MED path among paths advertised from the neighboring AS\n")

DEFSH (VTYSH_BGPD, bgp_disable_connected_route_check_cmd_vtysh, 
       "bgp disable-ebgp-connected-route-check", 
       "BGP specific commands\n"
       "Disable checking if nexthop is connected on ebgp sessions\n")

DEFSH (VTYSH_BGPD, bgp_distance_cmd_vtysh, 
       "distance bgp (1-255) (1-255) (1-255)", 
       "Define an administrative distance\n"
       "BGP distance\n"
       "Distance for routes external to the AS\n"
       "Distance for routes internal to the AS\n"
       "Distance for local routes\n")

DEFSH (VTYSH_BGPD, bgp_distance_source_access_list_cmd_vtysh, 
       "distance (1-255) A.B.C.D/M WORD", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, bgp_distance_source_cmd_vtysh, 
       "distance (1-255) A.B.C.D/M", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_enforce_first_as_cmd_vtysh, 
       "[no] bgp enforce-first-as", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Enforce the first AS for EBGP routes\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_all_vni_cmd_vtysh, 
       "advertise-all-vni", 
       "Advertise All local VNIs\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_autort_rfc8365_cmd_vtysh, 
       "autort rfc8365-compatible", 
       "Auto-derivation of RT\n"
       "Auto-derivation of RT using RFC8365\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_default_gw_cmd_vtysh, 
       "advertise-default-gw", 
       "Advertise All default g/w mac-ip routes in EVPN\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_default_gw_vni_cmd_vtysh, 
       "advertise-default-gw", 
       "Advertise default g/w mac-ip routes in EVPN for a VNI\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_type5_cmd_vtysh, 
       "advertise " "<ipv4|ipv6>" "" "<unicast|multicast|vpn>" " [route-map WORD]", 
       "Advertise prefix routes\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "route-map for filtering specific routes\n"
       "Name of the route map\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_evpn_advertise_vni_subnet_cmd_vtysh, 
       "advertise-subnet", 
       "Advertise the subnet corresponding to VNI\n")

DEFSH (VTYSH_BGPD, bgp_evpn_default_originate_cmd_vtysh, 
       "default-originate <ipv4 | ipv6>", 
       "originate a default route\n"
       "ipv4 address family\n"
       "ipv6 address family\n")

DEFSH (VTYSH_BGPD, bgp_evpn_flood_control_cmd_vtysh,  "[no$no] flooding <disable$disable|head-end-replication$her>",  "Negate a command or set its defaults\n" "Specify handling for BUM packets\n" "Do not flood any BUM packets\n" "Flood BUM packets using head-end replication\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vni_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vni_rt_cmd_vtysh, 
       "route-target <both|import|export> RT", 
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "Route target (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vrf_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vrf_rt_cmd_vtysh, 
       "route-target <both|import|export> RT", 
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "Route target (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, bgp_extcommunity_list_name_expanded_cmd_vtysh, 
       "bgp extcommunity-list <(100-500)|expanded WORD> <deny|permit> LINE...", 
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (expanded)\n"
       "Specify expanded extcommunity-list\n"
       "Extended Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, bgp_extcommunity_list_standard_cmd_vtysh, 
       "bgp extcommunity-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (standard)\n"
       "Specify standard extcommunity-list\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Extended community attribute in 'rt aa:nn_or_IPaddr:nn' OR 'soo aa:nn_or_IPaddr:nn' format\n")

DEFSH (VTYSH_BGPD, bgp_fast_external_failover_cmd_vtysh, 
       "bgp fast-external-failover", 
       "BGP information\n"
       "Immediately reset session if a link to a directly connected external peer goes down\n")

DEFSH (VTYSH_BGPD, bgp_fs_local_install_ifname_cmd_vtysh, 
 "[no] local-install INTERFACE", 
 "Negate a command or set its defaults\n"
 "Apply local policy routing\n"
 "Interface name\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_cmd_vtysh, 
       "bgp graceful-restart", 
       "BGP specific commands\n"
       "Graceful restart capability parameters\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_preserve_fw_cmd_vtysh, 
       "bgp graceful-restart preserve-fw-state", 
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Sets F-bit indication that fib is preserved while doing Graceful Restart\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_restart_time_cmd_vtysh, 
       "bgp graceful-restart restart-time (1-3600)", 
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Set the time to wait to delete stale routes before a BGP open message is received\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_stalepath_time_cmd_vtysh, 
       "bgp graceful-restart stalepath-time (1-3600)", 
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Set the max time to hold onto restarting peer's stale paths\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, bgp_graceful_shutdown_cmd_vtysh, 
       "bgp graceful-shutdown", 
       "BGP information\n"
       "Graceful shutdown parameters\n")

DEFSH (VTYSH_BGPD, bgp_imexport_vpn_cmd_vtysh,  "[no] <import|export>$direction_str vpn",  "Negate a command or set its defaults\n" "Import routes to this address-family\n" "Export routes from this address-family\n" "to/from default instance VPN RIB\n")

DEFSH (VTYSH_BGPD, bgp_imexport_vrf_cmd_vtysh,  "[no] import vrf VIEWVRFNAME$import_name",  "Negate a command or set its defaults\n" "Import routes from another VRF\n" "VRF to import from\n" "The name of the VRF\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_expanded_cmd_vtysh, 
       "bgp large-community-list (100-500) <deny|permit> LINE...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (expanded)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_name_expanded_cmd_vtysh, 
       "bgp large-community-list expanded WORD <deny|permit> LINE...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_name_standard1_cmd_vtysh, 
       "bgp large-community-list standard WORD <deny|permit> AA:BB:CC...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_name_standard_cmd_vtysh, 
       "bgp large-community-list standard WORD <deny|permit>", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_standard1_cmd_vtysh, 
       "bgp large-community-list (1-99) <deny|permit> AA:BB:CC...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_standard_cmd_vtysh, 
       "bgp large-community-list (1-99) <deny|permit>", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n")

DEFSH (VTYSH_BGPD, bgp_listen_limit_cmd_vtysh, 
       "bgp listen limit (1-5000)", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "maximum number of BGP Dynamic Neighbors that can be created\n"
       "Configure Dynamic Neighbors listen limit value\n")

DEFSH (VTYSH_BGPD, bgp_listen_range_cmd_vtysh, 
       "bgp listen range <A.B.C.D/M|X:X::X:X/M> peer-group WORD", 
       "BGP specific commands\n"
       "Configure BGP dynamic neighbors listen range\n"
       "Configure BGP dynamic neighbors listen range\n"
       "Neighbor address\nIPv6 address\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_local_mac_cmd_vtysh, 
              "bgp local-mac vni " "(1-16777215)" " mac WORD seq (0-4294967295)", 
              "BGP information\n"
              "Local MAC config\n"
              "VxLAN Network Identifier\n"
              "VNI number\n"
              "local mac\n"
              "mac address\n"
              "mac-mobility sequence\n"
              "seq number\n")

DEFSH (VTYSH_BGPD, bgp_log_neighbor_changes_cmd_vtysh, 
       "bgp log-neighbor-changes", 
       "BGP specific commands\n"
       "Log neighbor up/down and reset reason\n")

DEFSH (VTYSH_BGPD, bgp_maxmed_admin_cmd_vtysh, 
       "bgp max-med administrative ", 
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Administratively applied,  for an indefinite period\n")

DEFSH (VTYSH_BGPD, bgp_maxmed_admin_medv_cmd_vtysh, 
       "bgp max-med administrative (0-4294967295)", 
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Administratively applied,  for an indefinite period\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, bgp_maxmed_onstartup_cmd_vtysh, 
       "bgp max-med on-startup (5-86400) [(0-4294967295)]", 
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Effective on a startup\n"
       "Time (seconds) period for max-med\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, bgp_maxpaths_cmd_vtysh, 
       "maximum-paths " "(" "1" "-" "256" ")", 
       "Forward packets over multiple paths\n"
       "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_maxpaths_hidden_cmd_vtysh, 
      "maximum-paths " "(" "1" "-" "256" ")", 
      "Forward packets over multiple paths\n"
      "Number of paths\n")

DEFSH (VTYSH_BGPD, bgp_maxpaths_ibgp_cluster_cmd_vtysh, 
       "maximum-paths ibgp " "(" "1" "-" "256" ")" " equal-cluster-length", 
       "Forward packets over multiple paths\n"
       "iBGP-multipath\n"
       "Number of paths\n"
       "Match the cluster length\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_maxpaths_ibgp_cluster_hidden_cmd_vtysh, 
      "maximum-paths ibgp " "(" "1" "-" "256" ")"
                         " equal-cluster-length", 
      "Forward packets over multiple paths\n"
      "iBGP-multipath\n"
      "Number of paths\n"
      "Match the cluster length\n")

DEFSH (VTYSH_BGPD, bgp_maxpaths_ibgp_cmd_vtysh, 
       "maximum-paths ibgp " "(" "1" "-" "256" ")", 
       "Forward packets over multiple paths\n"
       "iBGP-multipath\n"
       "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_maxpaths_ibgp_hidden_cmd_vtysh, 
      "maximum-paths ibgp " "(" "1" "-" "256" ")", 
      "Forward packets over multiple paths\n"
      "iBGP-multipath\n"
      "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_multiple_instance_cmd_vtysh, 
       "bgp multiple-instance", 
       "BGP information\n"
       "Enable bgp multiple instance\n")

DEFSH (VTYSH_BGPD, bgp_network_cmd_vtysh,  "[no] network 	<A.B.C.D/M$prefix|A.B.C.D$address [mask A.B.C.D$netmask]> 	[{route-map WORD$map_name|label-index (0-1048560)$label_index| 	backdoor$backdoor}]",  "Negate a command or set its defaults\n" "Specify a network to announce via BGP\n" "IPv4 prefix\n" "Network number\n" "Network mask\n" "Network mask\n" "Route-map to modify the attributes\n" "Name of the route map\n" "Label index to associate with the prefix\n" "Label index value\n" "Specify a BGP backdoor route\n")

DEFSH (VTYSH_BGPD, bgp_network_import_check_cmd_vtysh, 
       "bgp network import-check", 
       "BGP specific commands\n"
       "BGP network command\n"
       "Check BGP network route exists in IGP\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_network_import_check_exact_cmd_vtysh, 
      "bgp network import-check exact", 
      "BGP specific commands\n"
      "BGP network command\n"
      "Check BGP network route exists in IGP\n"
      "Match route precisely\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_metric_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295)", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_metric_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_metric_rmap_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>"
 " metric (0-4294967295) route-map WORD", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535)", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh, 
      "redistribute <ospf|table> (1-65535)", 
      "Redistribute information from another routing protocol\n"
      "Open Shortest Path First (OSPFv2)\n"
      "Non-main Kernel Routing Table\n"
      "Instance ID/Table ID\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_hidden_cmd_vtysh, 
      "redistribute <ospf|table> (1-65535) metric (0-4294967295)", 
      "Redistribute information from another routing protocol\n"
      "Open Shortest Path First (OSPFv2)\n"
      "Non-main Kernel Routing Table\n"
      "Instance ID/Table ID\n"
      "Metric for redistributed routes\n"
      "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_rmap_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) metric (0-4294967295) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_rmap_hidden_cmd_vtysh, 
 "redistribute <ospf|table> (1-65535) metric (0-4294967295) route-map WORD", 
 "Redistribute information from another routing protocol\n"
 "Open Shortest Path First (OSPFv2)\n"
 "Non-main Kernel Routing Table\n"
 "Instance ID/Table ID\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_hidden_cmd_vtysh, 
      "redistribute <ospf|table> (1-65535) route-map WORD", 
      "Redistribute information from another routing protocol\n"
      "Open Shortest Path First (OSPFv2)\n"
      "Non-main Kernel Routing Table\n"
      "Instance ID/Table ID\n"
      "Route map reference\n"
      "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_metric_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) route-map WORD metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Route map reference\n"
       "Pointer to route-map entries\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_metric_hidden_cmd_vtysh, 
 "redistribute <ospf|table> (1-65535) route-map WORD metric (0-4294967295)", 
 "Redistribute information from another routing protocol\n"
 "Open Shortest Path First (OSPFv2)\n"
 "Non-main Kernel Routing Table\n"
 "Instance ID/Table ID\n"
 "Route map reference\n"
 "Pointer to route-map entries\n"
 "Metric for redistributed routes\n"
 "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_metric_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>"
 " route-map WORD metric (0-4294967295)", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Route map reference\n"
 "Pointer to route-map entries\n"
 "Metric for redistributed routes\n"
 "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_metric_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_rmap_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_router_id_cmd_vtysh,  "bgp router-id A.B.C.D",  "BGP information\n" "Override configured router identifier\n" "Manually configured router identifier\n")

DEFSH (VTYSH_BGPD, bgp_rpki_start_cmd_vtysh, 
       "rpki start", 
       "Control rpki specific settings\n"
       "start rpki support\n")

DEFSH (VTYSH_BGPD, bgp_rpki_stop_cmd_vtysh, 
       "rpki stop", 
       "Control rpki specific settings\n"
       "start rpki support\n")

DEFSH (VTYSH_BGPD, bgp_rpkt_quanta_cmd_vtysh, 
       "read-quanta (1-10)", 
       "How many packets to read from peer socket per I/O cycle\n"
       "Number of packets\n")

DEFSH (VTYSH_BGPD, bgp_rr_allow_outbound_policy_cmd_vtysh, 
       "bgp route-reflector allow-outbound-policy", 
       "BGP specific commands\n"
       "Allow modifications made by out route-map\n"
       "on ibgp neighbors\n")

DEFSH (VTYSH_BGPD, bgp_set_route_map_delay_timer_cmd_vtysh, 
       "bgp route-map delay-timer (0-600)", 
       "Set values in destination routing protocol\n"
       "BGP route-map delay timer\n"
       "Time in secs to wait before processing route-map changes\n"
       "0 disables the timer,  no route updates happen when route-maps change\n")

DEFSH (VTYSH_BGPD, bgp_table_map_cmd_vtysh, 
       "table-map WORD", 
       "BGP table to RIB route download filter\n"
       "Name of the route map\n")

DEFSH (VTYSH_BGPD, bgp_timers_cmd_vtysh, 
       "timers bgp (0-65535) (0-65535)", 
       "Adjust routing timers\n"
       "BGP timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, bgp_update_delay_cmd_vtysh, 
       "update-delay (0-3600)", 
       "Force initial delay for best-path and updates\n"
       "Seconds\n")

DEFSH (VTYSH_BGPD, bgp_update_delay_establish_wait_cmd_vtysh, 
       "update-delay (0-3600) (1-3600)", 
       "Force initial delay for best-path and updates\n"
       "Seconds\n"
       "Seconds\n")

DEFSH (VTYSH_BGPD, bgp_wpkt_quanta_cmd_vtysh, 
       "write-quanta (1-10)", 
       "How many packets to write to peer socket per run\n"
       "Number of packets\n")

DEFSH (VTYSH_BGPD, clear_bgp_instance_ipv6_safi_prefix_cmd_vtysh, 
       "clear [ip] bgp <view|vrf> VIEWVRFNAME ipv6 ""<unicast|multicast|vpn>"" prefix X:X::X:X/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Clear bestpath and re-advertise\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, clear_bgp_ipv6_safi_prefix_cmd_vtysh, 
       "clear [ip] bgp ipv6 ""<unicast|multicast|vpn>"" prefix X:X::X:X/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Address Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Clear bestpath and re-advertise\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_ZEBRA, clear_evpn_dup_addr_cmd_vtysh,  "clear evpn dup-addr vni <all$vni_all |" "(1-16777215)""$vni_val [mac M:A:C$mac_val | ip <A.B.C.D|X:X::X:X>]>",  "Reset functions\n" "EVPN\n" "Duplicate address \n" "VxLAN Network Identifier\n" "VNI number\n" "All VNIs\n" "MAC\n" "MAC address (e.g.,  00:e0:ec:20:12:62)\n" "IP\n" "IPv4 address\n" "IPv6 address\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_all_cmd_vtysh, 
       "clear [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] <*|A.B.C.D|X:X::X:X|WORD|(1-4294967295)|external|peer-group WORD> [<soft [<in|out>]|in [prefix-filter]|out>]", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Clear all peers\n"
       "BGP neighbor address to clear\n"
       "BGP IPv6 neighbor to clear\n"
       "BGP neighbor on interface to clear\n"
       "Clear peers with the AS number\n"
       "Clear all external peers\n"
       "Clear all members of peer-group\n"
       "BGP peer-group name\n"
       "Soft reconfig inbound and outbound updates\n"
       "Send route-refresh unless using 'soft-reconfiguration inbound'\n"
       "Resend all outbound updates\n"
       "Send route-refresh unless using 'soft-reconfiguration inbound'\n"
       "Push out prefix-list ORF and do inbound soft reconfig\n"
       "Resend all outbound updates\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_address_cmd_vtysh, 
       "clear ip bgp dampening A.B.C.D", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n"
       "Network to clear damping information\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_address_mask_cmd_vtysh, 
       "clear ip bgp dampening A.B.C.D A.B.C.D", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n"
       "Network to clear damping information\n"
       "Network mask\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_cmd_vtysh, 
       "clear ip bgp dampening", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_prefix_cmd_vtysh, 
       "clear ip bgp dampening A.B.C.D/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n"
       "IPv4 prefix\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_prefix_cmd_vtysh, 
       "clear [ip] bgp [<view|vrf> VIEWVRFNAME] prefix A.B.C.D/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Clear bestpath and re-advertise\n"
       "IPv4 prefix\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, clear_ip_prefix_list_cmd_vtysh,  "clear ip prefix-list [WORD [A.B.C.D/M$prefix]]",  "Reset functions\n" "IP information\n" "Build a prefix list\n" "Name of a prefix list\n" "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, clear_ipv6_prefix_list_cmd_vtysh,  "clear ipv6 prefix-list [WORD [X:X::X:X/M$prefix]]",  "Reset functions\n" "IPv6 information\n" "Build a prefix list\n" "Name of a prefix list\n" "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n")

DEFSH (VTYSH_ZEBRA, clear_zebra_fpm_stats_cmd_vtysh, 
       "clear zebra fpm stats", 
       "Reset functions\n"
       "Zebra information\n"
       "Clear Forwarding Path Manager information\n"
       "Statistics\n")

DEFSH (VTYSH_ZEBRA, config_table_cmd_vtysh, 
       "table TABLENO", 
       "Configure target kernel routing table\n"
       "TABLE integer\n")

DEFSH (VTYSH_WATCHFRR, config_write_integrated_cmd_vtysh, 
      "write integrated", 
      "Write running configuration to memory,  network,  or terminal\n"
      "Write integrated all-daemon frr.conf file\n")

DEFSH (VTYSH_BGPD, debug_bgp_allow_martians_cmd_vtysh, 
       "debug bgp allow-martians", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow martian next hops\n")

DEFSH (VTYSH_BGPD, debug_bgp_as4_cmd_vtysh, 
       "debug bgp as4", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n")

DEFSH (VTYSH_BGPD, debug_bgp_as4_segment_cmd_vtysh, 
       "debug bgp as4 segment", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n"
       "BGP AS4 aspath segment handling\n")

DEFSH (VTYSH_BGPD, debug_bgp_bestpath_prefix_cmd_vtysh, 
       "debug bgp bestpath <A.B.C.D/M|X:X::X:X/M>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP bestpath\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_bgp_flowspec_cmd_vtysh, 
       "debug bgp flowspec", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow flowspec debugging entries\n")

DEFSH (VTYSH_BGPD, debug_bgp_keepalive_cmd_vtysh, 
       "debug bgp keepalives", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n")

DEFSH (VTYSH_BGPD, debug_bgp_keepalive_peer_cmd_vtysh, 
       "debug bgp keepalives <A.B.C.D|X:X::X:X|WORD>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Neighbor Events\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, debug_bgp_labelpool_cmd_vtysh, 
       "debug bgp labelpool", 
       "Debugging functions\n"
       "BGP information\n"
       "label pool\n")

DEFSH (VTYSH_BGPD, debug_bgp_neighbor_events_cmd_vtysh, 
       "debug bgp neighbor-events", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Neighbor Events\n")

DEFSH (VTYSH_BGPD, debug_bgp_neighbor_events_peer_cmd_vtysh, 
       "debug bgp neighbor-events <A.B.C.D|X:X::X:X|WORD>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Neighbor Events\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, debug_bgp_nht_cmd_vtysh, 
       "debug bgp nht", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP nexthop tracking events\n")

DEFSH (VTYSH_BGPD, debug_bgp_pbr_cmd_vtysh, 
       "debug bgp pbr [error]", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP policy based routing\n"
       "BGP PBR error\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_cmd_vtysh, 
       "debug bgp updates", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_direct_cmd_vtysh, 
       "debug bgp updates <in|out>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_direct_peer_cmd_vtysh, 
       "debug bgp updates <in|out> <A.B.C.D|X:X::X:X|WORD>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_groups_cmd_vtysh, 
       "debug bgp update-groups", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP update-groups\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_prefix_afi_safi_cmd_vtysh,  "debug bgp updates prefix l2vpn$afi evpn$safi type <macip mac <X:X:X:X:X:X|X:X:X:X:X:X/M> [ip <A.B.C.D|X:X::X:X>]|multicast ip <A.B.C.D|X:X::X:X>|prefix ip <A.B.C.D/M|X:X::X:X/M>>",  "Debugging functions\n" "BGP information\n" "BGP updates\n" "Specify a prefix to debug\n" "Layer 2 Virtual Private Network\n" "Ethernet Virtual Private Network\n" "Specify EVPN Route type\n" "MAC-IP (Type-2) route\n" "MAC address\n" "MAC address\n" "MAC address\n" "IP information\n" "IPv4 address\n" "IPv6 address\n" "Multicast (Type-3) route\n" "IP information\n" "IPv4 address\n" "IPv6 address\n" "Prefix (Type-5) route\n" "IP information\n" "IPv4 prefix\n" "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_prefix_cmd_vtysh, 
       "debug bgp updates prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_bgp_vpn_cmd_vtysh, 
       "debug bgp vpn <leak-from-vrf|leak-to-vrf|rmap-event|label>", 
       "Debugging functions\n"
       "BGP information\n"
       "VPN routes\n"
       "leaked from vrf to vpn\n"
       "leaked to vrf from vpn\n"
       "route-map updates\n"
       "labels\n")

DEFSH (VTYSH_BGPD, debug_bgp_zebra_cmd_vtysh, 
       "debug bgp zebra", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n")

DEFSH (VTYSH_BGPD, debug_bgp_zebra_prefix_cmd_vtysh, 
       "debug bgp zebra prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_rpki_cmd_vtysh, 
       "debug rpki", 
       "Debugging functions\n"
       "Enable debugging for rpki\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_dplane_cmd_vtysh, 
       "debug zebra dplane [detailed]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra dataplane events\n"
       "Detailed debug information\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_events_cmd_vtysh, 
       "debug zebra events", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra events\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_fpm_cmd_vtysh, 
       "debug zebra fpm", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra FPM events\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_kernel_cmd_vtysh, 
       "debug zebra kernel", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_kernel_msgdump_cmd_vtysh, 
       "debug zebra kernel msgdump [<recv|send>]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n"
       "Dump raw netlink messages,  sent and received\n"
       "Dump raw netlink messages received\n"
       "Dump raw netlink messages sent\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_mpls_cmd_vtysh, 
       "debug zebra mpls", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra MPLS LSPs\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_nht_cmd_vtysh, 
       "debug zebra nht", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra next hop tracking\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_packet_cmd_vtysh, 
       "debug zebra packet [<recv|send>] [detail]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra packet\n"
       "Debug option set for receive packet\n"
       "Debug option set for send packet\n"
       "Debug option set for detailed info\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_pw_cmd_vtysh, 
       "[no] debug zebra pseudowires", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra pseudowires\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_rib_cmd_vtysh, 
       "debug zebra rib [detailed]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug RIB events\n"
       "Detailed debugs\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_vxlan_cmd_vtysh, 
       "debug zebra vxlan", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra VxLAN (EVPN)\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, default_vrf_vni_mapping_cmd_vtysh, 
       "vni " "(1-16777215)" "[prefix-routes-only]", 
       "VNI corresponding to the DEFAULT VRF\n"
       "VNI-ID\n"
       "Prefix routes only \n")

DEFSH (VTYSH_RIPD, distribute_list_cmd_vtysh, 
       "distribute-list [prefix] WORD <in|out> [WORD]", 
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, dump_bgp_all_cmd_vtysh, 
       "dump bgp <all|all-et|updates|updates-et|routes-mrt> PATH [INTERVAL]", 
       "Dump packet\n"
       "BGP packet dump\n"
       "Dump all BGP packets\nDump all BGP packets (Extended Timestamp Header)\n"
       "Dump BGP updates only\nDump BGP updates only (Extended Timestamp Header)\n"
       "Dump whole BGP routing table\n"
       "Output filename\n"
       "Interval of output\n")

DEFSH (VTYSH_BGPD, dup_addr_detection_auto_recovery_cmd_vtysh,  "dup-addr-detection freeze <permanent |(30-3600)$freeze_time_val>",  "Duplicate address detection\n" "Duplicate address detection freeze\n" "Duplicate address detection permanent freeze\n" "Duplicate address detection freeze time (30-3600)\n")

DEFSH (VTYSH_BGPD, dup_addr_detection_cmd_vtysh,  "dup-addr-detection [max-moves (2-1000)$max_moves_val time (2-1800)$time_val]",  "Duplicate address detection\n" "Max allowed moves before address detected as duplicate\n" "Num of max allowed moves (2-1000) default 5\n" "Duplicate address detection time\n" "Time in seconds (2-1800) default 180\n")

DEFSH (VTYSH_PBRD | VTYSH_SHARPD, ecmp_nexthops_cmd_vtysh,  "[no] nexthop <A.B.C.D|X:X::X:X>$addr [INTERFACE]$intf [nexthop-vrf NAME$name]",  "Negate a command or set its defaults\n" "Specify one of the nexthops in this ECMP group\n" "v4 Address\n" "v6 Address\n" "Interface to use\n" "If the nexthop is in a different vrf tell us\n" "The nexthop-vrf Name\n")

DEFSH (VTYSH_BGPD, evpnrt5_network_cmd_vtysh, 
      "network <A.B.C.D/M|X:X::X:X/M> rd ASN:NN_OR_IP-ADDRESS:NN ethtag WORD label WORD esi WORD gwip <A.B.C.D|X:X::X:X> routermac WORD [route-map WORD]", 
      "Specify a network to announce via BGP\n"
      "IP prefix\n"
      "IPv6 prefix\n"
      "Specify Route Distinguisher\n"
      "VPN Route Distinguisher\n"
      "Ethernet Tag\n"
      "Ethernet Tag Value\n"
      "BGP label\n"
      "label value\n"
      "Ethernet Segment Identifier\n"
      "ESI value ( 00:11:22:33:44:55:66:77:88:99 format) \n"
      "Gateway IP\n"
      "Gateway IP ( A.B.C.D )\n"
      "Gateway IPv6 ( X:X::X:X )\n"
      "Router Mac Ext Comm\n"
      "Router Mac address Value ( aa:bb:cc:dd:ee:ff format)\n"
      "Route-map to modify the attributes\n"
      "Name of the route map\n")

DEFSH (VTYSH_ALL, exec_timeout_min_cmd_vtysh, 
       "exec-timeout (0-35791)", 
       "Set timeout value\n"
       "Timeout value in minutes\n")

DEFSH (VTYSH_ALL, exec_timeout_sec_cmd_vtysh, 
       "exec-timeout (0-35791) (0-2147483)", 
       "Set the EXEC timeout\n"
       "Timeout in minutes\n"
       "Timeout in seconds\n")

DEFSH (VTYSH_ZEBRA, fpm_remote_ip_cmd_vtysh, 
        "fpm connection ip A.B.C.D port (1-65535)", 
        "fpm connection remote ip and port\n"
        "Remote fpm server ip A.B.C.D\n"
        "Enter ip ")

DEFSH (VTYSH_RIPD, if_rmap_cmd_vtysh, 
       "route-map RMAP_NAME <in|out> IFNAME", 
       "Route map set\n"
       "Route map name\n"
       "Route map set for input filtering\n"
       "Route map set for output filtering\n"
       "Route map interface name\n")

DEFSH (VTYSH_INTERFACE, interface_desc_cmd_vtysh,  "description LINE...",  "Interface specific description\n" "Characters describing this interface\n")

DEFSH (VTYSH_ZEBRA, ip_address_cmd_vtysh, 
       "ip address A.B.C.D/M", 
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_ZEBRA, ip_address_label_cmd_vtysh, 
       "ip address A.B.C.D/M label LINE", 
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP address (e.g. 10.0.0.1/8)\n"
       "Label of this address\n"
       "Label\n")

DEFSH (VTYSH_ZEBRA, ip_address_peer_cmd_vtysh, 
      "ip address A.B.C.D peer A.B.C.D/M", 
      "Interface Internet Protocol config commands\n"
      "Set the IP address of an interface\n"
      "Local IP (e.g. 10.0.0.1) for P-t-P address\n"
      "Specify P-t-P address\n"
      "Peer IP address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_BGPD, ip_as_path_cmd_vtysh, 
      "ip as-path access-list WORD <deny|permit> LINE...", 
      "IP information\n"
      "BGP autonomous system path filter\n"
      "Specify an access list name\n"
      "Regular expression access list name\n"
      "Specify packets to reject\n"
      "Specify packets to forward\n"
      "A regular-expression (1234567890_(^|[, {}() ]|$)) to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, ip_community_list_expanded_all_cmd_vtysh, 
       "ip community-list <(100-500)|expanded WORD> <deny|permit> AA:NN...", 
       "IP information\n"
       "Add a community list entry\n"
       "Community list number (expanded)\n"
       "Add an expanded community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, ip_community_list_standard_cmd_vtysh, 
       "ip community-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "IP information\n"
       "Add a community list entry\n"
       "Community list number (standard)\n"
       "Add an standard community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, ip_extcommunity_list_name_expanded_cmd_vtysh, 
       "ip extcommunity-list <(100-500)|expanded WORD> <deny|permit> LINE...", 
       "IP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (expanded)\n"
       "Specify expanded extcommunity-list\n"
       "Extended Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, ip_extcommunity_list_standard_cmd_vtysh, 
       "ip extcommunity-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "IP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (standard)\n"
       "Specify standard extcommunity-list\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Extended community attribute in 'rt aa:nn_or_IPaddr:nn' OR 'soo aa:nn_or_IPaddr:nn' format\n")

DEFSH (VTYSH_ZEBRA, ip_forwarding_cmd_vtysh, 
       "ip forwarding", 
       "IP information\n"
       "Turn on IP forwarding\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_address_preference_cmd_vtysh, 
       "ip irdp address A.B.C.D preference (0-2147483647)", 
       "IP information\n"
       "Alter ICMP Router discovery preference on this interface\n"
       "Set IRDP address for advertise\n"
       "IPv4 address\n"
       "Specify IRDP non-default preference to advertise\n"
       "Preference level\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_broadcast_cmd_vtysh, 
       "ip irdp broadcast", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Use broadcast mode\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_disable_cmd_vtysh, 
       "ip irdp debug disable", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Disable debugging for all IRDP events\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_messages_cmd_vtysh, 
       "ip irdp debug messages", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Enable debugging for IRDP messages\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_misc_cmd_vtysh, 
       "ip irdp debug misc", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Enable debugging for miscellaneous IRDP events\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_packet_cmd_vtysh, 
       "ip irdp debug packet", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Enable debugging for IRDP packets\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_holdtime_cmd_vtysh, 
       "ip irdp holdtime (0-9000)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set holdtime value\n"
       "Holdtime value in seconds. Default is 1800 seconds\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_maxadvertinterval_cmd_vtysh, 
       "ip irdp maxadvertinterval (4-1800)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set maximum time between advertisement\n"
       "Maximum advertisement interval in seconds\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_minadvertinterval_cmd_vtysh, 
       "ip irdp minadvertinterval (3-1800)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set minimum time between advertisement\n"
       "Minimum advertisement interval in seconds\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_multicast_cmd_vtysh, 
       "ip irdp multicast", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Use multicast mode\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_preference_cmd_vtysh, 
       "ip irdp preference (0-2147483647)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set default preference level for this interface\n"
       "Preference level\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_shutdown_cmd_vtysh, 
       "ip irdp shutdown", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "ICMP Router discovery shutdown on this interface\n")

DEFSH (VTYSH_BGPD, ip_lcommunity_list_expanded_cmd_vtysh, 
       "ip large-community-list (100-500) <deny|permit> LINE...", 
       "IP information\n"
       "Add a large community list entry\n"
       "Large Community list number (expanded)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, ip_lcommunity_list_name_expanded_cmd_vtysh, 
       "ip large-community-list expanded WORD <deny|permit> LINE...", 
       "IP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, ip_lcommunity_list_name_standard1_cmd_vtysh, 
       "ip large-community-list standard WORD <deny|permit> AA:BB:CC...", 
       "IP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, ip_lcommunity_list_name_standard_cmd_vtysh, 
       "ip large-community-list standard WORD <deny|permit>", 
       "IP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n")

DEFSH (VTYSH_BGPD, ip_lcommunity_list_standard1_cmd_vtysh, 
       "ip large-community-list (1-99) <deny|permit> AA:BB:CC...", 
       "IP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, ip_lcommunity_list_standard_cmd_vtysh, 
       "ip large-community-list (1-99) <deny|permit>", 
       "IP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n")

DEFSH (VTYSH_ZEBRA, ip_multicast_mode_cmd_vtysh, 
       "ip multicast rpf-lookup-mode <urib-only|mrib-only|mrib-then-urib|lower-distance|longer-prefix>", 
       "IP information\n"
       "Multicast options\n"
       "RPF lookup behavior\n"
       "Lookup in unicast RIB only\n"
       "Lookup in multicast RIB only\n"
       "Try multicast RIB first,  fall back to unicast RIB\n"
       "Lookup both,  use entry with lower distance\n"
       "Lookup both,  use entry with longer prefix\n")

DEFSH (VTYSH_ZEBRA, ip_nht_default_route_cmd_vtysh, 
       "ip nht resolve-via-default", 
       "IP information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ip_prefix_list_cmd_vtysh,  "ip prefix-list WORD [seq (1-4294967295)] <deny|permit>$action <any$dest|A.B.C.D/M$dest [{ge (0-32)|le (0-32)}]>",  "IP information\n" "Build a prefix list\n" "Name of a prefix list\n" "sequence number of an entry\n" "Sequence number\n" "Specify packets to reject\n" "Specify packets to forward\n" "Any prefix match.  Same as \"0.0.0.0/0 le 32\"\n" "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n" "Minimum prefix length to be matched\n" "Minimum prefix length\n" "Maximum prefix length to be matched\n" "Maximum prefix length\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ip_prefix_list_description_cmd_vtysh, 
       "ip prefix-list WORD description LINE...", 
       "IP information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "Prefix-list specific description\n"
       "Up to 80 characters describing this prefix-list\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ip_prefix_list_sequence_number_cmd_vtysh,  "[no] ip prefix-list sequence-number",  "Negate a command or set its defaults\n" "IP information\n" "Build a prefix list\n" "Include/exclude sequence numbers in NVGEN\n")

DEFSH (VTYSH_ZEBRA, ip_protocol_cmd_vtysh,  "ip protocol " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto route-map ROUTE-MAP$rmap",  "IP information\n" "Filter routing info exchanged between zebra and protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route-map\n" "Route map name\n")

DEFSH (VTYSH_ZEBRA, ip_protocol_nht_rmap_cmd_vtysh,  "ip nht " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto route-map ROUTE-MAP$rmap",  "IP information\n" "Filter Next Hop tracking route resolution\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route map\n" "Route map name\n")

DEFSH (VTYSH_ZEBRA, ip_zebra_import_table_distance_cmd_vtysh, 
       "ip import-table (1-252) [distance (1-255)] [route-map WORD]", 
       "IP information\n"
       "import routes from non-main kernel table\n"
       "kernel routing table id\n"
       "Distance for imported routes\n"
       "Default distance value\n"
       "route-map for filtering\n"
       "route-map name\n")

DEFSH (VTYSH_ALL, ipv6_access_list_any_cmd_vtysh, 
       "ipv6 access-list WORD <deny|permit> any", 
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any prefixi to match\n")

DEFSH (VTYSH_ALL, ipv6_access_list_exact_cmd_vtysh, 
       "ipv6 access-list WORD <deny|permit> X:X::X:X/M [exact-match]", 
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "IPv6 prefix\n"
       "Exact match of the prefixes\n")

DEFSH (VTYSH_ALL, ipv6_access_list_remark_cmd_vtysh, 
       "ipv6 access-list WORD remark LINE...", 
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Access list entry comment\n"
       "Comment up to 100 characters\n")

DEFSH (VTYSH_ZEBRA, ipv6_address_cmd_vtysh, 
       "ipv6 address X:X::X:X/M", 
       "Interface IPv6 config commands\n"
       "Set the IP address of an interface\n"
       "IPv6 address (e.g. 3ffe:506::1/48)\n")

DEFSH (VTYSH_BGPD, ipv6_aggregate_address_cmd_vtysh, 
       "aggregate-address X:X::X:X/M [summary-only]", 
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Filter more specific routes from updates\n")

DEFSH (VTYSH_BGPD, ipv6_bgp_distance_source_access_list_cmd_vtysh, 
       "distance (1-255) X:X::X:X/M WORD", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, ipv6_bgp_distance_source_cmd_vtysh, 
       "distance (1-255) X:X::X:X/M", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_BGPD, ipv6_bgp_network_cmd_vtysh,  "[no] network X:X::X:X/M$prefix 	[{route-map WORD$map_name|label-index (0-1048560)$label_index}]",  "Negate a command or set its defaults\n" "Specify a network to announce via BGP\n" "IPv6 prefix\n" "Route-map to modify the attributes\n" "Name of the route map\n" "Label index to associate with the prefix\n" "Label index value\n")

DEFSH (VTYSH_RIPNGD, ipv6_distribute_list_cmd_vtysh, 
       "ipv6 distribute-list [prefix] WORD <in|out> [WORD]", 
       "IPv6\n"
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_ZEBRA, ipv6_forwarding_cmd_vtysh, 
       "ipv6 forwarding", 
       "IPv6 information\n"
       "Turn on IPv6 forwarding\n")

DEFSH (VTYSH_ZEBRA, ipv6_nht_default_route_cmd_vtysh, 
       "ipv6 nht resolve-via-default", 
       "IPv6 Information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ipv6_prefix_list_cmd_vtysh,  "ipv6 prefix-list WORD [seq (1-4294967295)] <deny|permit>$action <any$dest|X:X::X:X/M$dest [{ge (0-128)|le (0-128)}]>",  "IPv6 information\n" "Build a prefix list\n" "Name of a prefix list\n" "sequence number of an entry\n" "Sequence number\n" "Specify packets to reject\n" "Specify packets to forward\n" "Any prefix match.  Same as \"::0/0 le 128\"\n" "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n" "Maximum prefix length to be matched\n" "Maximum prefix length\n" "Minimum prefix length to be matched\n" "Minimum prefix length\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ipv6_prefix_list_description_cmd_vtysh, 
       "ipv6 prefix-list WORD description LINE...", 
       "IPv6 information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "Prefix-list specific description\n"
       "Up to 80 characters describing this prefix-list\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ipv6_prefix_list_sequence_number_cmd_vtysh,  "[no] ipv6 prefix-list sequence-number",  "Negate a command or set its defaults\n" "IPv6 information\n" "Build a prefix list\n" "Include/exclude sequence numbers in NVGEN\n")

DEFSH (VTYSH_ZEBRA, ipv6_protocol_cmd_vtysh,  "ipv6 protocol " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto route-map ROUTE-MAP$rmap",  "IPv6 Information\n" "Filter IPv6 routing info exchanged between zebra and protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route-map\n" "Route map name\n")

DEFSH (VTYSH_ZEBRA, ipv6_protocol_nht_rmap_cmd_vtysh,  "ipv6 nht " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto route-map ROUTE-MAP$rmap",  "IPv6 Information\n" "Filter Next Hop tracking route resolution\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route map\n" "Route map name\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, key_string_cmd_vtysh, 
       "key-string LINE", 
       "Set key string\n"
       "The key\n")

DEFSH (VTYSH_ZEBRA, link_params_admin_grp_cmd_vtysh, 
       "admin-grp BITPATTERN", 
       "Administrative group membership\n"
       "32-bit Hexadecimal value (e.g. 0xa1)\n")

DEFSH (VTYSH_ZEBRA, link_params_ava_bw_cmd_vtysh, 
       "ava-bw BANDWIDTH", 
       "Unidirectional Available Bandwidth\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_delay_cmd_vtysh, 
       "delay (0-16777215) [min (0-16777215) max (0-16777215)]", 
       "Unidirectional Average Link Delay\n"
       "Average delay in micro-second as decimal (0...16777215)\n"
       "Minimum delay\n"
       "Minimum delay in micro-second as decimal (0...16777215)\n"
       "Maximum delay\n"
       "Maximum delay in micro-second as decimal (0...16777215)\n")

DEFSH (VTYSH_ZEBRA, link_params_delay_var_cmd_vtysh, 
       "delay-variation (0-16777215)", 
       "Unidirectional Link Delay Variation\n"
       "delay variation in micro-second as decimal (0...16777215)\n")

DEFSH (VTYSH_ZEBRA, link_params_enable_cmd_vtysh, 
       "enable", 
       "Activate link parameters on this interface\n")

DEFSH (VTYSH_ZEBRA, link_params_inter_as_cmd_vtysh, 
       "neighbor A.B.C.D as (1-4294967295)", 
       "Configure remote ASBR information (Neighbor IP address and AS number)\n"
       "Remote IP address in dot decimal A.B.C.D\n"
       "Remote AS number\n"
       "AS number in the range <1-4294967295>\n")

DEFSH (VTYSH_ZEBRA, link_params_max_rsv_bw_cmd_vtysh, 
       "max-rsv-bw BANDWIDTH", 
       "Maximum bandwidth that may be reserved\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_maxbw_cmd_vtysh, 
       "max-bw BANDWIDTH", 
       "Maximum bandwidth that can be used\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_metric_cmd_vtysh, 
       "metric (0-4294967295)", 
       "Link metric for MPLS-TE purpose\n"
       "Metric value in decimal\n")

DEFSH (VTYSH_ZEBRA, link_params_pkt_loss_cmd_vtysh, 
       "packet-loss PERCENTAGE", 
       "Unidirectional Link Packet Loss\n"
       "percentage of total traffic by 0.000003tep and less than 50.331642%\n")

DEFSH (VTYSH_ZEBRA, link_params_res_bw_cmd_vtysh, 
       "res-bw BANDWIDTH", 
       "Unidirectional Residual Bandwidth\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_unrsv_bw_cmd_vtysh, 
       "unrsv-bw (0-7) BANDWIDTH", 
       "Unreserved bandwidth at each priority level\n"
       "Priority\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_use_bw_cmd_vtysh, 
       "use-bw BANDWIDTH", 
       "Unidirectional Utilised Bandwidth\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, linkdetect_cmd_vtysh, 
       "link-detect", 
       "Enable link detection on interface\n")

DEFSH (VTYSH_ALL, log_commands_cmd_vtysh, 
       "log commands", 
       "Logging control\n"
       "Log all commands (can't be unset without restart)\n")

DEFSH (VTYSH_ALL, mac_access_list_any_cmd_vtysh, 
       "mac access-list WORD <deny|permit> any", 
       "Add a mac access-list\n"
       "Add an access list entry\n"
       "MAC zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "MAC address to match. e.g. 00:01:00:01:00:01\n")

DEFSH (VTYSH_ALL, mac_access_list_cmd_vtysh, 
       "mac access-list WORD <deny|permit> X:X:X:X:X:X", 
       "Add a mac access-list\n"
       "Add an access list entry\n"
       "MAC zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "MAC address to match. e.g. 00:01:00:01:00:01\n")

DEFSH (VTYSH_BGPD, match_aspath_cmd_vtysh, 
       "match as-path WORD", 
       "Match values from routing table\n"
       "Match BGP AS path list\n"
       "AS path access-list name\n")

DEFSH (VTYSH_BGPD, match_community_cmd_vtysh, 
       "match community <(1-99)|(100-500)|WORD> [exact-match]", 
       "Match values from routing table\n"
       "Match BGP community list\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Do exact matching of communities\n")

DEFSH (VTYSH_BGPD, match_ecommunity_cmd_vtysh, 
       "match extcommunity <(1-99)|(100-500)|WORD>", 
       "Match values from routing table\n"
       "Match BGP/VPN extended community list\n"
       "Extended community-list number (standard)\n"
       "Extended community-list number (expanded)\n"
       "Extended community-list name\n")

DEFSH (VTYSH_BGPD, match_evpn_default_route_cmd_vtysh, 
       "match evpn default-route", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "default EVPN type-5 route\n")

DEFSH (VTYSH_BGPD, match_evpn_route_type_cmd_vtysh, 
       "match evpn route-type <macip | multicast | prefix>", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match route-type\n"
       "mac-ip route\n"
       "IMET route\n"
       "prefix route\n")

DEFSH (VTYSH_BGPD, match_evpn_vni_cmd_vtysh, 
       "match evpn vni " "(1-16777215)", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match VNI\n"
       "VNI ID\n")

DEFSH (VTYSH_RMAP, match_interface_cmd_vtysh, 
       "match interface WORD", 
       "Match values from routing table\n"
       "match first hop interface of route\n"
       "Interface name\n")

DEFSH (VTYSH_RMAP, match_ip_address_cmd_vtysh, 
       "match ip address <(1-199)|(1300-2699)|WORD>", 
       "Match values from routing table\n"
       "IP information\n"
       "Match address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n")

DEFSH (VTYSH_ZEBRA, match_ip_address_prefix_len_cmd_vtysh, 
       "match ip address prefix-len (0-32)", 
       "Match values from routing table\n"
       "IP information\n"
       "Match prefix length of ip address\n"
       "Match prefix length of ip address\n"
       "Prefix length\n")

DEFSH (VTYSH_RMAP, match_ip_address_prefix_list_cmd_vtysh, 
       "match ip address prefix-list WORD", 
       "Match values from routing table\n"
       "IP information\n"
       "Match address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, match_ip_next_hop_cmd_vtysh, 
       "match ip next-hop <(1-199)|(1300-2699)|WORD>", 
       "Match values from routing table\n"
       "IP information\n"
       "Match next-hop address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n")

DEFSH (VTYSH_RMAP, match_ip_next_hop_prefix_list_cmd_vtysh, 
       "match ip next-hop prefix-list WORD", 
       "Match values from routing table\n"
       "IP information\n"
       "Match next-hop address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, match_ip_next_hop_type_cmd_vtysh, 
      "match ip next-hop type <blackhole>", 
      "Match values from routing table\n" "IP information\n"
      "Match next-hop address of route\n"
      "Match entries by type\n"
      "Blackhole\n")

DEFSH (VTYSH_ZEBRA, match_ip_nexthop_prefix_len_cmd_vtysh, 
       "match ip next-hop prefix-len (0-32)", 
       "Match values from routing table\n"
       "IP information\n"
       "Match prefixlen of nexthop ip address\n"
       "Match prefixlen of given nexthop\n"
       "Prefix length\n")

DEFSH (VTYSH_BGPD, match_ip_route_source_cmd_vtysh, 
       "match ip route-source <(1-199)|(1300-2699)|WORD>", 
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP standard access-list name\n")

DEFSH (VTYSH_BGPD, match_ip_route_source_prefix_list_cmd_vtysh, 
       "match ip route-source prefix-list WORD", 
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, match_ipv6_address_cmd_vtysh, 
       "match ipv6 address WORD", 
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match IPv6 address of route\n"
       "IPv6 access-list name\n")

DEFSH (VTYSH_ZEBRA, match_ipv6_address_prefix_len_cmd_vtysh, 
       "match ipv6 address prefix-len (0-128)", 
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match prefix length of ipv6 address\n"
       "Match prefix length of ipv6 address\n"
       "Prefix length\n")

DEFSH (VTYSH_RMAP, match_ipv6_address_prefix_list_cmd_vtysh, 
       "match ipv6 address prefix-list WORD", 
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_BGPD, match_ipv6_next_hop_cmd_vtysh, 
       "match ipv6 next-hop X:X::X:X", 
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match IPv6 next-hop address of route\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, match_ipv6_next_hop_type_cmd_vtysh, 
      "match ipv6 next-hop type <blackhole>", 
      "Match values from routing table\n" "IPv6 information\n"
      "Match address of route\n"
      "Match entries by type\n"
      "Blackhole\n")

DEFSH (VTYSH_BGPD, match_lcommunity_cmd_vtysh, 
       "match large-community <(1-99)|(100-500)|WORD>", 
       "Match values from routing table\n"
       "Match BGP large community list\n"
       "Large Community-list number (standard)\n"
       "Large Community-list number (expanded)\n"
       "Large Community-list name\n")

DEFSH (VTYSH_BGPD, match_local_pref_cmd_vtysh, 
       "match local-preference (0-4294967295)", 
       "Match values from routing table\n"
       "Match local-preference of route\n"
       "Metric value\n")

DEFSH (VTYSH_BGPD, match_mac_address_cmd_vtysh, 
       "match mac address WORD", 
       "Match values from routing table\n"
       "mac address\n"
       "Match address of route\n"
       "MAC Access-list name\n")

DEFSH (VTYSH_RMAP, match_metric_cmd_vtysh, 
       "match metric (0-4294967295)", 
       "Match values from routing table\n"
       "Match metric of route\n"
       "Metric value\n")

DEFSH (VTYSH_BGPD, match_origin_cmd_vtysh, 
       "match origin <egp|igp|incomplete>", 
       "Match values from routing table\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, match_peer_cmd_vtysh, 
       "match peer <A.B.C.D|X:X::X:X|WORD>", 
       "Match values from routing table\n"
       "Match peer address\n"
       "IP address of peer\n"
       "IPv6 address of peer\n"
       "Interface name of peer\n")

DEFSH (VTYSH_BGPD, match_peer_local_cmd_vtysh, 
        "match peer local", 
        "Match values from routing table\n"
        "Match peer address\n"
        "Static or Redistributed routes\n")

DEFSH (VTYSH_BGPD, match_probability_cmd_vtysh, 
       "match probability (0-100)", 
       "Match values from routing table\n"
       "Match portion of routes defined by percentage value\n"
       "Percentage of routes\n")

DEFSH (VTYSH_BGPD, match_rpki_cmd_vtysh, 
       "match rpki <valid|invalid|notfound>", 
       "Match values from routing table\n"
       "Control rpki specific settings\n"
       "Valid prefix\n"
       "Invalid prefix\n"
       "Prefix not found\n")

DEFSH (VTYSH_ZEBRA, match_source_instance_cmd_vtysh, 
       "match source-instance (0-255)", 
       "Match values from routing table\n"
       "Match the protocol's instance number\n"
       "The instance number\n")

DEFSH (VTYSH_ZEBRA, match_source_protocol_cmd_vtysh, 
       "match source-protocol <bgp|ospf|rip|ripng|isis|ospf6|pim|nhrp|eigrp|babel|connected|system|kernel|static|sharp>", 
       "Match values from routing table\n"
       "Match protocol via which the route was learnt\n"
       "BGP protocol\n"
       "OSPF protocol\n"
       "RIP protocol\n"
       "RIPNG protocol\n"
       "ISIS protocol\n"
       "OSPF6 protocol\n"
       "PIM protocol\n"
       "NHRP protocol\n"
       "EIGRP protocol\n"
       "BABEL protocol\n"
       "Routes from directly connected peer\n"
       "Routes from system configuration\n"
       "Routes from kernel\n"
       "Statically configured routes\n"
       "SHARP process\n")

DEFSH (VTYSH_RMAP, match_tag_cmd_vtysh, 
       "match tag (1-4294967295)", 
       "Match values from routing table\n"
       "Match tag of route\n"
       "Tag value\n")

DEFSH (VTYSH_ZEBRA, mpls_label_bind_cmd_vtysh, 
       "mpls label bind <A.B.C.D/M|X:X::X:X/M> <(16-1048575)|implicit-null|explicit-null>", 
       "MPLS information\n"
       "Label configuration\n"
       "Establish FEC to label binding\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "MPLS Label to bind\n"
       "Use Implicit-Null Label\n"
       "Use Explicit-Null Label\n")

DEFSH (VTYSH_ZEBRA, mpls_label_global_block_cmd_vtysh, 
       "mpls label global-block (16-1048575) (16-1048575)", 
       "MPLS information\n"
       "Label configuration\n"
       "Configure global label block\n"
       "Start label\n"
       "End label\n")

DEFSH (VTYSH_ZEBRA, mpls_transit_lsp_cmd_vtysh, 
       "mpls lsp (16-1048575) <A.B.C.D|X:X::X:X> <(16-1048575)|explicit-null|implicit-null>", 
       "MPLS information\n"
       "Establish label switched path\n"
       "Incoming MPLS label\n"
       "IPv4 gateway address\n"
       "IPv6 gateway address\n"
       "Outgoing MPLS label\n"
       "Use Explicit-Null label\n"
       "Use Implicit-Null label\n")

DEFSH (VTYSH_ZEBRA, multicast_cmd_vtysh, 
       "multicast", 
       "Set multicast flag to interface\n")

DEFSH (VTYSH_BGPD, neighbor_activate_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enable the Address Family for this Neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_activate_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Enable the Address Family for this Neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_addpath_tx_all_paths_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise all paths to a neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_addpath_tx_all_paths_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise all paths to a neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_addpath_tx_bestpath_per_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH (VTYSH_BGPD, neighbor_advertise_interval_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> advertisement-interval (0-600)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Minimum interval between sending BGP routing updates\n"
       "time in seconds\n")

DEFSH (VTYSH_BGPD, neighbor_allowas_in_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Accept as-path with my AS present in it\n"
       "Number of occurences of AS number\n"
       "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_allowas_in_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Accept as-path with my AS present in it\n"
 "Number of occurences of AS number\n"
 "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH (VTYSH_BGPD, neighbor_as_override_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_as_override_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH (VTYSH_BGPD, neighbor_attr_unchanged_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP attribute is propagated unchanged to this neighbor\n"
       "As-path attribute\n"
       "Nexthop attribute\n"
       "Med attribute\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_attr_unchanged_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "BGP attribute is propagated unchanged to this neighbor\n"
 "As-path attribute\n"
 "Nexthop attribute\n"
 "Med attribute\n")

DEFSH (VTYSH_BGPD, neighbor_bfd_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> bfd", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enables BFD support\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_bfd_param_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> bfd (2-255) (50-60000) (50-60000)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enables BFD support\n"
       "Detect Multiplier\n"
       "Required min receive interval\n"
       "Desired min transmit interval\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_bfd_type_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> bfd <multihop|singlehop>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enables BFD support\n"
       "Multihop session\n"
       "Single hop session\n")

DEFSH (VTYSH_BGPD, neighbor_capability_dynamic_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> capability dynamic", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise dynamic capability to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_capability_enhe_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> capability extended-nexthop", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise extended next-hop capability to the peer\n")

DEFSH (VTYSH_BGPD, neighbor_capability_orf_prefix_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise ORF capability to the peer\n"
       "Advertise prefixlist ORF capability to this neighbor\n"
       "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
       "Capability to RECEIVE the ORF from this neighbor\n"
       "Capability to SEND the ORF to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_capability_orf_prefix_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Advertise capability to the peer\n"
 "Advertise ORF capability to the peer\n"
 "Advertise prefixlist ORF capability to this neighbor\n"
 "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
 "Capability to RECEIVE the ORF from this neighbor\n"
 "Capability to SEND the ORF to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_default_originate_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Originate default route to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_default_originate_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Originate default route to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_default_originate_rmap_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate route-map WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Originate default route to this neighbor\n"
       "Route-map to specify criteria to originate default\n"
       "route-map name\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_default_originate_rmap_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate route-map WORD", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Originate default route to this neighbor\n"
 "Route-map to specify criteria to originate default\n"
 "route-map name\n")

DEFSH (VTYSH_BGPD, neighbor_description_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> description LINE...", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Neighbor specific description\n"
       "Up to 80 characters describing this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_disable_connected_check_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> <disable-connected-check|enforce-multihop>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "one-hop away EBGP peer using loopback address\n"
       "Enforce EBGP neighbors perform multihop\n")

DEFSH (VTYSH_BGPD, neighbor_distribute_list_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_distribute_list_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Filter updates to/from this neighbor\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n"
 "Filter incoming updates\n"
 "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, neighbor_dont_capability_negotiate_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> dont-capability-negotiate", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Do not perform capability negotiation\n")

DEFSH (VTYSH_BGPD, neighbor_ebgp_multihop_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> ebgp-multihop", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Allow EBGP neighbors not on directly connected networks\n")

DEFSH (VTYSH_BGPD, neighbor_ebgp_multihop_ttl_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> ebgp-multihop (1-255)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Allow EBGP neighbors not on directly connected networks\n"
       "maximum hop count\n")

DEFSH (VTYSH_BGPD, neighbor_enforce_first_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> enforce-first-as", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enforce the first AS for EBGP routes\n")

DEFSH (VTYSH_BGPD, neighbor_filter_list_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Establish BGP filters\n"
       "AS path access-list name\n"
       "Filter incoming routes\n"
       "Filter outgoing routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_filter_list_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Establish BGP filters\n"
      "AS path access-list name\n"
      "Filter incoming routes\n"
      "Filter outgoing routes\n")

DEFSH (VTYSH_BGPD, neighbor_interface_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X> interface WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nIPv6 address\n"
       "Interface\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, neighbor_interface_config_cmd_vtysh, 
       "neighbor WORD interface [peer-group WORD]", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP on interface\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH (VTYSH_BGPD, neighbor_interface_config_remote_as_cmd_vtysh, 
       "neighbor WORD interface remote-as <(1-4294967295)|internal|external>", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP on interface\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_interface_config_v6only_cmd_vtysh, 
       "neighbor WORD interface v6only [peer-group WORD]", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP on interface\n"
       "Enable BGP with v6 link-local only\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH (VTYSH_BGPD, neighbor_interface_v6only_config_remote_as_cmd_vtysh, 
       "neighbor WORD interface v6only remote-as <(1-4294967295)|internal|external>", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP with v6 link-local only\n"
       "Enable BGP on interface\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_local_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> local-as (1-4294967295)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n")

DEFSH (VTYSH_BGPD, neighbor_local_as_no_prepend_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> local-as (1-4294967295) no-prepend", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n"
       "Do not prepend local-as to updates from ebgp peers\n")

DEFSH (VTYSH_BGPD, neighbor_local_as_no_prepend_replace_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> local-as (1-4294967295) no-prepend replace-as", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n"
       "Do not prepend local-as to updates from ebgp peers\n"
       "Do not prepend local-as to updates from ibgp peers\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295)", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Maximum number of prefix accept from this peer\n"
      "maximum no. of prefix limit\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_restart_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) restart (1-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Restart bgp connection after limit is exceeded\n"
       "Restart interval in minutes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_restart_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) restart (1-65535)", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Restart bgp connection after limit is exceeded\n"
 "Restart interval in minutes\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_threshold_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_threshold_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100)", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_threshold_restart_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) restart (1-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefixes to accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Restart bgp connection after limit is exceeded\n"
       "Restart interval in minutes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_threshold_restart_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) restart (1-65535)", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefixes to accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Restart bgp connection after limit is exceeded\n"
 "Restart interval in minutes\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_threshold_warning_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) warning-only", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Only give warning message when limit is exceeded\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_threshold_warning_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) warning-only", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Only give warning message when limit is exceeded\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_warning_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) warning-only", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Only give warning message when limit is exceeded\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_warning_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) warning-only", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Only give warning message when limit is exceeded\n")

DEFSH (VTYSH_BGPD, neighbor_nexthop_local_unchanged_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> nexthop-local unchanged", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure treatment of outgoing link-local nexthop attribute\n"
       "Leave link-local nexthop unchanged for this peer\n")

DEFSH (VTYSH_BGPD, neighbor_nexthop_self_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_nexthop_self_force_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n"
       "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_nexthop_self_force_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n"
      "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_nexthop_self_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_override_capability_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> override-capability", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override capability negotiation result\n")

DEFSH (VTYSH_BGPD, neighbor_passive_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> passive", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Don't send open messages to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_password_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> password LINE", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set a password\n"
       "The password\n")

DEFSH (VTYSH_BGPD, neighbor_peer_group_cmd_vtysh, 
       "neighbor WORD peer-group", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Configure peer-group\n")

DEFSH (VTYSH_BGPD, neighbor_port_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X> port (0-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nIPv6 address\n"
       "Neighbor's BGP port\n"
       "TCP port number\n")

DEFSH (VTYSH_BGPD, neighbor_prefix_list_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "Name of a prefix list\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_prefix_list_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Filter updates to/from this neighbor\n"
      "Name of a prefix list\n"
      "Filter incoming updates\n"
      "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, neighbor_remote_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remote-as <(1-4294967295)|internal|external>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_all_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_all_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Apply to all AS numbers")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_all_replace_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Remove private ASNs in outbound updates\n"
 "Apply to all AS numbers\n"
 "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_replace_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_replace_as_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, neighbor_route_map_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Apply route map to neighbor\n"
       "Name of route map\n"
       "Apply map to incoming routes\n"
       "Apply map to outbound routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_route_map_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Apply route map to neighbor\n"
      "Name of route map\n"
      "Apply map to incoming routes\n"
      "Apply map to outbound routes\n")

DEFSH (VTYSH_BGPD, neighbor_route_reflector_client_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Reflector client\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_route_reflector_client_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Reflector client\n")

DEFSH (VTYSH_BGPD, neighbor_route_server_client_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Server client\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_route_server_client_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Server client\n")

DEFSH (VTYSH_BGPD, neighbor_send_community_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_send_community_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Send Community attribute to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_send_community_type_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n"
       "Send Standard and Extended Community attributes\n"
       "Send Standard,  Large and Extended Community attributes\n"
       "Send Extended Community attributes\n"
       "Send Standard Community attributes\n"
       "Send Large Community attributes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_send_community_type_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Send Community attribute to this neighbor\n"
 "Send Standard and Extended Community attributes\n"
 "Send Standard,  Large and Extended Community attributes\n"
 "Send Extended Community attributes\n"
 "Send Standard Community attributes\n"
 "Send Large Community attributes\n")

DEFSH (VTYSH_BGPD, neighbor_set_peer_group_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> peer-group WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_set_peer_group_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> peer-group WORD", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Member of the peer-group\n"
      "Peer-group name\n")

DEFSH (VTYSH_BGPD, neighbor_shutdown_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> shutdown", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Administratively shut down this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_shutdown_msg_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> shutdown message MSG...", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Administratively shut down this neighbor\n"
       "Add a shutdown message (draft-ietf-idr-shutdown-06)\n"
       "Shutdown message\n")

DEFSH (VTYSH_BGPD, neighbor_soft_reconfiguration_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Per neighbor soft reconfiguration\n"
       "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_soft_reconfiguration_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Per neighbor soft reconfiguration\n"
      "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_solo_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> solo", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Solo peer - part of its own update group\n")

DEFSH (VTYSH_BGPD, neighbor_strict_capability_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> strict-capability-match", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Strict capability negotiation match\n")

DEFSH (VTYSH_BGPD, neighbor_timers_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> timers (0-65535) (0-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, neighbor_timers_connect_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> timers connect (1-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "BGP connect timer\n"
       "Connect timer\n")

DEFSH (VTYSH_BGPD, neighbor_ttl_security_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> ttl-security hops (1-254)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP ttl-security parameters\n"
       "Specify the maximum number of hops to the BGP peer\n"
       "Number of hops to BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_unsuppress_map_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Route-map to selectively unsuppress suppressed routes\n"
       "Name of route map\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_unsuppress_map_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Route-map to selectively unsuppress suppressed routes\n"
      "Name of route map\n")

DEFSH (VTYSH_BGPD, neighbor_update_source_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> update-source <A.B.C.D|X:X::X:X|WORD>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Source of routing updates\n"
       "IPv4 address\n" "IPv6 address\n" "Interface name (requires zebra to be running)\n")

DEFSH (VTYSH_BGPD, neighbor_weight_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> weight (0-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set default weight for routes from this neighbor\n"
       "default weight\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_weight_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> weight (0-65535)", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Set default weight for routes from this neighbor\n"
      "default weight\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_accept_lifetime_cmd_vtysh, 
       "no accept-lifetime", 
       "Negate a command or set its defaults\n"
       "Unset accept-lifetime\n")

DEFSH (VTYSH_ALL, no_access_list_all_cmd_vtysh, 
       "no access-list <(1-99)|(100-199)|(1300-1999)|(2000-2699)|WORD>", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP extended access list\n"
       "IP standard access list (expanded range)\n"
       "IP extended access list (expanded range)\n"
       "IP zebra access-list name\n")

DEFSH (VTYSH_ALL, no_access_list_any_cmd_vtysh, 
       "no access-list WORD <deny|permit> any", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Prefix to match. e.g. 10.0.0.0/8\n")

DEFSH (VTYSH_ALL, no_access_list_exact_cmd_vtysh, 
       "no access-list WORD <deny|permit> A.B.C.D/M [exact-match]", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Prefix to match. e.g. 10.0.0.0/8\n"
       "Exact match of the prefixes\n")

DEFSH (VTYSH_ALL, no_access_list_extended_any_any_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip any any", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Any source host\n"
       "Any destination host\n")

DEFSH (VTYSH_ALL, no_access_list_extended_any_host_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip any host A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Any source host\n"
       "A single destination host\n"
       "Destination address\n")

DEFSH (VTYSH_ALL, no_access_list_extended_any_mask_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip any A.B.C.D A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Any source host\n"
       "Destination address\n"
       "Destination Wildcard bits\n")

DEFSH (VTYSH_ALL, no_access_list_extended_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip A.B.C.D A.B.C.D A.B.C.D A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Source address\n"
       "Source wildcard bits\n"
       "Destination address\n"
       "Destination Wildcard bits\n")

DEFSH (VTYSH_ALL, no_access_list_extended_host_any_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip host A.B.C.D any", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "A single source host\n"
       "Source address\n"
       "Any destination host\n")

DEFSH (VTYSH_ALL, no_access_list_extended_host_host_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip host A.B.C.D host A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "A single source host\n"
       "Source address\n"
       "A single destination host\n"
       "Destination address\n")

DEFSH (VTYSH_ALL, no_access_list_extended_host_mask_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip host A.B.C.D A.B.C.D A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "A single source host\n"
       "Source address\n"
       "Destination address\n"
       "Destination Wildcard bits\n")

DEFSH (VTYSH_ALL, no_access_list_extended_mask_any_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip A.B.C.D A.B.C.D any", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Source address\n"
       "Source wildcard bits\n"
       "Any destination host\n")

DEFSH (VTYSH_ALL, no_access_list_extended_mask_host_cmd_vtysh, 
       "no access-list <(100-199)|(2000-2699)> <deny|permit> ip A.B.C.D A.B.C.D host A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP extended access list\n"
       "IP extended access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any Internet Protocol\n"
       "Source address\n"
       "Source wildcard bits\n"
       "A single destination host\n"
       "Destination address\n")

DEFSH (VTYSH_ALL, no_access_list_remark_cmd_vtysh, 
       "no access-list <(1-99)|(100-199)|(1300-1999)|(2000-2699)|WORD> remark", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP extended access list\n"
       "IP standard access list (expanded range)\n"
       "IP extended access list (expanded range)\n"
       "IP zebra access-list\n"
       "Access list entry comment\n")

DEFSH (VTYSH_ALL, no_access_list_remark_comment_cmd_vtysh, 
       "no access-list <(1-99)|(100-199)|(1300-1999)|(2000-2699)|WORD> remark LINE...", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP extended access list\n"
       "IP standard access list (expanded range)\n"
       "IP extended access list (expanded range)\n"
       "IP zebra access-list\n"
       "Access list entry comment\n"
       "Comment up to 100 characters\n")

DEFSH (VTYSH_ALL, no_access_list_standard_any_cmd_vtysh, 
       "no access-list <(1-99)|(1300-1999)> <deny|permit> any", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any source host\n")

DEFSH (VTYSH_ALL, no_access_list_standard_cmd_vtysh, 
       "no access-list <(1-99)|(1300-1999)> <deny|permit> A.B.C.D A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Address to match\n"
       "Wildcard bits\n")

DEFSH (VTYSH_ALL, no_access_list_standard_host_cmd_vtysh, 
       "no access-list <(1-99)|(1300-1999)> <deny|permit> host A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "A single host address\n"
       "Address to match\n")

DEFSH (VTYSH_ALL, no_access_list_standard_nomask_cmd_vtysh, 
       "no access-list <(1-99)|(1300-1999)> <deny|permit> A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Add an access list entry\n"
       "IP standard access list\n"
       "IP standard access list (expanded range)\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Address to match\n")

DEFSH (VTYSH_BGPD, no_aggregate_address_cmd_vtysh, 
       "no aggregate-address A.B.C.D/M [<as-set [summary-only]|summary-only [as-set]>]", 
       "Negate a command or set its defaults\n"
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n")

DEFSH (VTYSH_BGPD, no_aggregate_address_mask_cmd_vtysh, 
       "no aggregate-address A.B.C.D A.B.C.D [<as-set [summary-only]|summary-only [as-set]>]", 
       "Negate a command or set its defaults\n"
       "Configure BGP aggregate entries\n"
       "Aggregate address\n"
       "Aggregate mask\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n")

DEFSH (VTYSH_ZEBRA, no_allow_external_route_update_cmd_vtysh, 
       "no allow-external-route-update", 
       "Negate a command or set its defaults\n"
       "Allow FRR routes to be overwritten by external processes\n")

DEFSH (VTYSH_BGPD, no_auto_summary_cmd_vtysh, 
       "no auto-summary", 
       "Negate a command or set its defaults\n"
       "Enable automatic network number summarization\n")

DEFSH (VTYSH_ZEBRA, no_bandwidth_if_cmd_vtysh, 
       "no bandwidth [(1-100000)]", 
       "Negate a command or set its defaults\n"
       "Set bandwidth informational parameter\n"
       "Bandwidth in megabits\n")

DEFSH (VTYSH_BGPD, no_bgp_always_compare_med_cmd_vtysh, 
       "no bgp always-compare-med", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Allow comparing MED from different neighbors\n")

DEFSH (VTYSH_BGPD, no_bgp_as_path_all_cmd_vtysh, 
       "no bgp as-path access-list WORD", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "BGP autonomous system path filter\n"
       "Specify an access list name\n"
       "Regular expression access list name\n")

DEFSH (VTYSH_BGPD, no_bgp_as_path_cmd_vtysh, 
      "no bgp as-path access-list WORD <deny|permit> LINE...", 
      "Negate a command or set its defaults\n"
      "BGP information\n"
      "BGP autonomous system path filter\n"
      "Specify an access list name\n"
      "Regular expression access list name\n"
      "Specify packets to reject\n"
      "Specify packets to forward\n"
      "A regular-expression (1234567890_(^|[, {}() ]|$)) to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_aspath_confed_cmd_vtysh, 
       "no bgp bestpath as-path confed", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Compare path lengths including confederation sets & sequences in selecting a route\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_aspath_ignore_cmd_vtysh, 
       "no bgp bestpath as-path ignore", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Ignore as-path length in selecting a route\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_aspath_multipath_relax_cmd_vtysh, 
       "no bgp bestpath as-path multipath-relax [<as-set|no-as-set>]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Allow load sharing across routes that have different AS paths (but same length)\n"
       "Generate an AS_SET\n"
       "Do not generate an AS_SET\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_compare_router_id_cmd_vtysh, 
       "no bgp bestpath compare-routerid", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "Compare router-id for identical EBGP paths\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_med_cmd_vtysh, 
       "no bgp bestpath med <confed [missing-as-worst]|missing-as-worst [confed]>", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "MED attribute\n"
       "Compare MED among confederation paths\n"
       "Treat missing MED as the least preferred one\n"
       "Treat missing MED as the least preferred one\n"
       "Compare MED among confederation paths\n")

DEFSH (VTYSH_BGPD, no_bgp_client_to_client_reflection_cmd_vtysh, 
       "no bgp client-to-client reflection", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure client to client route reflection\n"
       "reflection of routes allowed\n")

DEFSH (VTYSH_BGPD, no_bgp_cluster_id_cmd_vtysh, 
       "no bgp cluster-id [<A.B.C.D|(1-4294967295)>]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Configure Route-Reflector Cluster-id\n"
       "Route-Reflector Cluster-id in IP address format\n"
       "Route-Reflector Cluster-id as 32 bit quantity\n")

DEFSH (VTYSH_BGPD, no_bgp_coalesce_time_cmd_vtysh, 
       "no coalesce-time (0-4294967295)", 
       "Negate a command or set its defaults\n"
       "Subgroup coalesce timer\n"
       "Subgroup coalesce timer value (in ms)\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_expanded_all_cmd_vtysh, 
       "no bgp community-list <(100-500)|expanded WORD> <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (expanded)\n"
       "Add an expanded community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_expanded_all_list_cmd_vtysh, 
      "no bgp community-list <(100-500)|expanded WORD>", 
      "Negate a command or set its defaults\n" "IP information\n" "Add a community list entry\n"
      "Community list number (expanded)\n"
      "Add an expanded community-list entry\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_standard_all_cmd_vtysh, 
       "no bgp community-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (standard)\n"
       "Add an standard community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_standard_all_list_cmd_vtysh, 
      "no bgp community-list <(1-99)|standard WORD>", 
      "Negate a command or set its defaults\n" "BGP information\n" "Add a community list entry\n"
      "Community list number (standard)\n"
      "Add an standard community-list entry\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_confederation_identifier_cmd_vtysh, 
       "no bgp confederation identifier [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "AS number\n"
       "Set routing domain confederation AS\n")

DEFSH (VTYSH_BGPD, no_bgp_confederation_peers_cmd_vtysh, 
       "no bgp confederation peers (1-4294967295)...", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "Peer ASs in BGP confederation\n"
       "AS number\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_config_type_cmd_vtysh, 
       "no bgp config-type [<cisco|zebra>]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Display configuration type\n"
       "cisco\n"
       "zebra\n")

DEFSH (VTYSH_BGPD, no_bgp_default_ipv4_unicast_cmd_vtysh, 
       "no bgp default ipv4-unicast", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Activate ipv4-unicast for a peer by default\n")

DEFSH (VTYSH_BGPD, no_bgp_default_local_preference_cmd_vtysh, 
       "no bgp default local-preference [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "local preference (higher=more preferred)\n"
       "Configure default local preference value\n")

DEFSH (VTYSH_BGPD, no_bgp_default_show_hostname_cmd_vtysh, 
       "no bgp default show-hostname", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Show hostname in certain command outputs\n")

DEFSH (VTYSH_BGPD, no_bgp_default_subgroup_pkt_queue_max_cmd_vtysh, 
       "no bgp default subgroup-pkt-queue-max [(20-100)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "subgroup-pkt-queue-max\n"
       "Configure subgroup packet queue max\n")

DEFSH (VTYSH_BGPD, no_bgp_deterministic_med_cmd_vtysh, 
       "no bgp deterministic-med", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Pick the best-MED path among paths advertised from the neighboring AS\n")

DEFSH (VTYSH_BGPD, no_bgp_disable_connected_route_check_cmd_vtysh, 
       "no bgp disable-ebgp-connected-route-check", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Disable checking if nexthop is connected on ebgp sessions\n")

DEFSH (VTYSH_BGPD, no_bgp_distance_cmd_vtysh, 
       "no distance bgp [(1-255) (1-255) (1-255)]", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "BGP distance\n"
       "Distance for routes external to the AS\n"
       "Distance for routes internal to the AS\n"
       "Distance for local routes\n")

DEFSH (VTYSH_BGPD, no_bgp_distance_source_access_list_cmd_vtysh, 
       "no distance (1-255) A.B.C.D/M WORD", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, no_bgp_distance_source_cmd_vtysh, 
       "no distance (1-255) A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_all_vni_cmd_vtysh, 
       "no advertise-all-vni", 
       "Negate a command or set its defaults\n"
       "Advertise All local VNIs\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_autort_rfc8365_cmd_vtysh, 
       "no autort rfc8365-compatible", 
       "Negate a command or set its defaults\n"
       "Auto-derivation of RT\n"
       "Auto-derivation of RT using RFC8365\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_default_gw_cmd_vtysh, 
       "no advertise-default-gw", 
       "Negate a command or set its defaults\n"
       "Withdraw All default g/w mac-ip routes from EVPN\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_default_gw_vni_cmd_vtysh, 
       "no advertise-default-gw", 
       "Negate a command or set its defaults\n"
       "Withdraw default g/w mac-ip routes from EVPN for a VNI\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_type5_cmd_vtysh, 
       "no advertise " "<ipv4|ipv6>" "" "<unicast|multicast|vpn>", 
       "Negate a command or set its defaults\n"
       "Advertise prefix routes\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_evpn_advertise_vni_subnet_cmd_vtysh, 
       "no advertise-subnet", 
       "Negate a command or set its defaults\n"
       "Advertise All local VNIs\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_default_originate_cmd_vtysh, 
       "no default-originate <ipv4 | ipv6>", 
       "Negate a command or set its defaults\n"
       "withdraw a default route\n"
       "ipv4 address family\n"
       "ipv6 address family\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_cmd_vtysh, 
       "no vni " "(1-16777215)", 
       "Negate a command or set its defaults\n"
       "VXLAN Network Identifier\n"
       "VNI number\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rd_cmd_vtysh, 
       "no rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rd_without_val_cmd_vtysh, 
       "no rd", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rt_cmd_vtysh, 
       "no route-target <both|import|export> RT", 
       "Negate a command or set its defaults\n"
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rt_without_val_cmd_vtysh, 
       "no route-target <import|export>", 
       "Negate a command or set its defaults\n"
       "Route Target\n"
       "import\n"
       "export\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vrf_rd_cmd_vtysh, 
       "no rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vrf_rd_without_val_cmd_vtysh, 
       "no rd", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vrf_rt_cmd_vtysh, 
       "no route-target <both|import|export> RT", 
       "Negate a command or set its defaults\n"
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_expanded_all_cmd_vtysh, 
       "no bgp extcommunity-list <(100-500)|expanded WORD> <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (expanded)\n"
       "Specify expanded extcommunity-list\n"
       "Extended Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_expanded_all_list_cmd_vtysh, 
      "no bgp extcommunity-list <(100-500)|expanded WORD>", 
      "Negate a command or set its defaults\n" "IP information\n" "Add a extended community list entry\n"
      "Extended Community list number (expanded)\n"
      "Specify expanded extcommunity-list\n"
      "Extended Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_standard_all_cmd_vtysh, 
       "no bgp extcommunity-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (standard)\n"
       "Specify standard extcommunity-list\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Extended community attribute in 'rt aa:nn_or_IPaddr:nn' OR 'soo aa:nn_or_IPaddr:nn' format\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_standard_all_list_cmd_vtysh, 
      "no bgp extcommunity-list <(1-99)|standard WORD>", 
      "Negate a command or set its defaults\n" "IP information\n" "Add a extended community list entry\n"
      "Extended Community list number (standard)\n"
      "Specify standard extcommunity-list\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_fast_external_failover_cmd_vtysh, 
       "no bgp fast-external-failover", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Immediately reset session if a link to a directly connected external peer goes down\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_cmd_vtysh, 
       "no bgp graceful-restart", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Graceful restart capability parameters\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_preserve_fw_cmd_vtysh, 
       "no bgp graceful-restart preserve-fw-state", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Unsets F-bit indication that fib is preserved while doing Graceful Restart\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_restart_time_cmd_vtysh, 
       "no bgp graceful-restart restart-time [(1-3600)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Set the time to wait to delete stale routes before a BGP open message is received\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_stalepath_time_cmd_vtysh, 
       "no bgp graceful-restart stalepath-time [(1-3600)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Set the max time to hold onto restarting peer's stale paths\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_shutdown_cmd_vtysh, 
       "no bgp graceful-shutdown", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Graceful shutdown parameters\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_expanded_cmd_vtysh, 
       "no bgp large-community-list (100-500) <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (expanded)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_expanded_all_cmd_vtysh, 
       "no bgp large-community-list expanded WORD", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_expanded_cmd_vtysh, 
       "no bgp large-community-list expanded WORD <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_standard_cmd_vtysh, 
       "no bgp large-community-list standard WORD <deny|permit> AA:AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_standard_all_cmd_vtysh, 
       "no bgp large-community-list <(1-99)|(100-500)|WORD>", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Large Community list number (expanded)\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_standard_cmd_vtysh, 
       "no bgp large-community-list (1-99) <deny|permit> AA:AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, no_bgp_listen_limit_cmd_vtysh, 
       "no bgp listen limit [(1-5000)]", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "unset maximum number of BGP Dynamic Neighbors that can be created\n"
       "Configure Dynamic Neighbors listen limit value to default\n"
       "Configure Dynamic Neighbors listen limit value\n")

DEFSH (VTYSH_BGPD, no_bgp_listen_range_cmd_vtysh, 
       "no bgp listen range <A.B.C.D/M|X:X::X:X/M> peer-group WORD", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Unconfigure BGP dynamic neighbors listen range\n"
       "Unconfigure BGP dynamic neighbors listen range\n"
       "Neighbor address\nIPv6 address\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_local_mac_cmd_vtysh, 
              "no bgp local-mac vni " "(1-16777215)" " mac WORD", 
              "Negate a command or set its defaults\n"
              "BGP information\n"
              "Local MAC config\n"
              "VxLAN Network Identifier\n"
              "VNI number\n"
              "local mac\n"
              "mac address\n")

DEFSH (VTYSH_BGPD, no_bgp_log_neighbor_changes_cmd_vtysh, 
       "no bgp log-neighbor-changes", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Log neighbor up/down and reset reason\n")

DEFSH (VTYSH_BGPD, no_bgp_maxmed_admin_cmd_vtysh, 
       "no bgp max-med administrative [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Administratively applied,  for an indefinite period\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, no_bgp_maxmed_onstartup_cmd_vtysh, 
       "no bgp max-med on-startup [(5-86400) [(0-4294967295)]]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Effective on a startup\n"
       "Time (seconds) period for max-med\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, no_bgp_maxpaths_cmd_vtysh, 
       "no maximum-paths [" "(" "1" "-" "256" ")" "]", 
       "Negate a command or set its defaults\n"
       "Forward packets over multiple paths\n"
       "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_maxpaths_hidden_cmd_vtysh, 
      "no maximum-paths [" "(" "1" "-" "256" ")" "]",  "Negate a command or set its defaults\n"
      "Forward packets over multiple paths\n"
      "Number of paths\n")

DEFSH (VTYSH_BGPD, no_bgp_maxpaths_ibgp_cmd_vtysh, 
       "no maximum-paths ibgp [" "(" "1" "-" "256" ")" " [equal-cluster-length]]", 
       "Negate a command or set its defaults\n"
       "Forward packets over multiple paths\n"
       "iBGP-multipath\n"
       "Number of paths\n"
       "Match the cluster length\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_maxpaths_ibgp_hidden_cmd_vtysh, 
      "no maximum-paths ibgp [" "(" "1" "-" "256" ")"
                         " [equal-cluster-length]]", 
      "Negate a command or set its defaults\n"
      "Forward packets over multiple paths\n"
      "iBGP-multipath\n"
      "Number of paths\n"
      "Match the cluster length\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_multiple_instance_cmd_vtysh, 
       "no bgp multiple-instance", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "BGP multiple instance\n")

DEFSH (VTYSH_BGPD, no_bgp_network_import_check_cmd_vtysh, 
       "no bgp network import-check", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "BGP network command\n"
       "Check BGP network route exists in IGP\n")

DEFSH (VTYSH_BGPD, no_bgp_redistribute_ipv4_cmd_vtysh, 
       "no redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " [metric (0-4294967295)] [route-map WORD]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_redistribute_ipv4_hidden_cmd_vtysh, 
 "no redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>"
 " [metric (0-4294967295)] [route-map WORD]", 
 "Negate a command or set its defaults\n"
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, no_bgp_redistribute_ipv4_ospf_cmd_vtysh, 
       "no redistribute <ospf|table> (1-65535) [metric (0-4294967295)] [route-map WORD]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh, 
 "no redistribute <ospf|table> (1-65535) [metric (0-4294967295)] [route-map WORD]", 
 "Negate a command or set its defaults\n"
 "Redistribute information from another routing protocol\n"
 "Open Shortest Path First (OSPFv2)\n"
 "Non-main Kernel Routing Table\n"
 "Instance ID/Table ID\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, no_bgp_redistribute_ipv6_cmd_vtysh, 
       "no redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " [metric (0-4294967295)] [route-map WORD]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, no_bgp_router_id_cmd_vtysh,  "no bgp router-id [A.B.C.D]",  "Negate a command or set its defaults\n" "BGP information\n" "Override configured router identifier\n" "Manually configured router identifier\n")

DEFSH (VTYSH_BGPD, no_bgp_rpkt_quanta_cmd_vtysh, 
       "no read-quanta (1-10)", 
       "Negate a command or set its defaults\n"
       "How many packets to read from peer socket per I/O cycle\n"
       "Number of packets\n")

DEFSH (VTYSH_BGPD, no_bgp_rr_allow_outbound_policy_cmd_vtysh, 
       "no bgp route-reflector allow-outbound-policy", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Allow modifications made by out route-map\n"
       "on ibgp neighbors\n")

DEFSH (VTYSH_BGPD, no_bgp_set_route_map_delay_timer_cmd_vtysh, 
       "no bgp route-map delay-timer [(0-600)]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Default BGP route-map delay timer\n"
       "Reset to default time to wait for processing route-map changes\n"
       "0 disables the timer,  no route updates happen when route-maps change\n")

DEFSH (VTYSH_BGPD, no_bgp_table_map_cmd_vtysh, 
       "no table-map WORD", 
       "Negate a command or set its defaults\n"
       "BGP table to RIB route download filter\n"
       "Name of the route map\n")

DEFSH (VTYSH_BGPD, no_bgp_timers_cmd_vtysh, 
       "no timers bgp [(0-65535) (0-65535)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "BGP timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, no_bgp_update_delay_cmd_vtysh, 
       "no update-delay [(0-3600) [(1-3600)]]", 
       "Negate a command or set its defaults\n"
       "Force initial delay for best-path and updates\n"
       "Seconds\n"
       "Seconds\n")

DEFSH (VTYSH_BGPD, no_bgp_wpkt_quanta_cmd_vtysh, 
       "no write-quanta (1-10)", 
       "Negate a command or set its defaults\n"
       "How many packets to write to peer socket per I/O cycle\n"
       "Number of packets\n")

DEFSH (VTYSH_ZEBRA, no_config_table_cmd_vtysh, 
       "no table [TABLENO]", 
       "Negate a command or set its defaults\n"
       "Configure target kernel routing table\n"
       "TABLE integer\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_allow_martians_cmd_vtysh, 
       "no debug bgp allow-martians", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow martian next hops\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_as4_cmd_vtysh, 
       "no debug bgp as4", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_as4_segment_cmd_vtysh, 
       "no debug bgp as4 segment", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n"
       "BGP AS4 aspath segment handling\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_bestpath_cmd_vtysh, 
       "no debug bgp bestpath", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP bestpath\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_bestpath_prefix_cmd_vtysh, 
       "no debug bgp bestpath <A.B.C.D/M|X:X::X:X/M>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP bestpath\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_cmd_vtysh, 
       "no debug bgp", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_flowspec_cmd_vtysh, 
       "no debug bgp flowspec", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow flowspec debugging entries\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_keepalive_cmd_vtysh, 
       "no debug bgp keepalives", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_keepalive_peer_cmd_vtysh, 
       "no debug bgp keepalives <A.B.C.D|X:X::X:X|WORD>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_labelpool_cmd_vtysh, 
       "no debug bgp labelpool", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "label pool\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_neighbor_events_cmd_vtysh, 
       "no debug bgp neighbor-events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "Neighbor Events\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_neighbor_events_peer_cmd_vtysh, 
       "no debug bgp neighbor-events <A.B.C.D|X:X::X:X|WORD>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "Neighbor Events\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_nht_cmd_vtysh, 
       "no debug bgp nht", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP nexthop tracking events\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_pbr_cmd_vtysh, 
       "no debug bgp pbr [error]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP policy based routing\n"
       "BGP PBR Error\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_cmd_vtysh, 
       "no debug bgp updates", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_direct_cmd_vtysh, 
       "no debug bgp updates <in|out>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_direct_peer_cmd_vtysh, 
       "no debug bgp updates <in|out> <A.B.C.D|X:X::X:X|WORD>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_groups_cmd_vtysh, 
       "no debug bgp update-groups", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP update-groups\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_prefix_afi_safi_cmd_vtysh,  "no debug bgp updates prefix l2vpn$afi evpn$safi type <macip mac <X:X:X:X:X:X|X:X:X:X:X:X/M> [ip <A.B.C.D|X:X::X:X>]|multicast ip <A.B.C.D|X:X::X:X>|prefix ip <A.B.C.D/M|X:X::X:X/M>>",  "Negate a command or set its defaults\n" "Debugging functions\n" "BGP information\n" "BGP updates\n" "Specify a prefix to debug\n" "Layer 2 Virtual Private Network\n" "Ethernet Virtual Private Network\n" "Specify EVPN Route type\n" "MAC-IP (Type-2) route\n" "MAC address\n" "MAC address\n" "MAC address\n" "IP information\n" "IPv4 address\n" "IPv6 address\n" "Multicast (Type-3) route\n" "IP information\n" "IPv4 address\n" "IPv6 address\n" "Prefix (Type-5) route\n" "IP information\n" "IPv4 prefix\n" "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_prefix_cmd_vtysh, 
       "no debug bgp updates prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_vpn_cmd_vtysh, 
       "no debug bgp vpn <leak-from-vrf|leak-to-vrf|rmap-event|label>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "VPN routes\n"
       "leaked from vrf to vpn\n"
       "leaked to vrf from vpn\n"
       "route-map updates\n"
       "labels\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_zebra_cmd_vtysh, 
       "no debug bgp zebra", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_zebra_prefix_cmd_vtysh, 
       "no debug bgp zebra prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_rpki_cmd_vtysh, 
       "no debug rpki", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Disable debugging for rpki\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_dplane_cmd_vtysh, 
       "no debug zebra dplane", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra dataplane events\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_events_cmd_vtysh, 
       "no debug zebra events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra events\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_fpm_cmd_vtysh, 
       "no debug zebra fpm", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra FPM events\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_kernel_cmd_vtysh, 
       "no debug zebra kernel", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_kernel_msgdump_cmd_vtysh, 
       "no debug zebra kernel msgdump [<recv|send>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n"
       "Dump raw netlink messages,  sent and received\n"
       "Dump raw netlink messages received\n"
       "Dump raw netlink messages sent\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_mpls_cmd_vtysh, 
       "no debug zebra mpls", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra MPLS LSPs\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_nht_cmd_vtysh, 
       "no debug zebra nht", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra next hop tracking\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_packet_cmd_vtysh, 
       "no debug zebra packet [<recv|send>] [detail]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra packet\n"
       "Debug option set for receive packet\n"
       "Debug option set for send packet\n"
       "Debug option set for detailed info\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_rib_cmd_vtysh, 
       "no debug zebra rib [detailed]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra RIB\n"
       "Detailed debugs\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_vxlan_cmd_vtysh, 
       "no debug zebra vxlan", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra VxLAN (EVPN)\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, no_default_vrf_vni_mapping_cmd_vtysh, 
       "no vni " "(1-16777215)", 
       "Negate a command or set its defaults\n"
       "VNI corresponding to DEFAULT VRF\n"
       "VNI-ID")

DEFSH (VTYSH_RIPD, no_distribute_list_cmd_vtysh, 
       "no distribute-list [prefix] WORD <in|out> [WORD]", 
       "Negate a command or set its defaults\n"
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, no_dump_bgp_all_cmd_vtysh, 
       "no dump bgp <all|all-et|updates|updates-et|routes-mrt> [PATH [INTERVAL]]", 
       "Negate a command or set its defaults\n"
       "Stop dump packet\n"
       "Stop BGP packet dump\n"
       "Stop dump process all\n"
       "Stop dump process all-et\n"
       "Stop dump process updates\n"
       "Stop dump process updates-et\n"
       "Stop dump process route-mrt\n"
       "Output filename\n"
       "Interval of output\n")

DEFSH (VTYSH_BGPD, no_dup_addr_detection_cmd_vtysh,  "no dup-addr-detection [max-moves (2-1000)$max_moves_val time (2-1800)$time_val | freeze <permanent$permanent_val | (30-3600)$freeze_time_val>]",  "Negate a command or set its defaults\n" "Duplicate address detection\n" "Max allowed moves before address detected as duplicate\n" "Num of max allowed moves (2-1000) default 5\n" "Duplicate address detection time\n" "Time in seconds (2-1800) default 180\n" "Duplicate address detection freeze\n" "Duplicate address detection permanent freeze\n" "Duplicate address detection freeze time (30-3600)\n")

DEFSH (VTYSH_BGPD, no_evpnrt5_network_cmd_vtysh, 
      "no network <A.B.C.D/M|X:X::X:X/M> rd ASN:NN_OR_IP-ADDRESS:NN ethtag WORD label WORD esi WORD gwip <A.B.C.D|X:X::X:X>", 
      "Negate a command or set its defaults\n"
      "Specify a network to announce via BGP\n"
      "IP prefix\n"
      "IPv6 prefix\n"
      "Specify Route Distinguisher\n"
      "VPN Route Distinguisher\n"
      "Ethernet Tag\n"
      "Ethernet Tag Value\n"
      "BGP label\n"
      "label value\n"
      "Ethernet Segment Identifier\n"
      "ESI value ( 00:11:22:33:44:55:66:77:88:99 format) \n"
      "Gateway IP\n" "Gateway IP ( A.B.C.D )\n" "Gateway IPv6 ( X:X::X:X )\n")

DEFSH (VTYSH_ALL, no_exec_timeout_cmd_vtysh, 
       "no exec-timeout", 
       "Negate a command or set its defaults\n"
       "Set the EXEC timeout\n")

DEFSH (VTYSH_ZEBRA, no_fpm_remote_ip_cmd_vtysh, 
        "no fpm connection ip A.B.C.D port (1-65535)", 
        "fpm connection remote ip and port\n"
        "Connection\n"
        "Remote fpm server ip A.B.C.D\n"
        "Enter ip ")

DEFSH (VTYSH_RIPD, no_if_rmap_cmd_vtysh, 
       "no route-map ROUTEMAP_NAME <in|out> IFNAME", 
       "Negate a command or set its defaults\n"
       "Route map unset\n"
       "Route map name\n"
       "Route map for input filtering\n"
       "Route map for output filtering\n"
       "Route map interface name\n")

DEFSH (VTYSH_INTERFACE, no_interface_cmd_vtysh,  "no interface IFNAME [vrf NAME$vrfname]",  "Negate a command or set its defaults\n" "Delete a pseudo interface's configuration\n" "Interface's name\n" "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_INTERFACE, no_interface_desc_cmd_vtysh,  "no description",  "Negate a command or set its defaults\n" "Interface specific description\n")

DEFSH (VTYSH_ZEBRA, no_ip_address_cmd_vtysh, 
       "no ip address A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP Address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_ZEBRA, no_ip_address_label_cmd_vtysh, 
       "no ip address A.B.C.D/M label LINE", 
       "Negate a command or set its defaults\n"
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP address (e.g. 10.0.0.1/8)\n"
       "Label of this address\n"
       "Label\n")

DEFSH (VTYSH_ZEBRA, no_ip_address_peer_cmd_vtysh, 
      "no ip address A.B.C.D peer A.B.C.D/M", 
      "Negate a command or set its defaults\n"
      "Interface Internet Protocol config commands\n"
      "Set the IP address of an interface\n"
      "Local IP (e.g. 10.0.0.1) for P-t-P address\n"
      "Specify P-t-P address\n"
      "Peer IP address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_BGPD, no_ip_as_path_all_cmd_vtysh, 
       "no ip as-path access-list WORD", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "BGP autonomous system path filter\n"
       "Specify an access list name\n"
       "Regular expression access list name\n")

DEFSH (VTYSH_BGPD, no_ip_as_path_cmd_vtysh, 
      "no ip as-path access-list WORD <deny|permit> LINE...", 
      "Negate a command or set its defaults\n" "IP information\n"
      "BGP autonomous system path filter\n"
      "Specify an access list name\n"
      "Regular expression access list name\n"
      "Specify packets to reject\n"
      "Specify packets to forward\n"
      "A regular-expression (1234567890_(^|[, {}() ]|$)) to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, no_ip_community_list_expanded_all_cmd_vtysh, 
       "no ip community-list <(100-500)|expanded WORD> <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a community list entry\n"
       "Community list number (expanded)\n"
       "Add an expanded community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_ip_community_list_expanded_all_list_cmd_vtysh, 
      "no ip community-list <(100-500)|expanded WORD>", 
      "Negate a command or set its defaults\n" "IP information\n" "Add a community list entry\n"
      "Community list number (expanded)\n"
      "Add an expanded community-list entry\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_ip_community_list_standard_all_cmd_vtysh, 
       "no ip community-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a community list entry\n"
       "Community list number (standard)\n"
       "Add an standard community-list entry\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_ip_community_list_standard_all_list_cmd_vtysh, 
      "no ip community-list <(1-99)|standard WORD>", 
      "Negate a command or set its defaults\n" "BGP information\n" "Add a community list entry\n"
      "Community list number (standard)\n"
      "Add an standard community-list entry\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_ip_extcommunity_list_expanded_all_cmd_vtysh, 
       "no ip extcommunity-list <(100-500)|expanded WORD> <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (expanded)\n"
       "Specify expanded extcommunity-list\n"
       "Extended Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_ip_extcommunity_list_expanded_all_list_cmd_vtysh, 
      "no ip extcommunity-list <(100-500)|expanded WORD>", 
      "Negate a command or set its defaults\n" "IP information\n" "Add a extended community list entry\n"
      "Extended Community list number (expanded)\n"
      "Specify expanded extcommunity-list\n"
      "Extended Community list name\n")

DEFSH (VTYSH_BGPD, no_ip_extcommunity_list_standard_all_cmd_vtysh, 
       "no ip extcommunity-list <(1-99)|standard WORD> <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (standard)\n"
       "Specify standard extcommunity-list\n"
       "Community list name\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Extended community attribute in 'rt aa:nn_or_IPaddr:nn' OR 'soo aa:nn_or_IPaddr:nn' format\n")

DEFSH (VTYSH_BGPD, no_ip_extcommunity_list_standard_all_list_cmd_vtysh, 
      "no ip extcommunity-list <(1-99)|standard WORD>", 
      "Negate a command or set its defaults\n" "IP information\n" "Add a extended community list entry\n"
      "Extended Community list number (standard)\n"
      "Specify standard extcommunity-list\n"
      "Community list name\n")

DEFSH (VTYSH_ZEBRA, no_ip_forwarding_cmd_vtysh, 
       "no ip forwarding", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Turn off IP forwarding\n")

DEFSH (VTYSH_ZEBRA, no_ip_irdp_address_preference_cmd_vtysh, 
       "no ip irdp address A.B.C.D preference (0-2147483647)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Alter ICMP Router discovery preference on this interface\n"
       "Select IRDP address\n"
       "IPv4 address\n"
       "Reset ICMP Router discovery preference on this interface\n"
       "Old preference level\n")

DEFSH (VTYSH_ZEBRA, no_ip_irdp_cmd_vtysh, 
       "no ip irdp", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Disable ICMP Router discovery on this interface\n")

DEFSH (VTYSH_ZEBRA, no_ip_irdp_shutdown_cmd_vtysh, 
       "no ip irdp shutdown", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "ICMP Router discovery no shutdown on this interface\n")

DEFSH (VTYSH_BGPD, no_ip_lcommunity_list_expanded_cmd_vtysh, 
       "no ip large-community-list (100-500) <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a large community list entry\n"
       "Large Community list number (expanded)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_ip_lcommunity_list_name_expanded_all_cmd_vtysh, 
       "no ip large-community-list expanded WORD", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_ip_lcommunity_list_name_expanded_cmd_vtysh, 
       "no ip large-community-list expanded WORD <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_ip_lcommunity_list_name_standard_cmd_vtysh, 
       "no ip large-community-list standard WORD <deny|permit> AA:AA:NN...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, no_ip_lcommunity_list_standard_all_cmd_vtysh, 
       "no ip large-community-list <(1-99)|(100-500)|WORD>", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Large Community list number (expanded)\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_ip_lcommunity_list_standard_cmd_vtysh, 
       "no ip large-community-list (1-99) <deny|permit> AA:AA:NN...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_ZEBRA, no_ip_multicast_mode_cmd_vtysh, 
       "no ip multicast rpf-lookup-mode [<urib-only|mrib-only|mrib-then-urib|lower-distance|longer-prefix>]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Multicast options\n"
       "RPF lookup behavior\n"
       "Lookup in unicast RIB only\n"
       "Lookup in multicast RIB only\n"
       "Try multicast RIB first,  fall back to unicast RIB\n"
       "Lookup both,  use entry with lower distance\n"
       "Lookup both,  use entry with longer prefix\n")

DEFSH (VTYSH_ZEBRA, no_ip_nht_default_route_cmd_vtysh, 
       "no ip nht resolve-via-default", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ip_prefix_list_all_cmd_vtysh,  "no ip prefix-list WORD",  "Negate a command or set its defaults\n" "IP information\n" "Build a prefix list\n" "Name of a prefix list\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ip_prefix_list_cmd_vtysh,  "no ip prefix-list WORD [seq (1-4294967295)] <deny|permit>$action <any$dest|A.B.C.D/M$dest [{ge (0-32)|le (0-32)}]>",  "Negate a command or set its defaults\n" "IP information\n" "Build a prefix list\n" "Name of a prefix list\n" "sequence number of an entry\n" "Sequence number\n" "Specify packets to reject\n" "Specify packets to forward\n" "Any prefix match.  Same as \"0.0.0.0/0 le 32\"\n" "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n" "Minimum prefix length to be matched\n" "Minimum prefix length\n" "Maximum prefix length to be matched\n" "Maximum prefix length\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ip_prefix_list_description_cmd_vtysh, 
       "no ip prefix-list WORD description", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "Prefix-list specific description\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ip_prefix_list_description_comment_cmd_vtysh, 
       "no ip prefix-list WORD description LINE...", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "Prefix-list specific description\n"
       "Up to 80 characters describing this prefix-list\n")

DEFSH (VTYSH_ZEBRA, no_ip_protocol_cmd_vtysh,  "no ip protocol " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto [route-map ROUTE-MAP$rmap]",  "Negate a command or set its defaults\n" "IP information\n" "Stop filtering routing info between zebra and protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route-map\n" "Route map name\n")

DEFSH (VTYSH_ZEBRA, no_ip_protocol_nht_rmap_cmd_vtysh,  "no ip nht " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto route-map [ROUTE-MAP$rmap]",  "Negate a command or set its defaults\n" "IP information\n" "Filter Next Hop tracking route resolution\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route map\n" "Route map name\n")

DEFSH (VTYSH_ZEBRA, no_ip_zebra_import_table_cmd_vtysh, 
       "no ip import-table (1-252) [distance (1-255)] [route-map NAME]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "import routes from non-main kernel table\n"
       "kernel routing table id\n"
       "Distance for imported routes\n"
       "Default distance value\n"
       "route-map for filtering\n"
       "route-map name\n")

DEFSH (VTYSH_ALL, no_ipv6_access_list_all_cmd_vtysh, 
       "no ipv6 access-list WORD", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n")

DEFSH (VTYSH_ALL, no_ipv6_access_list_any_cmd_vtysh, 
       "no ipv6 access-list WORD <deny|permit> any", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Any prefixi to match\n")

DEFSH (VTYSH_ALL, no_ipv6_access_list_exact_cmd_vtysh, 
       "no ipv6 access-list WORD <deny|permit> X:X::X:X/M [exact-match]", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "Prefix to match. e.g. 3ffe:506::/32\n"
       "Exact match of the prefixes\n")

DEFSH (VTYSH_ALL, no_ipv6_access_list_remark_cmd_vtysh, 
       "no ipv6 access-list WORD remark", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Access list entry comment\n")

DEFSH (VTYSH_ALL, no_ipv6_access_list_remark_comment_cmd_vtysh, 
       "no ipv6 access-list WORD remark LINE...", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Add an access list entry\n"
       "IPv6 zebra access-list\n"
       "Access list entry comment\n"
       "Comment up to 100 characters\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_address_cmd_vtysh, 
       "no ipv6 address X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Set the IP address of an interface\n"
       "IPv6 address (e.g. 3ffe:506::1/48)\n")

DEFSH (VTYSH_BGPD, no_ipv6_aggregate_address_cmd_vtysh, 
       "no aggregate-address X:X::X:X/M [summary-only]", 
       "Negate a command or set its defaults\n"
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Filter more specific routes from updates\n")

DEFSH (VTYSH_BGPD, no_ipv6_bgp_distance_source_access_list_cmd_vtysh, 
       "no distance (1-255) X:X::X:X/M WORD", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, no_ipv6_bgp_distance_source_cmd_vtysh, 
       "no distance (1-255) X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_RIPNGD, no_ipv6_distribute_list_cmd_vtysh, 
       "no ipv6 distribute-list [prefix] WORD <in|out> [WORD]", 
       "Negate a command or set its defaults\n"
       "IPv6\n"
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_forwarding_cmd_vtysh, 
       "no ipv6 forwarding", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Turn off IPv6 forwarding\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nht_default_route_cmd_vtysh, 
       "no ipv6 nht resolve-via-default", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ipv6_prefix_list_all_cmd_vtysh,  "no ipv6 prefix-list WORD",  "Negate a command or set its defaults\n" "IPv6 information\n" "Build a prefix list\n" "Name of a prefix list\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ipv6_prefix_list_cmd_vtysh,  "no ipv6 prefix-list WORD [seq (1-4294967295)] <deny|permit>$action <any$dest|X:X::X:X/M$dest [{ge (0-128)|le (0-128)}]>",  "Negate a command or set its defaults\n" "IPv6 information\n" "Build a prefix list\n" "Name of a prefix list\n" "sequence number of an entry\n" "Sequence number\n" "Specify packets to reject\n" "Specify packets to forward\n" "Any prefix match.  Same as \"::0/0 le 128\"\n" "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n" "Maximum prefix length to be matched\n" "Maximum prefix length\n" "Minimum prefix length to be matched\n" "Minimum prefix length\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ipv6_prefix_list_description_cmd_vtysh, 
       "no ipv6 prefix-list WORD description", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "Prefix-list specific description\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, no_ipv6_prefix_list_description_comment_cmd_vtysh, 
       "no ipv6 prefix-list WORD description LINE...", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "Prefix-list specific description\n"
       "Up to 80 characters describing this prefix-list\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_protocol_cmd_vtysh,  "no ipv6 protocol " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto [route-map ROUTE-MAP$rmap]",  "Negate a command or set its defaults\n" "IPv6 Information\n" "Stop filtering IPv6 routing info between zebra and protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route-map\n" "Route map name\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_protocol_nht_rmap_cmd_vtysh,  "no ipv6 nht " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>" " $proto [route-map ROUTE-MAP$rmap]",  "Negate a command or set its defaults\n" "IPv6 Information\n" "Filter Next Hop tracking route resolution\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n" "Specify route map\n" "Route map name\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_key_chain_cmd_vtysh, 
       "no key chain WORD", 
       "Negate a command or set its defaults\n"
       "Authentication key management\n"
       "Key-chain management\n"
       "Key-chain name\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_key_cmd_vtysh, 
       "no key (0-2147483647)", 
       "Negate a command or set its defaults\n"
       "Delete a key\n"
       "Key identifier number\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_key_string_cmd_vtysh, 
       "no key-string [LINE]", 
       "Negate a command or set its defaults\n"
       "Unset key string\n"
       "The key\n")

DEFSH (VTYSH_ZEBRA, no_link_params_admin_grp_cmd_vtysh, 
       "no admin-grp", 
       "Negate a command or set its defaults\n"
       "Disable Administrative group membership on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_ava_bw_cmd_vtysh, 
       "no ava-bw", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Available Bandwidth on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_delay_cmd_vtysh, 
       "no delay", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Average,  Min & Max Link Delay on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_delay_var_cmd_vtysh, 
       "no delay-variation", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Delay Variation on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_enable_cmd_vtysh, 
       "no enable", 
       "Negate a command or set its defaults\n"
       "Disable link parameters on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_inter_as_cmd_vtysh, 
       "no neighbor", 
       "Negate a command or set its defaults\n"
       "Remove Neighbor IP address and AS number for Inter-AS TE\n")

DEFSH (VTYSH_ZEBRA, no_link_params_metric_cmd_vtysh, 
       "no metric", 
       "Negate a command or set its defaults\n"
       "Disable Link Metric on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_pkt_loss_cmd_vtysh, 
       "no packet-loss", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Link Packet Loss on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_res_bw_cmd_vtysh, 
       "no res-bw", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Residual Bandwidth on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_use_bw_cmd_vtysh, 
       "no use-bw", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Utilised Bandwidth on this interface\n")

DEFSH (VTYSH_ZEBRA, no_linkdetect_cmd_vtysh, 
       "no link-detect", 
       "Negate a command or set its defaults\n"
       "Disable link detection on interface\n")

DEFSH (VTYSH_ALL, no_logicalrouter_cmd_vtysh, 
       "no logical-router (1-65535) ns NAME", 
       "Negate a command or set its defaults\n"
       "Enable a Logical-Router\n"
       "Specify the Logical-Router identifier\n"
       "The Name Space\n"
       "The file name in " "/var/run/netns" ",  or a full pathname\n")

DEFSH (VTYSH_ALL, no_mac_access_list_any_cmd_vtysh, 
       "no mac access-list WORD <deny|permit> any", 
       "Negate a command or set its defaults\n"
       "Remove a mac access-list\n"
       "Remove an access list entry\n"
       "MAC zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "MAC address to match. e.g. 00:01:00:01:00:01\n")

DEFSH (VTYSH_ALL, no_mac_access_list_cmd_vtysh, 
       "no mac access-list WORD <deny|permit> X:X:X:X:X:X", 
       "Negate a command or set its defaults\n"
       "Remove a mac access-list\n"
       "Remove an access list entry\n"
       "MAC zebra access-list name\n"
       "Specify packets to reject\n"
       "Specify packets to forward\n"
       "MAC address to match. e.g. 00:01:00:01:00:01\n")

DEFSH (VTYSH_BGPD, no_match_aspath_cmd_vtysh, 
       "no match as-path [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP AS path list\n"
       "AS path access-list name\n")

DEFSH (VTYSH_BGPD, no_match_community_cmd_vtysh, 
       "no match community [<(1-99)|(100-500)|WORD> [exact-match]]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP community list\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Do exact matching of communities\n")

DEFSH (VTYSH_BGPD, no_match_ecommunity_cmd_vtysh, 
       "no match extcommunity [<(1-99)|(100-500)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP/VPN extended community list\n"
       "Extended community-list number (standard)\n"
       "Extended community-list number (expanded)\n"
       "Extended community-list name\n")

DEFSH (VTYSH_BGPD, no_match_evpn_default_route_cmd_vtysh, 
       "no match evpn default-route", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "default EVPN type-5 route\n")

DEFSH (VTYSH_BGPD, no_match_evpn_route_type_cmd_vtysh, 
       "no match evpn route-type <macip | multicast | prefix>", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match route-type\n"
       "mac-ip route\n"
       "IMET route\n"
       "prefix route\n")

DEFSH (VTYSH_BGPD, no_match_evpn_vni_cmd_vtysh, 
       "no match evpn vni " "(1-16777215)", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match VNI\n"
       "VNI ID\n")

DEFSH (VTYSH_RMAP, no_match_interface_cmd_vtysh, 
       "no match interface [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match first hop interface of route\n"
       "Interface name\n")

DEFSH (VTYSH_RMAP, no_match_ip_address_cmd_vtysh, 
       "no match ip address [<(1-199)|(1300-2699)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n")

DEFSH (VTYSH_ZEBRA, no_match_ip_address_prefix_len_cmd_vtysh, 
       "no match ip address prefix-len [(0-32)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match prefix length of ip address\n"
       "Match prefix length of ip address\n"
       "Prefix length\n")

DEFSH (VTYSH_RMAP, no_match_ip_address_prefix_list_cmd_vtysh, 
       "no match ip address prefix-list [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, no_match_ip_next_hop_cmd_vtysh, 
       "no match ip next-hop [<(1-199)|(1300-2699)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match next-hop address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n")

DEFSH (VTYSH_RMAP, no_match_ip_next_hop_prefix_list_cmd_vtysh, 
       "no match ip next-hop prefix-list [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match next-hop address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, no_match_ip_next_hop_type_cmd_vtysh, 
      "no match ip next-hop type [<blackhole>]", 
      "Negate a command or set its defaults\n" "Match values from routing table\n" "IP information\n"
      "Match next-hop address of route\n"
      "Match entries by type\n"
      "Blackhole\n")

DEFSH (VTYSH_ZEBRA, no_match_ip_nexthop_prefix_len_cmd_vtysh, 
       "no match ip next-hop prefix-len [(0-32)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match prefixlen of nexthop ip address\n"
       "Match prefix length of nexthop\n"
       "Prefix length\n")

DEFSH (VTYSH_BGPD, no_match_ip_route_source_cmd_vtysh, 
       "no match ip route-source [<(1-199)|(1300-2699)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP standard access-list name\n")

DEFSH (VTYSH_BGPD, no_match_ip_route_source_prefix_list_cmd_vtysh, 
       "no match ip route-source prefix-list [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, no_match_ipv6_address_cmd_vtysh, 
       "no match ipv6 address WORD", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match IPv6 address of route\n"
       "IPv6 access-list name\n")

DEFSH (VTYSH_ZEBRA, no_match_ipv6_address_prefix_len_cmd_vtysh, 
       "no match ipv6 address prefix-len [(0-128)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match prefix length of ip address\n"
       "Match prefix length of ip address\n"
       "Prefix length\n")

DEFSH (VTYSH_RMAP, no_match_ipv6_address_prefix_list_cmd_vtysh, 
       "no match ipv6 address prefix-list WORD", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_BGPD, no_match_ipv6_next_hop_cmd_vtysh, 
       "no match ipv6 next-hop X:X::X:X", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match IPv6 next-hop address of route\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, no_match_ipv6_next_hop_type_cmd_vtysh, 
      "no match ipv6 next-hop type [<blackhole>]", 
      "Negate a command or set its defaults\n" "Match values from routing table\n" "IPv6 information\n"
      "Match address of route\n"
      "Match entries by type\n"
      "Blackhole\n")

DEFSH (VTYSH_BGPD, no_match_lcommunity_cmd_vtysh, 
       "no match large-community [<(1-99)|(100-500)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP large community list\n"
       "Large Community-list number (standard)\n"
       "Large Community-list number (expanded)\n"
       "Large Community-list name\n")

DEFSH (VTYSH_BGPD, no_match_local_pref_cmd_vtysh, 
       "no match local-preference [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match local preference of route\n"
       "Local preference value\n")

DEFSH (VTYSH_BGPD, no_match_mac_address_cmd_vtysh, 
       "no match mac address WORD", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "mac\n"
       "Match address of route\n"
       "MAC acess-list name\n")

DEFSH (VTYSH_RMAP, no_match_metric_cmd_vtysh, 
       "no match metric [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match metric of route\n"
       "Metric value\n")

DEFSH (VTYSH_BGPD, no_match_origin_cmd_vtysh, 
       "no match origin [<egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, no_match_peer_cmd_vtysh, 
       "no match peer [<local|A.B.C.D|X:X::X:X|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match peer address\n"
       "Static or Redistributed routes\n"
       "IP address of peer\n"
       "IPv6 address of peer\n"
       "Interface name of peer\n")

DEFSH (VTYSH_BGPD, no_match_probability_cmd_vtysh, 
       "no match probability [(1-99)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match portion of routes defined by percentage value\n"
       "Percentage of routes\n")

DEFSH (VTYSH_BGPD, no_match_rpki_cmd_vtysh, 
       "no match rpki <valid|invalid|notfound>", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Control rpki specific settings\n"
       "Valid prefix\n"
       "Invalid prefix\n"
       "Prefix not found\n")

DEFSH (VTYSH_ZEBRA, no_match_source_instance_cmd_vtysh, 
       "no match source-instance [(0-255)]", 
       "Negate a command or set its defaults\n" "Match values from routing table\n"
       "Match the protocol's instance number\n"
       "The instance number\n")

DEFSH (VTYSH_ZEBRA, no_match_source_protocol_cmd_vtysh, 
       "no match source-protocol [<bgp|ospf|rip|ripng|isis|ospf6|pim|nhrp|eigrp|babel|connected|system|kernel|static|sharp>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "No match protocol via which the route was learnt\n"
       "BGP protocol\n"
       "OSPF protocol\n"
       "RIP protocol\n"
       "RIPNG protocol\n"
       "ISIS protocol\n"
       "OSPF6 protocol\n"
       "PIM protocol\n"
       "NHRP protocol\n"
       "EIGRP protocol\n"
       "BABEL protocol\n"
       "Routes from directly connected peer\n"
       "Routes from system configuration\n"
       "Routes from kernel\n"
       "Statically configured routes\n"
       "SHARP process\n")

DEFSH (VTYSH_RMAP, no_match_tag_cmd_vtysh, 
       "no match tag [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match tag of route\n"
       "Tag value\n")

DEFSH (VTYSH_ZEBRA, no_mpls_label_bind_cmd_vtysh, 
       "no mpls label bind <A.B.C.D/M|X:X::X:X/M> [<(16-1048575)|implicit-null>]", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Label configuration\n"
       "Establish FEC to label binding\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "MPLS Label to bind\n"
       "Use Implicit-Null Label\n")

DEFSH (VTYSH_ZEBRA, no_mpls_label_global_block_cmd_vtysh, 
       "no mpls label global-block [(16-1048575) (16-1048575)]", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Label configuration\n"
       "Configure global label block\n"
       "Start label\n"
       "End label\n")

DEFSH (VTYSH_ZEBRA, no_mpls_transit_lsp_all_cmd_vtysh, 
       "no mpls lsp (16-1048575)", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Establish label switched path\n"
       "Incoming MPLS label\n")

DEFSH (VTYSH_ZEBRA, no_mpls_transit_lsp_cmd_vtysh, 
       "no mpls lsp (16-1048575) <A.B.C.D|X:X::X:X>", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Establish label switched path\n"
       "Incoming MPLS label\n"
       "IPv4 gateway address\n"
       "IPv6 gateway address\n")

DEFSH (VTYSH_ZEBRA, no_mpls_transit_lsp_out_label_cmd_vtysh, 
      "no mpls lsp (16-1048575) <A.B.C.D|X:X::X:X> <(16-1048575)|explicit-null|implicit-null>", 
      "Negate a command or set its defaults\n" "MPLS information\n"
      "Establish label switched path\n"
      "Incoming MPLS label\n"
      "IPv4 gateway address\n"
      "IPv6 gateway address\n"
      "Outgoing MPLS label\n"
      "Use Explicit-Null label\n"
      "Use Implicit-Null label\n")

DEFSH (VTYSH_ZEBRA, no_multicast_cmd_vtysh, 
       "no multicast", 
       "Negate a command or set its defaults\n"
       "Unset multicast flag to interface\n")

DEFSH (VTYSH_BGPD, no_neighbor_activate_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enable the Address Family for this Neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_activate_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Enable the Address Family for this Neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_addpath_tx_all_paths_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise all paths to a neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_addpath_tx_all_paths_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise all paths to a neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH (VTYSH_BGPD, no_neighbor_advertise_interval_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> advertisement-interval [(0-600)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Minimum interval between sending BGP routing updates\n"
       "time in seconds\n")

DEFSH (VTYSH_BGPD, no_neighbor_allowas_in_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "allow local ASN appears in aspath attribute\n"
       "Number of occurences of AS number\n"
       "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_allowas_in_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "allow local ASN appears in aspath attribute\n"
 "Number of occurences of AS number\n"
 "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH (VTYSH_BGPD, no_neighbor_as_override_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_as_override_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH (VTYSH_BGPD, no_neighbor_attr_unchanged_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP attribute is propagated unchanged to this neighbor\n"
       "As-path attribute\n"
       "Nexthop attribute\n"
       "Med attribute\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_attr_unchanged_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "BGP attribute is propagated unchanged to this neighbor\n"
 "As-path attribute\n"
 "Nexthop attribute\n"
 "Med attribute\n")

DEFSH (VTYSH_BGPD, no_neighbor_bfd_cmd_vtysh, 

       "no neighbor <A.B.C.D|X:X::X:X|WORD> bfd", 



       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disables BFD support\n"





)

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_bfd_type_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> bfd <multihop|singlehop>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disables BFD support\n"
       "Multihop session\n"
       "Singlehop session\n")

DEFSH (VTYSH_BGPD, no_neighbor_capability_dynamic_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> capability dynamic", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise dynamic capability to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_capability_enhe_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> capability extended-nexthop", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise extended next-hop capability to the peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_capability_orf_prefix_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise ORF capability to the peer\n"
       "Advertise prefixlist ORF capability to this neighbor\n"
       "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
       "Capability to RECEIVE the ORF from this neighbor\n"
       "Capability to SEND the ORF to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_capability_orf_prefix_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Advertise capability to the peer\n"
 "Advertise ORF capability to the peer\n"
 "Advertise prefixlist ORF capability to this neighbor\n"
 "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
 "Capability to RECEIVE the ORF from this neighbor\n"
 "Capability to SEND the ORF to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_cmd_vtysh, 
       "no neighbor <WORD|<A.B.C.D|X:X::X:X> [remote-as <(1-4294967295)|internal|external>]>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_default_originate_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> default-originate [route-map WORD]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Originate default route to this neighbor\n"
       "Route-map to specify criteria to originate default\n"
       "route-map name\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_default_originate_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> default-originate [route-map WORD]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Originate default route to this neighbor\n"
 "Route-map to specify criteria to originate default\n"
 "route-map name\n")

DEFSH (VTYSH_BGPD, no_neighbor_description_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> description", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Neighbor specific description\n")

DEFSH (VTYSH_BGPD, no_neighbor_description_comment_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> description LINE...", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Neighbor specific description\n"
      "Up to 80 characters describing this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_disable_connected_check_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> <disable-connected-check|enforce-multihop>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "one-hop away EBGP peer using loopback address\n"
       "Enforce EBGP neighbors perform multihop\n")

DEFSH (VTYSH_BGPD, no_neighbor_distribute_list_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_distribute_list_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Filter updates to/from this neighbor\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n"
 "Filter incoming updates\n"
 "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_dont_capability_negotiate_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> dont-capability-negotiate", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Do not perform capability negotiation\n")

DEFSH (VTYSH_BGPD, no_neighbor_ebgp_multihop_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> ebgp-multihop [(1-255)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Allow EBGP neighbors not on directly connected networks\n"
       "maximum hop count\n")

DEFSH (VTYSH_BGPD, no_neighbor_enforce_first_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> enforce-first-as", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enforce the first AS for EBGP routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_filter_list_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Establish BGP filters\n"
       "AS path access-list name\n"
       "Filter incoming routes\n"
       "Filter outgoing routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_filter_list_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Establish BGP filters\n"
      "AS path access-list name\n"
      "Filter incoming routes\n"
      "Filter outgoing routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_interface_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> interface WORD", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Interface\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, no_neighbor_interface_config_cmd_vtysh, 
       "no neighbor WORD interface [v6only] [peer-group WORD] [remote-as <(1-4294967295)|internal|external>]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Interface name\n"
       "Configure BGP on interface\n"
       "Enable BGP with v6 link-local only\n"
       "Member of the peer-group\n"
       "Peer-group name\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_interface_peer_group_remote_as_cmd_vtysh, 
       "no neighbor WORD remote-as <(1-4294967295)|internal|external>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_local_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> local-as [(1-4294967295) [no-prepend [replace-as]]]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n"
       "Do not prepend local-as to updates from ebgp peers\n"
       "Do not prepend local-as to updates from ibgp peers\n")

DEFSH (VTYSH_BGPD, no_neighbor_maximum_prefix_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix [(1-4294967295) [(1-100)] [restart (1-65535)] [warning-only]]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefixes to accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Restart bgp connection after limit is exceeded\n"
       "Restart interval in minutes\n"
       "Only give warning message when limit is exceeded\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_maximum_prefix_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix [(1-4294967295) [(1-100)] [restart (1-65535)] [warning-only]]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefixes to accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Restart bgp connection after limit is exceeded\n"
 "Restart interval in minutes\n"
 "Only give warning message when limit is exceeded\n")

DEFSH (VTYSH_BGPD, no_neighbor_nexthop_local_unchanged_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> nexthop-local unchanged", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure treatment of outgoing link-local-nexthop attribute\n"
       "Leave link-local nexthop unchanged for this peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_nexthop_self_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_nexthop_self_force_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n"
       "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_nexthop_self_force_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n"
      "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_nexthop_self_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_override_capability_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> override-capability", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override capability negotiation result\n")

DEFSH (VTYSH_BGPD, no_neighbor_passive_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> passive", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Don't send open messages to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_password_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> password [LINE]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set a password\n"
       "The password\n")

DEFSH (VTYSH_BGPD, no_neighbor_peer_group_cmd_vtysh, 
       "no neighbor WORD peer-group", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor tag\n"
       "Configure peer-group\n")

DEFSH (VTYSH_BGPD, no_neighbor_port_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X> port [(0-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nIPv6 address\n"
       "Neighbor's BGP port\n"
       "TCP port number\n")

DEFSH (VTYSH_BGPD, no_neighbor_prefix_list_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "Name of a prefix list\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_prefix_list_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Filter updates to/from this neighbor\n"
      "Name of a prefix list\n"
      "Filter incoming updates\n"
      "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_all_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_all_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Apply to all AS numbers\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_all_replace_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Remove private ASNs in outbound updates\n"
 "Apply to all AS numbers\n"
 "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_replace_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_replace_as_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_route_map_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Apply route map to neighbor\n"
       "Name of route map\n"
       "Apply map to incoming routes\n"
       "Apply map to outbound routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_route_map_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Apply route map to neighbor\n"
      "Name of route map\n"
      "Apply map to incoming routes\n"
      "Apply map to outbound routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_route_reflector_client_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Reflector client\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_route_reflector_client_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Reflector client\n")

DEFSH (VTYSH_BGPD, no_neighbor_route_server_client_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Server client\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_route_server_client_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Server client\n")

DEFSH (VTYSH_BGPD, no_neighbor_send_community_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_send_community_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Send Community attribute to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_send_community_type_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n"
       "Send Standard and Extended Community attributes\n"
       "Send Standard,  Large and Extended Community attributes\n"
       "Send Extended Community attributes\n"
       "Send Standard Community attributes\n"
       "Send Large Community attributes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_send_community_type_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Send Community attribute to this neighbor\n"
 "Send Standard and Extended Community attributes\n"
 "Send Standard,  Large and Extended Community attributes\n"
 "Send Extended Community attributes\n"
 "Send Standard Community attributes\n"
 "Send Large Community attributes\n")

DEFSH (VTYSH_BGPD, no_neighbor_set_peer_group_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> peer-group WORD", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_set_peer_group_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> peer-group WORD", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Member of the peer-group\n"
      "Peer-group name\n")

DEFSH (VTYSH_BGPD, no_neighbor_shutdown_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> shutdown", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Administratively shut down this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_shutdown_msg_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> shutdown message MSG...", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Administratively shut down this neighbor\n"
       "Remove a shutdown message (draft-ietf-idr-shutdown-06)\n"
       "Shutdown message\n")

DEFSH (VTYSH_BGPD, no_neighbor_soft_reconfiguration_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Per neighbor soft reconfiguration\n"
       "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_soft_reconfiguration_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Per neighbor soft reconfiguration\n"
      "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_solo_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> solo", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Solo peer - part of its own update group\n")

DEFSH (VTYSH_BGPD, no_neighbor_strict_capability_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> strict-capability-match", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Strict capability negotiation match\n")

DEFSH (VTYSH_BGPD, no_neighbor_timers_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> timers [(0-65535) (0-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, no_neighbor_timers_connect_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> timers connect [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "BGP connect timer\n"
       "Connect timer\n")

DEFSH (VTYSH_BGPD, no_neighbor_ttl_security_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> ttl-security hops (1-254)", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP ttl-security parameters\n"
       "Specify the maximum number of hops to the BGP peer\n"
       "Number of hops to BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_unsuppress_map_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Route-map to selectively unsuppress suppressed routes\n"
       "Name of route map\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_unsuppress_map_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Route-map to selectively unsuppress suppressed routes\n"
      "Name of route map\n")

DEFSH (VTYSH_BGPD, no_neighbor_update_source_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> update-source [<A.B.C.D|X:X::X:X|WORD>]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Source of routing updates\n"
       "IPv4 address\n" "IPv6 address\n" "Interface name (requires zebra to be running)\n")

DEFSH (VTYSH_BGPD, no_neighbor_weight_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> weight [(0-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set default weight for routes from this neighbor\n"
       "default weight\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_weight_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> weight [(0-65535)]", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Set default weight for routes from this neighbor\n"
      "default weight\n")

DEFSH (VTYSH_ZEBRA, no_pseudowire_if_cmd_vtysh, 
       "no pseudowire IFNAME", 
       "Negate a command or set its defaults\n"
       "Static pseudowire configuration\n"
       "Pseudowire name\n")

DEFSH (VTYSH_RMAP, no_rmap_call_cmd_vtysh, 
       "no call", 
       "Negate a command or set its defaults\n"
       "Jump to another Route-Map after match+set\n")

DEFSH (VTYSH_RMAP, no_rmap_continue_cmd_vtysh, 
       "no continue [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "Continue on a different entry within the route-map\n"
       "Route-map entry sequence number\n")

DEFSH (VTYSH_RMAP, no_rmap_description_cmd_vtysh, 
       "no description", 
       "Negate a command or set its defaults\n"
       "Route-map comment\n")

DEFSH (VTYSH_RMAP, no_rmap_onmatch_goto_cmd_vtysh, 
       "no on-match goto", 
       "Negate a command or set its defaults\n"
       "Exit policy on matches\n"
       "Goto Clause number\n")

DEFSH (VTYSH_RMAP, no_rmap_onmatch_next_cmd_vtysh, 
       "no on-match next", 
       "Negate a command or set its defaults\n"
       "Exit policy on matches\n"
       "Next clause\n")

DEFSH (VTYSH_RMAP, no_route_map_all_cmd_vtysh, 
       "no route-map WORD", 
       "Negate a command or set its defaults\n"
       "Create route-map or enter route-map command mode\n"
       "Route map tag\n")

DEFSH (VTYSH_RMAP, no_route_map_cmd_vtysh, 
       "no route-map WORD <deny|permit> (1-65535)", 
       "Negate a command or set its defaults\n"
       "Create route-map or enter route-map command mode\n"
       "Route map tag\n"
       "Route map denies set operations\n"
       "Route map permits set operations\n"
       "Sequence to insert to/delete from existing route-map entry\n")

DEFSH (VTYSH_BGPD, no_router_bgp_cmd_vtysh, 
       "no router bgp [(1-4294967295) [<view|vrf> VIEWVRFNAME]]", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "BGP information\n"
       "AS number\n"
       "BGP view\nBGP VRF\nView/VRF name\n")

DEFSH (VTYSH_ZEBRA, no_router_id_cmd_vtysh, 
       "no router-id [A.B.C.D [vrf NAME]]", 
       "Negate a command or set its defaults\n"
       "Remove the manually configured router-id\n"
       "IP address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_BGPD, no_rpki_cache_cmd_vtysh,  "no rpki cache <A.B.C.D|WORD> <TCPPORT|(1-65535)$sshport> preference (1-255)$preference",  "Negate a command or set its defaults\n" "Control rpki specific settings\n" "Remove a cache server\n" "IP address of cache server\n Hostname of cache server\n" "TCP port number\n" "SSH port number\n" "Preference of the cache server\n" "Preference value\n")

DEFSH (VTYSH_BGPD, no_rpki_expire_interval_cmd_vtysh, 
       "no rpki expire_interval", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set expire interval back to default\n")

DEFSH (VTYSH_BGPD, no_rpki_polling_period_cmd_vtysh, 
       "no rpki polling_period", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set polling period back to default\n")

DEFSH (VTYSH_BGPD, no_rpki_retry_interval_cmd_vtysh, 
       "no rpki retry_interval", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set retry interval back to default\n")

DEFSH (VTYSH_BGPD, no_rpki_synchronisation_timeout_cmd_vtysh, 
       "no rpki initial-synchronisation-timeout", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set the initial synchronisation timeout back to default (30 sec.)\n")

DEFSH (VTYSH_BGPD, no_rpki_timeout_cmd_vtysh, 
       "no rpki timeout", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set timeout back to default\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_send_lifetime_cmd_vtysh, 
       "no send-lifetime", 
       "Negate a command or set its defaults\n"
       "Unset send-lifetime\n")

DEFSH (VTYSH_ALL, no_service_advanced_vty_cmd_vtysh, 
       "no service advanced-vty", 
       "Negate a command or set its defaults\n"
       "Set up miscellaneous service\n"
       "Enable advanced mode vty interface\n")

DEFSH (VTYSH_BGPD, no_set_aggregator_as_cmd_vtysh, 
       "no set aggregator as [(1-4294967295) A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP aggregator attribute\n"
       "AS number of aggregator\n"
       "AS number\n"
       "IP address of aggregator\n")

DEFSH (VTYSH_BGPD, no_set_aspath_exclude_all_cmd_vtysh, 
      "no set as-path exclude", 
      "Negate a command or set its defaults\n" "Set values in destination routing protocol\n"
      "Transform BGP AS_PATH attribute\n"
      "Exclude from the as-path\n")

DEFSH (VTYSH_BGPD, no_set_aspath_exclude_cmd_vtysh, 
       "no set as-path exclude (1-4294967295)...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Exclude from the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, no_set_aspath_prepend_cmd_vtysh, 
       "no set as-path prepend [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, no_set_atomic_aggregate_cmd_vtysh, 
       "no set atomic-aggregate", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP atomic aggregate attribute\n" )

DEFSH (VTYSH_BGPD, no_set_community_cmd_vtysh, 
       "no set community AA:NN...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP community attribute\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_set_community_delete_cmd_vtysh, 
       "no set comm-list [<(1-99)|(100-500)|WORD> delete]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "set BGP community list (for deletion)\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Delete matching communities\n")

DEFSH (VTYSH_BGPD, no_set_community_short_cmd_vtysh, 
       "no set community", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP community attribute\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_rt_cmd_vtysh, 
       "no set extcommunity rt ASN:NN_OR_IP-ADDRESS:NN...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Route Target extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_rt_short_cmd_vtysh, 
       "no set extcommunity rt", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Route Target extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_soo_cmd_vtysh, 
       "no set extcommunity soo ASN:NN_OR_IP-ADDRESS:NN...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Site-of-Origin extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_soo_short_cmd_vtysh, 
       "no set extcommunity soo", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "GP extended community attribute\n"
       "Site-of-Origin extended community\n")

DEFSH (VTYSH_RMAP, no_set_ip_nexthop_cmd_vtysh, 
       "no set ip next-hop [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IP information\n"
       "Next hop address\n"
       "IP address of next hop\n")

DEFSH (VTYSH_BGPD, no_set_ipv6_nexthop_global_cmd_vtysh, 
       "no set ipv6 next-hop global X:X::X:X", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "IPv6 global address\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, no_set_ipv6_nexthop_local_cmd_vtysh, 
       "no set ipv6 next-hop local [X:X::X:X]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "IPv6 local address\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, no_set_ipv6_nexthop_peer_cmd_vtysh, 
       "no set ipv6 next-hop peer-address", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "Use peer address (for BGP only)\n")

DEFSH (VTYSH_BGPD, no_set_ipv6_nexthop_prefer_global_cmd_vtysh, 
       "no set ipv6 next-hop prefer-global", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "Prefer global over link-local if both exist\n")

DEFSH (VTYSH_BGPD, no_set_ipx_vpn_nexthop_cmd_vtysh, 
       "no set <ipv4|ipv6> vpn next-hop [<A.B.C.D|X:X::X:X>]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv4 information\n"
       "IPv6 information\n"
       "VPN information\n"
       "VPN next-hop address\n"
       "IP address of next hop\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, no_set_label_index_cmd_vtysh, 
       "no set label-index [(0-1048560)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Label index to associate with the prefix\n"
       "Label index value\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity1_cmd_vtysh, 
       "no set large-community AA:BB:CC...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "Large community in AA:BB:CC... format or additive\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity1_short_cmd_vtysh, 
       "no set large-community", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity_cmd_vtysh, 
       "no set large-community none", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "No community attribute\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity_delete_cmd_vtysh, 
       "no set large-comm-list <(1-99)|(100-500)|WORD> [delete]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "set BGP large community list (for deletion)\n"
       "Large Community-list number (standard)\n"
       "Large Communitly-list number (expanded)\n"
       "Large Community-list name\n"
       "Delete matching large communities\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity_delete_short_cmd_vtysh, 
       "no set large-comm-list", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "set BGP large community list (for deletion)\n")

DEFSH (VTYSH_BGPD, no_set_local_pref_cmd_vtysh, 
       "no set local-preference [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP local preference path attribute\n"
       "Preference value\n")

DEFSH (VTYSH_RMAP, no_set_metric_cmd_vtysh, 
       "no set metric [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Metric value for destination routing protocol\n"
       "Metric value\n")

DEFSH (VTYSH_BGPD, no_set_origin_cmd_vtysh, 
       "no set origin [<egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, no_set_originator_id_cmd_vtysh, 
       "no set originator-id [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP originator ID attribute\n"
       "IP address of originator\n")

DEFSH (VTYSH_ZEBRA, no_set_src_cmd_vtysh, 
       "no set src [<A.B.C.D|X:X::X:X>]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Source address for route\n"
       "IPv4 address\n"
       "IPv6 address\n")

DEFSH (VTYSH_RMAP, no_set_tag_cmd_vtysh, 
       "no set tag [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Tag value for routing protocol\n"
       "Tag value\n")

DEFSH (VTYSH_BGPD, no_set_weight_cmd_vtysh, 
       "no set weight [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP weight for routing table\n"
       "Weight value\n")

DEFSH (VTYSH_ZEBRA, no_shutdown_if_cmd_vtysh, 
       "no shutdown", 
       "Negate a command or set its defaults\n"
       "Shutdown the selected interface\n")

DEFSH (VTYSH_BGPD, no_synchronization_cmd_vtysh, 
       "no synchronization", 
       "Negate a command or set its defaults\n"
       "Perform IGP synchronization\n")

DEFSH (VTYSH_BGPD, no_vpnv4_network_cmd_vtysh, 
       "no network A.B.C.D/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575)", 
       "Negate a command or set its defaults\n"
       "Specify a network to announce via BGP\n"
       "IPv4 prefix\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n")

DEFSH (VTYSH_BGPD, no_vpnv6_network_cmd_vtysh, 
       "no network X:X::X:X/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575)", 
       "Negate a command or set its defaults\n"
       "Specify a network to announce via BGP\n"
       "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n")

DEFSH (VTYSH_VRF, no_vrf_cmd_vtysh, 
       "no vrf NAME", 
       "Negate a command or set its defaults\n"
       "Delete a pseudo VRF's configuration\n"
       "VRF's name\n")

DEFSH (VTYSH_VRF, no_vrf_debug_cmd_vtysh, 
      "no debug vrf", 
      "Negate a command or set its defaults\n"
      "Debugging functions\n"
      "VRF Debugging\n")

DEFSH (VTYSH_ZEBRA, no_vrf_vni_mapping_cmd_vtysh, 
       "no vni " "(1-16777215)" "[prefix-routes-only]", 
       "Negate a command or set its defaults\n"
       "VNI corresponding to tenant VRF\n"
       "VNI-ID\n"
       "prefix-routes-only\n")

DEFSH (VTYSH_ALL, no_vty_access_class_cmd_vtysh, 
       "no access-class [WORD]", 
       "Negate a command or set its defaults\n"
       "Filter connections based on an IP access list\n"
       "IP access list\n")

DEFSH (VTYSH_ALL, no_vty_ipv6_access_class_cmd_vtysh, 
       "no ipv6 access-class [WORD]", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Filter connections based on an IP access list\n"
       "IPv6 access list\n")

DEFSH (VTYSH_ALL, no_vty_login_cmd_vtysh, 
       "no login", 
       "Negate a command or set its defaults\n"
       "Enable password checking\n")

DEFSH (VTYSH_ZEBRA, no_zebra_dplane_queue_limit_cmd_vtysh, 
       "no zebra dplane limit [(0-10000)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Zebra dataplane\n"
       "Limit incoming queued updates\n"
       "Number of queued updates\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, no_zebra_packet_process_cmd_vtysh, 
       "no zebra zapi-packets [(1-10000)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Zapi Protocol\n"
       "Number of packets to process before relinquishing thread\n")

DEFSH (VTYSH_ZEBRA, no_zebra_route_map_timer_cmd_vtysh, 
       "no zebra route-map delay-timer [(0-600)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Set route-map parameters\n"
       "Reset delay-timer to default value,  30 secs\n"
       "0 means event-driven updates are disabled\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, no_zebra_workqueue_timer_cmd_vtysh, 
       "no zebra work-queue [(0-10000)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Work Queue\n"
       "Time in milliseconds\n")

DEFSH (VTYSH_ZEBRA, pseudowire_control_word_cmd_vtysh, 
       "[no] control-word <exclude|include>", 
       "Negate a command or set its defaults\n"
       "Control-word options\n"
       "Exclude control-word in pseudowire packets\n"
       "Include control-word in pseudowire packets\n")

DEFSH (VTYSH_ZEBRA, pseudowire_labels_cmd_vtysh, 
       "[no] mpls label local (16-1048575) remote (16-1048575)", 
       "Negate a command or set its defaults\n"
       "MPLS L2VPN PW command\n"
       "MPLS L2VPN static labels\n"
       "Local pseudowire label\n"
       "Local pseudowire label\n"
       "Remote pseudowire label\n"
       "Remote pseudowire label\n")

DEFSH (VTYSH_ZEBRA, pseudowire_neighbor_cmd_vtysh, 
       "[no] neighbor <A.B.C.D|X:X::X:X>", 
       "Negate a command or set its defaults\n"
       "Specify the IPv4 or IPv6 address of the remote endpoint\n"
       "IPv4 address\n"
       "IPv6 address\n")

DEFSH (VTYSH_RMAP, rmap_call_cmd_vtysh, 
       "call WORD", 
       "Jump to another Route-Map after match+set\n"
       "Target route-map name\n")

DEFSH (VTYSH_RMAP, rmap_continue_cmd_vtysh, 
       "continue (1-65535)", 
       "Continue on a different entry within the route-map\n"
       "Route-map entry sequence number\n")

DEFSH (VTYSH_RMAP, rmap_description_cmd_vtysh, 
       "description LINE...", 
       "Route-map comment\n"
       "Comment describing this route-map rule\n")

DEFSH (VTYSH_RMAP, rmap_onmatch_goto_cmd_vtysh, 
       "on-match goto (1-65535)", 
       "Exit policy on matches\n"
       "Goto Clause number\n"
       "Number\n")

DEFSH (VTYSH_RMAP, rmap_onmatch_next_cmd_vtysh, 
       "on-match next", 
       "Exit policy on matches\n"
       "Next clause\n")

DEFSH (VTYSH_RMAP, rmap_show_name_cmd_vtysh, 
       "show route-map [WORD]", 
       "Show running system information\n"
       "route-map information\n"
       "route-map name\n")

DEFSH (VTYSH_ZEBRA, router_id_cmd_vtysh, 
       "router-id A.B.C.D [vrf NAME]", 
       "Manually set the router-id\n"
       "IP address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_BGPD, rpki_cache_cmd_vtysh,  "rpki cache <A.B.C.D|WORD>" "<TCPPORT|(1-65535)$sshport SSH_UNAME SSH_PRIVKEY SSH_PUBKEY [SERVER_PUBKEY]> " "preference (1-255)",  "Control rpki specific settings\n" "Install a cache server to current group\n" "IP address of cache server\n Hostname of cache server\n" "TCP port number\n" "SSH port number\n" "SSH user name\n" "Path to own SSH private key\n" "Path to own SSH public key\n" "Path to Public key of cache server\n" "Preference of the cache server\n" "Preference value\n")

DEFSH (VTYSH_BGPD, rpki_expire_interval_cmd_vtysh,  "rpki expire_interval (600-172800)$tmp",  "Control rpki specific settings\n" "Set expire interval\n" "Expire interval value\n")

DEFSH (VTYSH_BGPD, rpki_polling_period_cmd_vtysh,  "rpki polling_period (1-86400)$pp",  "Control rpki specific settings\n" "Set polling period\n" "Polling period value\n")

DEFSH (VTYSH_BGPD, rpki_reset_cmd_vtysh, 
       "rpki reset", 
       "Control rpki specific settings\n"
       "reset rpki\n")

DEFSH (VTYSH_BGPD, rpki_retry_interval_cmd_vtysh,  "rpki retry_interval (1-7200)$tmp",  "Control rpki specific settings\n" "Set retry interval\n" "retry interval value\n")

DEFSH (VTYSH_BGPD, rpki_synchronisation_timeout_cmd_vtysh,  "rpki initial-synchronisation-timeout (1-4294967295)$ito_arg",  "Control rpki specific settings\n" "Set a timeout for the initial synchronisation of prefix validation data\n" "Timeout value\n")

DEFSH (VTYSH_BGPD, rpki_timeout_cmd_vtysh,  "rpki timeout (1-4294967295)$to_arg",  "Control rpki specific settings\n" "Set timeout\n" "Timeout value\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_day_month_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_day_month_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_duration_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) duration (1-2147483646)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_duration_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) duration (1-2147483646)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_infinite_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) infinite", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_infinite_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) infinite", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_month_day_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_month_day_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_ALL, service_advanced_vty_cmd_vtysh, 
       "service advanced-vty", 
       "Set up miscellaneous service\n"
       "Enable advanced mode vty interface\n")

DEFSH (VTYSH_BGPD, set_aggregator_as_cmd_vtysh, 
       "set aggregator as (1-4294967295) A.B.C.D", 
       "Set values in destination routing protocol\n"
       "BGP aggregator attribute\n"
       "AS number of aggregator\n"
       "AS number\n"
       "IP address of aggregator\n")

DEFSH (VTYSH_BGPD, set_aspath_exclude_cmd_vtysh, 
       "set as-path exclude (1-4294967295)...", 
       "Set values in destination routing protocol\n"
       "Transform BGP AS-path attribute\n"
       "Exclude from the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, set_aspath_prepend_asn_cmd_vtysh, 
       "set as-path prepend (1-4294967295)...", 
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, set_aspath_prepend_lastas_cmd_vtysh, 
       "set as-path prepend last-as (1-10)", 
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "Use the peer's AS-number\n"
       "Number of times to insert\n")

DEFSH (VTYSH_BGPD, set_atomic_aggregate_cmd_vtysh, 
       "set atomic-aggregate", 
       "Set values in destination routing protocol\n"
       "BGP atomic aggregate attribute\n" )

DEFSH (VTYSH_BGPD, set_community_cmd_vtysh, 
       "set community AA:NN...", 
       "Set values in destination routing protocol\n"
       "BGP community attribute\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, set_community_delete_cmd_vtysh, 
       "set comm-list <(1-99)|(100-500)|WORD> delete", 
       "Set values in destination routing protocol\n"
       "set BGP community list (for deletion)\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Delete matching communities\n")

DEFSH (VTYSH_BGPD, set_community_none_cmd_vtysh, 
       "set community none", 
       "Set values in destination routing protocol\n"
       "BGP community attribute\n"
       "No community attribute\n")

DEFSH (VTYSH_BGPD, set_ecommunity_rt_cmd_vtysh, 
       "set extcommunity rt ASN:NN_OR_IP-ADDRESS:NN...", 
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Route Target extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_BGPD, set_ecommunity_soo_cmd_vtysh, 
       "set extcommunity soo ASN:NN_OR_IP-ADDRESS:NN...", 
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Site-of-Origin extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_RMAP, set_ip_nexthop_cmd_vtysh, 
       "set ip next-hop A.B.C.D", 
       "Set values in destination routing protocol\n"
       "IP information\n"
       "Next hop address\n"
       "IP address of next hop\n")

DEFSH (VTYSH_BGPD, set_ip_nexthop_peer_cmd_vtysh, 
       "[no] set ip next-hop peer-address", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IP information\n"
       "Next hop address\n"
       "Use peer address (for BGP only)\n")

DEFSH (VTYSH_BGPD, set_ip_nexthop_unchanged_cmd_vtysh, 
       "[no] set ip next-hop unchanged", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IP information\n"
       "Next hop address\n"
       "Don't modify existing Next hop address\n")

DEFSH (VTYSH_BGPD, set_ipv6_nexthop_global_cmd_vtysh, 
       "set ipv6 next-hop global X:X::X:X", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "IPv6 global address\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, set_ipv6_nexthop_local_cmd_vtysh, 
       "set ipv6 next-hop local X:X::X:X", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "IPv6 local address\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, set_ipv6_nexthop_peer_cmd_vtysh, 
       "set ipv6 next-hop peer-address", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "Next hop address\n"
       "Use peer address (for BGP only)\n")

DEFSH (VTYSH_BGPD, set_ipv6_nexthop_prefer_global_cmd_vtysh, 
       "set ipv6 next-hop prefer-global", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "Prefer global over link-local if both exist\n")

DEFSH (VTYSH_BGPD, set_ipx_vpn_nexthop_cmd_vtysh, 
       "set <ipv4|ipv6> vpn next-hop <A.B.C.D|X:X::X:X>", 
       "Set values in destination routing protocol\n"
       "IPv4 information\n"
       "IPv6 information\n"
       "VPN information\n"
       "VPN next-hop address\n"
       "IP address of next hop\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, set_label_index_cmd_vtysh, 
       "set label-index (0-1048560)", 
       "Set values in destination routing protocol\n"
       "Label index to associate with the prefix\n"
       "Label index value\n")

DEFSH (VTYSH_BGPD, set_lcommunity_cmd_vtysh, 
       "set large-community AA:BB:CC...", 
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "Large Community number in aa:bb:cc format or additive\n")

DEFSH (VTYSH_BGPD, set_lcommunity_delete_cmd_vtysh, 
       "set large-comm-list <(1-99)|(100-500)|WORD> delete", 
       "Set values in destination routing protocol\n"
       "set BGP large community list (for deletion)\n"
       "Large Community-list number (standard)\n"
       "Large Communitly-list number (expanded)\n"
       "Large Community-list name\n"
       "Delete matching large communities\n")

DEFSH (VTYSH_BGPD, set_lcommunity_none_cmd_vtysh, 
       "set large-community none", 
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "No large community attribute\n")

DEFSH (VTYSH_BGPD, set_local_pref_cmd_vtysh, 
       "set local-preference (0-4294967295)", 
       "Set values in destination routing protocol\n"
       "BGP local preference path attribute\n"
       "Preference value\n")

DEFSH (VTYSH_RMAP, set_metric_cmd_vtysh, 
       "set metric <(0-4294967295)|rtt|+rtt|-rtt|+metric|-metric>", 
       "Set values in destination routing protocol\n"
       "Metric value for destination routing protocol\n"
       "Metric value\n"
       "Assign round trip time\n"
       "Add round trip time\n"
       "Subtract round trip time\n"
       "Add metric\n"
       "Subtract metric\n")

DEFSH (VTYSH_BGPD, set_origin_cmd_vtysh, 
       "set origin <egp|igp|incomplete>", 
       "Set values in destination routing protocol\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, set_originator_id_cmd_vtysh, 
       "set originator-id A.B.C.D", 
       "Set values in destination routing protocol\n"
       "BGP originator ID attribute\n"
       "IP address of originator\n")

DEFSH (VTYSH_ZEBRA, set_src_cmd_vtysh, 
       "set src <A.B.C.D|X:X::X:X>", 
       "Set values in destination routing protocol\n"
       "src address for route\n"
       "IPv4 src address\n"
       "IPv6 src address\n")

DEFSH (VTYSH_RMAP, set_tag_cmd_vtysh, 
       "set tag (1-4294967295)", 
       "Set values in destination routing protocol\n"
       "Tag value for routing protocol\n"
       "Tag value\n")

DEFSH (VTYSH_BGPD, set_weight_cmd_vtysh, 
       "set weight (0-4294967295)", 
       "Set values in destination routing protocol\n"
       "BGP weight for routing table\n"
       "Weight value\n")

DEFSH (VTYSH_BGPD, show_bgp_afi_vpn_rd_route_cmd_vtysh, 
       "show bgp ""<ipv4|ipv6>"" vpn rd ASN:NN_OR_IP-ADDRESS:NN <A.B.C.D/M|X:X::X:X/M> [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n"
       "Display information for a route distinguisher\n"
       "Route Distinguisher\n"
       "Network in the BGP routing table to display\n"
       "Network in the BGP routing table to display\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_as_path_access_list_all_cmd_vtysh, 
       "show bgp as-path-access-list", 
       "Show running system information\n"
       "BGP information\n"
       "List AS path access lists\n")

DEFSH (VTYSH_BGPD, show_bgp_as_path_access_list_cmd_vtysh, 
       "show bgp as-path-access-list WORD", 
       "Show running system information\n"
       "BGP information\n"
       "List AS path access lists\n"
       "AS path access list name\n")

DEFSH (VTYSH_BGPD, show_bgp_community_list_arg_cmd_vtysh, 
       "show bgp community-list <(1-500)|WORD>", 
       "Show running system information\n"
       "BGP information\n"
       "List community-list\n"
       "Community-list number\n"
       "Community-list name\n")

DEFSH (VTYSH_BGPD, show_bgp_community_list_cmd_vtysh, 
       "show bgp community-list", 
       "Show running system information\n"
       "BGP information\n"
       "List community-list\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_import_rt_cmd_vtysh, 
      "show bgp evpn import-rt", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n" "Show import route target\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_cmd_vtysh, 
      "show bgp evpn route [type <macip|multicast>]", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Specify Route type\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_rd_cmd_vtysh, 
 "show bgp evpn route rd ASN:NN_OR_IP-ADDRESS:NN [type <macip|multicast>]", 
 "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
 "EVPN route information\n"
 "Route Distinguisher\n"
 "ASN:XX or A.B.C.D:XX\n"
 "Specify Route type\n"
 "MAC-IP (Type-2) route\n"
 "Multicast (Type-3) route\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_rd_macip_cmd_vtysh, 
 "show bgp evpn route rd ASN:NN_OR_IP-ADDRESS:NN mac WORD [ip WORD]", 
 "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
 "EVPN route information\n"
 "Route Distinguisher\n"
 "ASN:XX or A.B.C.D:XX\n"
 "MAC\n"
 "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
 "IP\n"
 "IP address (IPv4 or IPv6)\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_all_cmd_vtysh, 
      "show bgp evpn route vni all [vtep A.B.C.D]", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "All VNIs\n"
      "Remote VTEP\n"
      "Remote VTEP IP address\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_cmd_vtysh, 
 "show bgp evpn route vni " "(1-16777215)" " [<type <macip|multicast> | vtep A.B.C.D>]", 
 "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
 "EVPN route information\n"
 "VXLAN Network Identifier\n"
 "VNI number\n"
 "Specify Route type\n"
 "MAC-IP (Type-2) route\n"
 "Multicast (Type-3) route\n"
 "Remote VTEP\n"
 "Remote VTEP IP address\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_macip_cmd_vtysh, 
      "show bgp evpn route vni " "(1-16777215)" " mac WORD [ip WORD]", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "MAC\n"
      "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
      "IP\n"
      "IP address (IPv4 or IPv6)\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_multicast_cmd_vtysh, 
      "show bgp evpn route vni " "(1-16777215)" " multicast A.B.C.D", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "Multicast (Type-3) route\n"
      "Originating Router IP address\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_summary_cmd_vtysh, 
      "show bgp evpn summary [json]",  "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "Summary of BGP neighbor status\n" "JavaScript Object Notation\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_vni_cmd_vtysh, 
      "show bgp evpn vni [" "(1-16777215)" "]",  "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "Show VNI\n"
      "VNI number\n")

DEFSH (VTYSH_BGPD, show_bgp_extcommunity_list_arg_cmd_vtysh, 
       "show bgp extcommunity-list <(1-500)|WORD>", 
       "Show running system information\n"
       "BGP information\n"
       "List extended-community list\n"
       "Extcommunity-list number\n"
       "Extcommunity-list name\n")

DEFSH (VTYSH_BGPD, show_bgp_extcommunity_list_cmd_vtysh, 
       "show bgp extcommunity-list", 
       "Show running system information\n"
       "BGP information\n"
       "List extended-community list\n")

DEFSH (VTYSH_BGPD, show_bgp_instance_all_ipv6_updgrps_cmd_vtysh, 
       "show [ip] bgp <view|vrf> all update-groups", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nAll Views/VRFs\n"
       "Detailed info about dynamic update groups\n")

DEFSH (VTYSH_BGPD, show_bgp_instance_updgrps_stats_cmd_vtysh, 
       "show [ip] bgp <view|vrf> VIEWVRFNAME update-groups statistics", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Detailed info about dynamic update groups\n"
       "Statistics\n")

DEFSH (VTYSH_BGPD, show_bgp_ip_vpn_all_rd_cmd_vtysh, 
       "show bgp ""<ipv4|ipv6>"" vpn all [rd ASN:NN_OR_IP-ADDRESS:NN] [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Address Family\n" "Address Family\n"
       "Display VPN NLRI specific information\n"
       "Display VPN NLRI specific information\n"
       "Display information for a route distinguisher\n"
       "VPN Route Distinguisher\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_ip_vpn_rd_cmd_vtysh, 
       "show bgp ""<ipv4|ipv6>"" vpn rd ASN:NN_OR_IP-ADDRESS:NN [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Address Family\n" "Address Family\n"
       "Display VPN NLRI specific information\n"
       "Display information for a route distinguisher\n"
       "VPN Route Distinguisher\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_es_cmd_vtysh, 
      "show bgp l2vpn evpn es [ESI] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "ethernet-Segment\n"
      "Ethernet-Segment Identifier\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_import_rt_cmd_vtysh, 
      "show bgp l2vpn evpn import-rt [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Show import route target\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_cmd_vtysh, 
      "show bgp l2vpn evpn route [type <macip|multicast|es|prefix>] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Specify Route type\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n"
      "Ethernet Segment (type-4) route \n"
      "Prefix (type-5 )route\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_esi_cmd_vtysh, 
      "show bgp l2vpn evpn route esi ESI [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Ethernet Segment Identifier\n"
      "ESI ID\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_rd_cmd_vtysh, 
      "show bgp l2vpn evpn route rd ASN:NN_OR_IP-ADDRESS:NN [type <macip|multicast|es|prefix>] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Route Distinguisher\n"
      "ASN:XX or A.B.C.D:XX\n"
      "Specify Route type\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n"
      "Ethernet Segment route\n"
      "Prefix route\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_rd_macip_cmd_vtysh, 
      "show bgp l2vpn evpn route rd ASN:NN_OR_IP-ADDRESS:NN mac WORD [ip WORD] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Route Distinguisher\n"
      "ASN:XX or A.B.C.D:XX\n"
      "MAC\n"
      "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
      "IP\n"
      "IP address (IPv4 or IPv6)\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_all_cmd_vtysh, 
      "show bgp l2vpn evpn route vni all [vtep A.B.C.D] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "All VNIs\n"
      "Remote VTEP\n"
      "Remote VTEP IP address\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_cmd_vtysh, 
      "show bgp l2vpn evpn route vni " "(1-16777215)" " [<type <macip|multicast> | vtep A.B.C.D>] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "Specify Route type\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n"
      "Remote VTEP\n"
      "Remote VTEP IP address\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_macip_cmd_vtysh, 
      "show bgp l2vpn evpn route vni " "(1-16777215)" " mac WORD [ip WORD] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "MAC\n"
      "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
      "IP\n"
      "IP address (IPv4 or IPv6)\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_multicast_cmd_vtysh, 
      "show bgp l2vpn evpn route vni " "(1-16777215)" " multicast A.B.C.D [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "Multicast (Type-3) route\n"
      "Originating Router IP address\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_summary_cmd_vtysh, 
      "show bgp [vrf VRFNAME] l2vpn evpn summary [json]", 
      "Show running system information\n"
      "BGP information\n"
      "bgp vrf\n"
      "vrf name\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Summary of BGP neighbor status\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_updgrps_cmd_vtysh, 
 "show [ip] bgp l2vpn evpn update-groups", 
 "Show running system information\n"
 "IP information\n"
 "BGP information\n"
 "l2vpn address family\n"
 "evpn sub-address family\n"
 "Detailed info about dynamic update groups\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_vni_cmd_vtysh, 
      "show bgp l2vpn evpn vni [" "(1-16777215)" "] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Show VNI\n"
      "VNI number\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_vrf_import_rt_cmd_vtysh, 
      "show bgp l2vpn evpn vrf-import-rt [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Show vrf import route target\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_lcommunity_list_arg_cmd_vtysh, 
       "show bgp large-community-list <(1-500)|WORD>", 
       "Show running system information\n"
       "BGP information\n"
       "List large-community list\n"
       "large-community-list number\n"
       "large-community-list name\n")

DEFSH (VTYSH_BGPD, show_bgp_lcommunity_list_cmd_vtysh, 
       "show bgp large-community-list", 
       "Show running system information\n"
       "BGP information\n"
       "List large-community list\n")

DEFSH (VTYSH_BGPD, show_bgp_martian_nexthop_db_cmd_vtysh, 
      "show bgp [<view|vrf> VIEWVRFNAME] martian next-hop", 
      "Show running system information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n"
      "martian next-hops\n"
      "martian next-hop database\n")

DEFSH (VTYSH_BGPD, show_bgp_memory_cmd_vtysh, 
       "show [ip] bgp memory", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Global BGP memory statistics\n")

DEFSH (VTYSH_BGPD, show_bgp_peerhash_cmd_vtysh, 
       "show bgp peerhash", 
       "Show running system information\n"
       "BGP information\n"
       "Display information about the BGP peerhash\n")

DEFSH (VTYSH_BGPD, show_bgp_updgrps_stats_cmd_vtysh, 
       "show [ip] bgp update-groups statistics", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Detailed info about dynamic update groups\n"
       "Statistics\n")

DEFSH (VTYSH_BGPD, show_bgp_views_cmd_vtysh, 
       "show [ip] bgp views", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Show the defined BGP views\n")

DEFSH (VTYSH_BGPD, show_bgp_vrf_l3vni_info_cmd_vtysh, 
       "show bgp vrf VRFNAME vni [json]", 
       "Show running system information\n"
       "BGP information\n"
       "show bgp vrf\n"
       "VRF Name\n"
       "L3-VNI\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_vrfs_cmd_vtysh, 
       "show [ip] bgp vrfs [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Show BGP VRFs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_dataplane_cmd_vtysh, 
       "show zebra dplane [detailed]", 
       "Show running system information\n"
       "Zebra information\n"
       "Zebra dataplane information\n"
       "Detailed output\n")

DEFSH (VTYSH_ZEBRA, show_dataplane_providers_cmd_vtysh, 
       "show zebra dplane providers [detailed]", 
       "Show running system information\n"
       "Zebra information\n"
       "Zebra dataplane information\n"
       "Zebra dataplane provider information\n"
       "Detailed output\n")

DEFSH (VTYSH_ZEBRA, show_evpn_global_cmd_vtysh, 
       "show evpn [json]", 
       "Show running system information\n"
       "EVPN\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_cmd_vtysh, 
       "show evpn mac vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_dad_cmd_vtysh,  "show evpn mac vni all duplicate [json]",  "Show running system information\n" "EVPN\n" "MAC addresses\n" "VxLAN Network Identifier\n" "All VNIs\n" "Duplicate address list\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_detail_cmd_vtysh, 
       "show evpn mac vni all detail [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Detailed Information On Each VNI MAC\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_vtep_cmd_vtysh, 
       "show evpn mac vni all vtep A.B.C.D [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Remote VTEP\n"
       "Remote VTEP IP address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_dad_cmd_vtysh,  "show evpn mac vni " "(1-16777215)" " duplicate" "[json]",  "Show running system information\n" "EVPN\n" "MAC addresses\n" "VxLAN Network Identifier\n" "VNI number\n" "Duplicate address list\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_mac_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" " mac WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "MAC\n"
       "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_vtep_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" " vtep A.B.C.D" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Remote VTEP\n"
       "Remote VTEP IP address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_all_cmd_vtysh, 
       "show evpn arp-cache vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_all_dad_cmd_vtysh,  "show evpn arp-cache vni all duplicate [json]",  "Show running system information\n" "EVPN\n" "ARP and ND cache\n" "VxLAN Network Identifier\n" "All VNIs\n" "Duplicate address list\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_all_detail_cmd_vtysh, 
       "show evpn arp-cache vni all detail [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Neighbor details for all vnis in detail\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_dad_cmd_vtysh,  "show evpn arp-cache vni " "(1-16777215)" "duplicate" "[json]",  "Show running system information\n" "EVPN\n" "ARP and ND cache\n" "VxLAN Network Identifier\n" "VNI number\n" "Duplicate address list\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_neigh_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" " ip WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Neighbor\n"
       "Neighbor address (IPv4 or IPv6 address)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_vtep_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" " vtep A.B.C.D [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Remote VTEP\n"
       "Remote VTEP IP address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_nh_vni_all_cmd_vtysh, 
       "show evpn next-hops vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "Remote VTEPs\n"
       "L3 VNI\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_nh_vni_cmd_vtysh, 
       "show evpn next-hops vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "Remote Vteps\n"
       "L3 VNI\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_nh_vni_ip_cmd_vtysh, 
       "show evpn next-hops vni " "(1-16777215)" " ip WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "Remote Vteps\n"
       "L3 VNI\n"
       "VNI number\n"
       "Ip address\n"
       "Host address (ipv4 or ipv6)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_rmac_vni_all_cmd_vtysh, 
       "show evpn rmac vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "RMAC addresses\n"
       "L3 VNI\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_rmac_vni_cmd_vtysh, 
       "show evpn rmac vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "RMAC\n"
       "L3 VNI\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_rmac_vni_mac_cmd_vtysh, 
       "show evpn rmac vni " "(1-16777215)" " mac WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "RMAC\n"
       "L3 VNI\n"
       "VNI number\n"
       "MAC\n"
       "mac-address (e.g. 0a:0a:0a:0a:0a:0a)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_vni_cmd_vtysh, 
       "show evpn vni [json]", 
       "Show running system information\n"
       "EVPN\n"
       "VxLAN Network Identifier\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_vni_detail_cmd_vtysh, 
       "show evpn vni detail [json]", 
       "Show running system information\n"
       "EVPN\n"
       "VxLAN Network Identifier\n"
       "Detailed Information On Each VNI\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_vni_vni_cmd_vtysh, 
       "show evpn vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_interface_cmd_vtysh, 
       "show interface [vrf NAME]", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_interface_desc_cmd_vtysh, 
       "show interface description [vrf NAME]", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface description\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_interface_desc_vrf_all_cmd_vtysh, 
       "show interface description vrf all", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface description\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_interface_name_vrf_all_cmd_vtysh, 
       "show interface IFNAME [vrf all]", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface name\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_interface_name_vrf_cmd_vtysh, 
       "show interface IFNAME vrf NAME", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface name\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_interface_vrf_all_cmd_vtysh, 
       "show interface vrf all", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_ALL, show_ip_access_list_cmd_vtysh, 
       "show ip access-list", 
       "Show running system information\n"
       "IP information\n"
       "List IP access lists\n")

DEFSH (VTYSH_ALL, show_ip_access_list_name_cmd_vtysh, 
       "show ip access-list <(1-99)|(100-199)|(1300-1999)|(2000-2699)|WORD>", 
       "Show running system information\n"
       "IP information\n"
       "List IP access lists\n"
       "IP standard access list\n"
       "IP extended access list\n"
       "IP standard access list (expanded range)\n"
       "IP extended access list (expanded range)\n"
       "IP zebra access-list\n")

DEFSH (VTYSH_BGPD, show_ip_as_path_access_list_all_cmd_vtysh, 
       "show ip as-path-access-list", 
       "Show running system information\n"
       "IP information\n"
       "List AS path access lists\n")

DEFSH (VTYSH_BGPD, show_ip_as_path_access_list_cmd_vtysh, 
       "show ip as-path-access-list WORD", 
       "Show running system information\n"
       "IP information\n"
       "List AS path access lists\n"
       "AS path access list name\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_attr_info_cmd_vtysh, 
       "show [ip] bgp attribute-info", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "List all bgp attribute information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]]          <dampening <parameters>           |route-map WORD           |prefix-list WORD           |filter-list WORD           |statistics           |community-list <(1-500)|WORD> [exact-match]           |A.B.C.D/M longer-prefixes           |X:X::X:X/M longer-prefixes	  >", 
# 9390 "./bgpd/bgp_route.c"
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display detailed information about dampening\n"
       "Display detail of configured dampening parameters\n"
       "Display routes matching the route-map\n"
       "A route-map to match on\n"
       "Display routes conforming to the prefix-list\n"
       "Prefix-list name\n"
       "Display routes conforming to the filter-list\n"
       "Regular expression access list name\n"
       "BGP RIB advertisement statistics\n"
       "Display routes matching the community-list\n"
       "community-list number\n"
       "community-list name\n"
       "Exact match of the communities\n"
       "IPv4 prefix\n"
       "Display route and more specific routes\n"
       "IPv6 prefix\n"
       "Display route and more specific routes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_community_info_cmd_vtysh, 
       "show [ip] bgp community-info", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "List all bgp community information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_evpn_rd_overlay_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN overlay", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n"
      "Display BGP Overlay Information for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_flowspec_routes_detailed_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" flowspec] detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "SAFI Flowspec\n"
       "Detailed information on flowspec entries\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_import_check_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] import-check-table [detail]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "BGP import check table\n"
       "Show detailed information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_all_cmd_vtysh, 
       "show [ip] bgp <view|vrf> all [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nAll Views/VRFs\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_all_nexthop_cmd_vtysh, 
       "show [ip] bgp <view|vrf> all nexthop", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nAll Views/VRFs\n"
       "BGP nexthop table\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_neighbor_advertised_route_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] "
       "neighbors <A.B.C.D|X:X::X:X|WORD> <advertised-routes|received-routes|filtered-routes> [route-map WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display the routes advertised to a BGP neighbor\n"
       "Display the received routes from neighbor\n"
       "Display the filtered routes received from neighbor\n"
       "Route-map to modify the attributes\n"
       "Name of the route map\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_neighbor_prefix_counts_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn>""]] "
       "neighbors <A.B.C.D|X:X::X:X|WORD> prefix-counts [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display detailed prefix count information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_updgrps_adj_s_cmd_vtysh,  "show [ip]$ip bgp [<view|vrf> VIEWVRFNAME$vrf] [<ipv4|ipv6>$afi <unicast|multicast|vpn>$safi] update-groups [SUBGROUP-ID]$sgid <advertise-queue|advertised-routes|packet-queue>$rtq",  "Show running system information\n" "IP information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n" "Address Family\nAddress Family\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Detailed info about dynamic update groups\n" "Specific subgroup to display info for\n" "Advertisement queue\n" "Announced routes\n" "Packet queue\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_json_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]]          [cidr-only          |dampening <flap-statistics|dampened-paths>          |community [AA:NN|local-AS|no-advertise|no-export                     |graceful-shutdown|no-peer|blackhole|llgr-stale|no-llgr                     |accept-own|accept-own-nexthop|route-filter-v6                     |route-filter-v4|route-filter-translated-v6                     |route-filter-translated-v4] [exact-match]          ] [json]", 
# 9474 "./bgpd/bgp_route.c"
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display only routes with non-natural netmasks\n"
       "Display detailed information about dampening\n"
       "Display flap statistics of routes\n"
       "Display paths suppressed due to dampening\n"
       "Display routes matching the communities\n"
       "Community number where AA and NN are (0-65535)\n"
       "Do not send outside local AS (well-known community)\n"
       "Do not advertise to any peer (well-known community)\n"
       "Do not export to next AS (well-known community)\n"
       "Graceful shutdown (well-known community)\n"
       "Do not export to any peer (well-known community)\n"
       "Inform EBGP peers to blackhole traffic to prefix (well-known community)\n"
       "Staled Long-lived Graceful Restart VPN route (well-known community)\n"
       "Removed because Long-lived Graceful Restart was not enabled for VPN route (well-known community)\n"
       "Should accept local VPN route if exported and imported into different VRF (well-known community)\n"
       "Should accept VPN route with local nexthop (well-known community)\n"
       "RT VPNv6 route filtering (well-known community)\n"
       "RT VPNv4 route filtering (well-known community)\n"
       "RT translated VPNv6 route filtering (well-known community)\n"
       "RT translated VPNv4 route filtering (well-known community)\n"
       "Exact match of the communities\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_neighbor_advertised_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn all neighbors A.B.C.D advertised-routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information about all EVPN NLRIs\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "Neighbor to display information about\n"
      "Display the routes advertised to a BGP neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_neighbor_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn all neighbors A.B.C.D routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information about all EVPN NLRIs\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "Neighbor to display information about\n"
      "Display routes learned from neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_overlay_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn all overlay", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information about all EVPN NLRIs\n"
      "Display BGP Overlay Information for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_route_prefix_cmd_vtysh, 
       "show [ip] bgp l2vpn evpn all <A.B.C.D|A.B.C.D/M> [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Layer 2 Virtual Private Network\n"
       "Ethernet Virtual Private Network\n"
       "Display information about all EVPN NLRIs\n"
       "Network in the BGP routing table to display\n"
       "Network in the BGP routing table to display\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_tags_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn all tags", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information about all EVPN NLRIs\n"
      "Display BGP tags for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn [json]", 
      "Show running system information\n" "IP information\n" "BGP information\n" "Layer 2 Virtual Private Network\n" "Ethernet Virtual Private Network\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_neighbor_advertised_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN neighbors A.B.C.D advertised-routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "Neighbor to display information about\n"
      "Display the routes advertised to a BGP neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_neighbor_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN neighbors A.B.C.D routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "Neighbor to display information about\n"
      "Display routes learned from neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_tags_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN tags", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n" "Display BGP tags for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_large_community_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] large-community [AA:BB:CC] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display routes matching the large-communities\n"
       "List of large-community numbers\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_large_community_list_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] large-community-list <(1-500)|WORD> [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display routes matching the large-community-list\n"
       "large-community-list number\n"
       "large-community-list name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_lcommunity_info_cmd_vtysh, 
       "show ip bgp large-community-info", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "List all bgp large-community information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbor_received_prefix_filter_cmd_vtysh, 
       "show [ip] bgp [<ipv4|ipv6> [unicast]] neighbors <A.B.C.D|X:X::X:X|WORD> received prefix-filter [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Address Family\n"
       "Address Family\n"
       "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display information received from a BGP neighbor\n"
       "Display the prefixlist filter\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbor_routes_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] "
       "neighbors <A.B.C.D|X:X::X:X|WORD> <flap-statistics|dampened-routes|routes> [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display flap statistics of the routes learned from neighbor\n"
       "Display the dampened routes received from neighbor\n"
       "Display routes learned from neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbors_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [<ipv4|ipv6>] neighbors [<A.B.C.D|X:X::X:X|WORD>] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\n"
       "Address Family\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_nexthop_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop [detail]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "BGP nexthop table\n"
       "Show detailed information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_paths_cmd_vtysh, 
       "show [ip] bgp [""<unicast|multicast|vpn>""] paths", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Path information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_peer_groups_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] peer-group [PGNAME]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Detailed information on BGP peer groups\n"
       "Peer group name\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_regexp_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] regexp REGEX...", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display routes matching the AS path regular expression\n"
       "A regular-expression to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_route_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]]"
       "<A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M> [<bestpath|multipath>] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Network in the BGP routing table to display\n"
       "IPv4 prefix\n"
       "Network in the BGP routing table to display\n"
       "IPv6 prefix\n"
       "Display only the bestpath\n"
       "Display only multipaths\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_route_leak_cmd_vtysh, 
 "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn>""]] route-leak  [json]", 
 "Show running system information\n"
 "IP information\n"
 "BGP information\n"
 "BGP view\nBGP VRF\nView/VRF name\n"
 "Address Family\nAddress Family\n"
 "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
 "Route leaking information\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_summary_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] summary [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Summary of BGP neighbor status\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_updgrps_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] update-groups [SUBGROUP-ID]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed info about dynamic update groups\n"
       "Specific subgroup to display detailed info for\n")

DEFSH (VTYSH_BGPD, show_ip_community_list_arg_cmd_vtysh, 
       "show ip community-list <(1-500)|WORD>", 
       "Show running system information\n"
       "IP information\n"
       "List community-list\n"
       "Community-list number\n"
       "Community-list name\n")

DEFSH (VTYSH_BGPD, show_ip_community_list_cmd_vtysh, 
       "show ip community-list", 
       "Show running system information\n"
       "IP information\n"
       "List community-list\n")

DEFSH (VTYSH_BGPD, show_ip_extcommunity_list_arg_cmd_vtysh, 
       "show ip extcommunity-list <(1-500)|WORD>", 
       "Show running system information\n"
       "IP information\n"
       "List extended-community list\n"
       "Extcommunity-list number\n"
       "Extcommunity-list name\n")

DEFSH (VTYSH_BGPD, show_ip_extcommunity_list_cmd_vtysh, 
       "show ip extcommunity-list", 
       "Show running system information\n"
       "IP information\n"
       "List extended-community list\n")

DEFSH (VTYSH_ZEBRA, show_ip_forwarding_cmd_vtysh, 
       "show ip forwarding", 
       "Show running system information\n"
       "IP information\n"
       "IP forwarding status\n")

DEFSH (VTYSH_ZEBRA, show_ip_import_check_cmd_vtysh,  "show <ip$ipv4|ipv6$ipv6> import-check [vrf NAME$vrf_name|vrf all$vrf_all]",  "Show running system information\n" "IP information\n" "IPv6 Information\n" "IP import check tracking table\n" "Specify the VRF\nThe VRF name\n" "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_BGPD, show_ip_lcommunity_list_arg_cmd_vtysh, 
       "show ip large-community-list <(1-500)|WORD>", 
       "Show running system information\n"
       "IP information\n"
       "List large-community list\n"
       "large-community-list number\n"
       "large-community-list name\n")

DEFSH (VTYSH_BGPD, show_ip_lcommunity_list_cmd_vtysh, 
       "show ip large-community-list", 
       "Show running system information\n"
       "IP information\n"
       "List large-community list\n")

DEFSH (VTYSH_ZEBRA, show_ip_nht_cmd_vtysh, 
       "show ip nht [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "IP nexthop tracking table\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_ip_nht_vrf_all_cmd_vtysh, 
       "show ip nht vrf all", 
       "Show running system information\n"
       "IP information\n"
       "IP nexthop tracking table\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_cmd_vtysh,  "show ip prefix-list [WORD [seq$dseq (1-4294967295)$arg]]",  "Show running system information\n" "IP information\n" "Build a prefix list\n" "Name of a prefix list\n" "sequence number of an entry\n" "Sequence number\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_detail_cmd_vtysh,  "show ip prefix-list detail [WORD$prefix_list]",  "Show running system information\n" "IP information\n" "Build a prefix list\n" "Detail of prefix lists\n" "Name of a prefix list\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_prefix_cmd_vtysh,  "show ip prefix-list WORD A.B.C.D/M$prefix [longer$dl|first-match$dfm]",  "Show running system information\n" "IP information\n" "Build a prefix list\n" "Name of a prefix list\n" "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n" "Lookup longer prefix\n" "First matched prefix\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_summary_cmd_vtysh,  "show ip prefix-list summary [WORD$prefix_list]",  "Show running system information\n" "IP information\n" "Build a prefix list\n" "Summary of prefix lists\n" "Name of a prefix list\n")

DEFSH (VTYSH_ZEBRA, show_ip_protocol_cmd_vtysh,  "show ip protocol [vrf <NAME$vrf_name|all$vrf_all>]",  "Show running system information\n" "IP information\n" "IP protocol filtering status\n" "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_ip_protocol_nht_cmd_vtysh,  "show ip nht route-map [vrf <NAME$vrf_name|all$vrf_all>]",  "Show running system information\n" "IP information\n" "IP nexthop tracking table\n" "IP Next Hop tracking filtering status\n" "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_ip_rpf_addr_cmd_vtysh, 
       "show ip rpf A.B.C.D", 
       "Show running system information\n"
       "IP information\n"
       "Display RPF information for multicast source\n"
       "IP multicast source address (e.g. 10.0.0.0)\n")

DEFSH (VTYSH_ZEBRA, show_ip_rpf_cmd_vtysh, 
       "show ip rpf [json]", 
       "Show running system information\n"
       "IP information\n"
       "Display RPF information for multicast source\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ALL, show_ipv6_access_list_cmd_vtysh, 
       "show ipv6 access-list", 
       "Show running system information\n"
       "IPv6 information\n"
       "List IPv6 access lists\n")

DEFSH (VTYSH_ALL, show_ipv6_access_list_name_cmd_vtysh, 
       "show ipv6 access-list WORD", 
       "Show running system information\n"
       "IPv6 information\n"
       "List IPv6 access lists\n"
       "IPv6 zebra access-list\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_forwarding_cmd_vtysh, 
       "show ipv6 forwarding", 
       "Show running system information\n"
       "IPv6 information\n"
       "Forwarding status\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_mroute_cmd_vtysh, 
       "show ipv6 mroute [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 Multicast routing table\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_mroute_vrf_all_cmd_vtysh, 
       "show ipv6 mroute vrf all", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 Multicast routing table\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_nht_cmd_vtysh, 
       "show ipv6 nht [vrf NAME]", 
       "Show running system information\n"
       "IPv6 information\n"
       "IPv6 nexthop tracking table\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_nht_vrf_all_cmd_vtysh, 
       "show ipv6 nht vrf all", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 nexthop tracking table\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_cmd_vtysh,  "show ipv6 prefix-list [WORD [seq$dseq (1-4294967295)$arg]]",  "Show running system information\n" "IPv6 information\n" "Build a prefix list\n" "Name of a prefix list\n" "sequence number of an entry\n" "Sequence number\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_detail_cmd_vtysh,  "show ipv6 prefix-list detail [WORD$prefix-list]",  "Show running system information\n" "IPv6 information\n" "Build a prefix list\n" "Detail of prefix lists\n" "Name of a prefix list\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_prefix_cmd_vtysh,  "show ipv6 prefix-list WORD X:X::X:X/M$prefix [longer$dl|first-match$dfm]",  "Show running system information\n" "IPv6 information\n" "Build a prefix list\n" "Name of a prefix list\n" "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n" "Lookup longer prefix\n" "First matched prefix\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_summary_cmd_vtysh,  "show ipv6 prefix-list summary [WORD$prefix-list]",  "Show running system information\n" "IPv6 information\n" "Build a prefix list\n" "Summary of prefix lists\n" "Name of a prefix list\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_protocol_cmd_vtysh,  "show ipv6 protocol [vrf <NAME$vrf_name|all$vrf_all>]",  "Show running system information\n" "IPv6 Information\n" "IPv6 protocol filtering status\n" "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_protocol_nht_cmd_vtysh,  "show ipv6 nht route-map [vrf <NAME$vrf_name|all$vrf_all>]",  "Show running system information\n" "IPv6 Information\n" "Next Hop filtering status\n" "Route-map\n" "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_ALL, show_mac_access_list_cmd_vtysh, 
       "show mac access-list", 
       "Show running system information\n"
       "mac access lists\n"
       "List mac access lists\n")

DEFSH (VTYSH_ALL, show_mac_access_list_name_cmd_vtysh, 
       "show mac access-list WORD", 
       "Show running system information\n"
       "mac access lists\n"
       "List mac access lists\n"
       "mac address\n")

DEFSH (VTYSH_ZEBRA, show_mpls_fec_cmd_vtysh, 
       "show mpls fec [<A.B.C.D/M|X:X::X:X/M>]", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS FEC table\n"
       "FEC to display information about\n"
       "FEC to display information about\n")

DEFSH (VTYSH_ZEBRA, show_mpls_status_cmd_vtysh, 
       "show mpls status", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS status\n")

DEFSH (VTYSH_ZEBRA, show_mpls_table_cmd_vtysh, 
       "show mpls table [json]", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS table\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_mpls_table_lsp_cmd_vtysh, 
       "show mpls table (16-1048575) [json]", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS table\n"
       "LSP to display information about\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_pbr_ipset_cmd_vtysh, 
       "show pbr ipset [WORD]", 
       "Show running system information\n"
       "Policy-Based Routing\n"
       "IPset Context information\n"
       "IPset Name information\n")

DEFSH (VTYSH_ZEBRA, show_pbr_iptable_cmd_vtysh, 
       "show pbr iptable [WORD]", 
       "Show running system information\n"
       "Policy-Based Routing\n"
       "IPtable Context information\n"
       "IPtable Name information\n")

DEFSH (VTYSH_ZEBRA, show_pseudowires_cmd_vtysh, 
       "show mpls pseudowires", 
       "Show running system information\n"
       "MPLS information\n"
       "Pseudowires\n")

DEFSH (VTYSH_ZEBRA, show_route_cmd_vtysh,  "show         <	  ip$ipv4 <fib$fib|route> [vrf <NAME$vrf_name|all$vrf_all>]	   [{	    tag (1-4294967295)	    |A.B.C.D/M$prefix longer-prefixes	    |supernets-only$supernets_only	   }]	   [<	    " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" "$type_str	    |ospf$type_str (1-65535)$ospf_instance_id	   >]          |ipv6$ipv6 <fib$fib|route> [vrf <NAME$vrf_name|all$vrf_all>]	   [{	    tag (1-4294967295)	    |X:X::X:X/M$prefix longer-prefixes	   }]	   [" "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>" "$type_str]	 >        [json$json]",  "Show running system information\n" "IP information\n" "IP forwarding table\n" "IP routing table\n" "Specify the VRF\nThe VRF name\nAll VRFs\n" "Show only routes with tag\n" "Tag value\n" "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n" "Show route matching the specified Network/Mask pair only\n" "Show supernet entries only\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Open Shortest Path First (OSPFv2)\n" "Instance ID\n" "IPv6 information\n" "IP forwarding table\n" "IP routing table\n" "Specify the VRF\nThe VRF name\nAll VRFs\n" "Show only routes with tag\n" "Tag value\n" "IPv6 prefix\n" "Show route matching the specified Network/Mask pair only\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_route_detail_cmd_vtysh,  "show         <          ip$ipv4 route [vrf <NAME$vrf_name|all$vrf_all>]          <	   A.B.C.D$address	   |A.B.C.D/M$prefix	  >          |ipv6$ipv6 route [vrf <NAME$vrf_name|all$vrf_all>]          <	   X:X::X:X$address	   |X:X::X:X/M$prefix	  >	 >	 [json$json]",  "Show running system information\n" "IP information\n" "IP routing table\n" "Specify the VRF\nThe VRF name\nAll VRFs\n" "Network in the IP routing table to display\n" "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n" "IPv6 Information\n" "IP routing table\n" "Specify the VRF\nThe VRF name\nAll VRFs\n" "IPv6 Address\n" "IPv6 prefix\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_route_summary_cmd_vtysh,  "show         <          ip$ipv4 route [vrf <NAME$vrf_name|all$vrf_all>]            summary [prefix$prefix]          |ipv6$ipv6 route [vrf <NAME$vrf_name|all$vrf_all>]	    summary [prefix$prefix]	 >",  "Show running system information\n" "IP information\n" "IP routing table\n" "Specify the VRF\nThe VRF name\nAll VRFs\n" "Summary of all routes\n" "Prefix routes\n" "IPv6 Information\n" "IP routing table\n" "Specify the VRF\nThe VRF name\nAll VRFs\n" "Summary of all routes\n" "Prefix routes\n")

DEFSH (VTYSH_ZEBRA, show_route_table_cmd_vtysh,  "show <ip$ipv4|ipv6$ipv6> route table (1-4294967295)$table [json$json]",  "Show running system information\n" "IP information\n" "IPv6 Information\n" "IP routing table\n" "Table to display\n" "The table number to display,  if available\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_route_table_vrf_cmd_vtysh,  "show <ip$ipv4|ipv6$ipv6> route table (1-4294967295)$table vrf NAME$vrf_name [json$json]",  "Show running system information\n" "IP information\n" "IPv6 Information\n" "IP routing table\n" "Table to display\n" "The table number to display,  if available\n" "Specify the VRF\nThe VRF name\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_rpki_cache_connection_cmd_vtysh, 
       "show rpki cache-connection", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "Show to which RPKI Cache Servers we have a connection\n")

DEFSH (VTYSH_BGPD, show_rpki_cache_server_cmd_vtysh, 
       "show rpki cache-server", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "SHOW configured cache server\n")

DEFSH (VTYSH_BGPD, show_rpki_prefix_table_cmd_vtysh, 
       "show rpki prefix-table", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "Show validated prefixes which were received from RPKI Cache\n")

DEFSH (VTYSH_ZEBRA, show_table_cmd_vtysh, 
       "show table", 
       "Show running system information\n"
       "default routing table to use for all clients\n")

DEFSH (VTYSH_ZEBRA, show_vrf_cmd_vtysh, 
       "show vrf", 
       "Show running system information\n"
       "VRF\n")

DEFSH (VTYSH_ZEBRA, show_vrf_vni_cmd_vtysh, 
       "show vrf vni [json]", 
       "Show running system information\n"
       "VRF\n"
       "VNI\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_WATCHFRR, show_watchfrr_cmd_vtysh, 
       "show watchfrr", 
       "Show running system information\n"
       "watchfrr information\n")

DEFSH (VTYSH_ZEBRA, show_zebra_client_cmd_vtysh, 
       "show zebra client", 
       "Show running system information\n"
       "Zebra information\n"
       "Client information\n")

DEFSH (VTYSH_ZEBRA, show_zebra_client_summary_cmd_vtysh, 
       "show zebra client summary", 
       "Show running system information\n"
       "Zebra information\n"
       "Client information brief\n"
       "Brief Summary\n")

DEFSH (VTYSH_ZEBRA, show_zebra_cmd_vtysh, 
       "show zebra", 
       "Show running system information\n"
       "Zebra information\n")

DEFSH (VTYSH_ZEBRA, show_zebra_fpm_stats_cmd_vtysh, 
       "show zebra fpm stats", 
       "Show running system information\n"
       "Zebra information\n"
       "Forwarding Path Manager information\n"
       "Statistics\n")

DEFSH (VTYSH_ZEBRA, shutdown_if_cmd_vtysh, 
       "shutdown", 
       "Shutdown the selected interface\n")

DEFSH (VTYSH_BGPD, test_adv_evpn_type4_route_cmd_vtysh, 
      "advertise es ESI", 
      "Advertise EVPN ES route\n"
      "Ethernet-segment\n"
      "Ethernet-Segment Identifier\n")

DEFSH (VTYSH_BGPD, test_withdraw_evpn_type4_route_cmd_vtysh, 
      "withdraw es ESI", 
      "Advertise EVPN ES route\n"
      "Ethernet-segment\n"
      "Ethernet-Segment Identifier\n")

DEFSH (VTYSH_BGPD, vpnv4_network_cmd_vtysh, 
       "network A.B.C.D/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575)", 
       "Specify a network to announce via BGP\n"
       "IPv4 prefix\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n")

DEFSH (VTYSH_BGPD, vpnv4_network_route_map_cmd_vtysh, 
       "network A.B.C.D/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575) route-map WORD", 
       "Specify a network to announce via BGP\n"
       "IPv4 prefix\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n"
       "route map\n"
       "route map name\n")

DEFSH (VTYSH_BGPD, vpnv6_network_cmd_vtysh, 
       "network X:X::X:X/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575) [route-map WORD]", 
       "Specify a network to announce via BGP\n"
       "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n"
       "route map\n"
       "route map name\n")

DEFSH (VTYSH_VRF, vrf_debug_cmd_vtysh, 
      "debug vrf", 
      "Debugging functions\n"
      "VRF Debugging\n")

DEFSH (VTYSH_ZEBRA, vrf_vni_mapping_cmd_vtysh, 
       "vni " "(1-16777215)" "[prefix-routes-only]", 
       "VNI corresponding to tenant VRF\n"
       "VNI-ID\n"
       "prefix-routes-only\n")

DEFSH (VTYSH_ALL, vty_access_class_cmd_vtysh, 
       "access-class WORD", 
       "Filter connections based on an IP access list\n"
       "IP access list\n")

DEFSH (VTYSH_ALL, vty_ipv6_access_class_cmd_vtysh, 
       "ipv6 access-class WORD", 
       "IPv6 information\n"
       "Filter connections based on an IP access list\n"
       "IPv6 access list\n")

DEFSH (VTYSH_ALL, vty_login_cmd_vtysh, 
       "login", 
       "Enable password checking\n")

DEFSH (VTYSH_ZEBRA, zebra_dplane_queue_limit_cmd_vtysh, 
       "zebra dplane limit (0-10000)", 
       "Zebra information\n"
       "Zebra dataplane\n"
       "Limit incoming queued updates\n"
       "Number of queued updates\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, zebra_packet_process_cmd_vtysh, 
       "zebra zapi-packets (1-10000)", 
       "Zebra information\n"
       "Zapi Protocol\n"
       "Number of packets to process before relinquishing thread\n")

DEFSH (VTYSH_ZEBRA, zebra_route_map_timer_cmd_vtysh, 
       "zebra route-map delay-timer (0-600)", 
       "Zebra information\n"
       "Set route-map parameters\n"
       "Time to wait before route-map updates are processed\n"
       "0 means event-driven updates are disabled\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, zebra_workqueue_timer_cmd_vtysh, 
       "zebra work-queue (0-10000)", 
       "Zebra information\n"
       "Work Queue\n"
       "Time in milliseconds\n")

void
vtysh_init_cmd ()
{
  install_element (BFD_NODE, &bfd_no_peer_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_echo_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_shutdown_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_detectmultiplier_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_echointerval_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_label_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_recvinterval_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_txinterval_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_flood_control_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_type5_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &test_adv_evpn_type4_route_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_all_vni_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_default_gw_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_autort_rfc8365_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_default_originate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &dup_addr_detection_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &dup_addr_detection_auto_recovery_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &evpnrt5_network_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_type5_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_all_vni_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_default_gw_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_autort_rfc8365_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_default_originate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_dup_addr_detection_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_evpnrt5_network_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_vrf_rd_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_vrf_rt_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_vni_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_vrf_rd_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_vrf_rt_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &test_withdraw_evpn_type4_route_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_advertise_default_gw_vni_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_advertise_vni_subnet_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_advertise_default_gw_vni_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_advertise_vni_subnet_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rd_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rd_without_val_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rt_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rt_without_val_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_vni_rd_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_vni_rt_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &bgp_fs_local_install_ifname_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_imexport_vpn_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_routetarget_import_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_imexport_vrf_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_nexthop_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_nexthop_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_redistribute_ipv4_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_redistribute_ipv4_ospf_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_metric_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_rmap_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_metric_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_rmap_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &ipv6_bgp_network_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_imexport_vpn_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_routetarget_import_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_imexport_vrf_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_bgp_network_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_nexthop_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_local_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_ipv6_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_local_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_nexthop_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_redistribute_ipv6_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_metric_rmap_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_metric_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_rmap_metric_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_rmap_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &bgp_enforce_first_as_cmd_vtysh);
  install_element (BGP_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_NODE, &bgp_always_compare_med_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_aspath_confed_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_aspath_ignore_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_aspath_multipath_relax_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_compare_router_id_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_med_cmd_vtysh);
  install_element (BGP_NODE, &bgp_client_to_client_reflection_cmd_vtysh);
  install_element (BGP_NODE, &bgp_cluster_id_cmd_vtysh);
  install_element (BGP_NODE, &bgp_confederation_identifier_cmd_vtysh);
  install_element (BGP_NODE, &bgp_confederation_peers_cmd_vtysh);
  install_element (BGP_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_ipv4_unicast_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_local_preference_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_show_hostname_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_subgroup_pkt_queue_max_cmd_vtysh);
  install_element (BGP_NODE, &bgp_deterministic_med_cmd_vtysh);
  install_element (BGP_NODE, &bgp_disable_connected_route_check_cmd_vtysh);
  install_element (BGP_NODE, &bgp_fast_external_failover_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_preserve_fw_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_restart_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_stalepath_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &bgp_listen_limit_cmd_vtysh);
  install_element (BGP_NODE, &bgp_listen_range_cmd_vtysh);
  install_element (BGP_NODE, &bgp_log_neighbor_changes_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxmed_admin_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxmed_admin_medv_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxmed_onstartup_cmd_vtysh);
  install_element (BGP_NODE, &bgp_network_import_check_exact_cmd_vtysh);
  install_element (BGP_NODE, &bgp_network_import_check_cmd_vtysh);
  install_element (BGP_NODE, &bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (BGP_NODE, &bgp_rr_allow_outbound_policy_cmd_vtysh);
  install_element (BGP_NODE, &bgp_router_id_cmd_vtysh);
  install_element (BGP_NODE, &bgp_coalesce_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_NODE, &bgp_distance_source_cmd_vtysh);
  install_element (BGP_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxpaths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxpaths_ibgp_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxpaths_ibgp_cluster_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_port_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_disable_connected_check_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_activate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_addpath_tx_all_paths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_advertise_interval_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_allowas_in_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_as_override_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_attr_unchanged_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_param_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_type_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_capability_dynamic_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_capability_enhe_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_capability_orf_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_default_originate_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_default_originate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_description_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_distribute_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_dont_capability_negotiate_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_ebgp_multihop_ttl_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_ebgp_multihop_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_enforce_first_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_filter_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_local_as_no_prepend_replace_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_local_as_no_prepend_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_local_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_threshold_restart_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_threshold_warning_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_threshold_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_restart_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_warning_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_nexthop_self_force_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_nexthop_self_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_override_capability_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_passive_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_password_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_set_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_prefix_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_all_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_route_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_route_reflector_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_route_server_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_send_community_type_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_send_community_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_shutdown_msg_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_soft_reconfiguration_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_solo_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_strict_capability_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_timers_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_timers_connect_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_ttl_security_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_unsuppress_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_update_source_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_weight_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_config_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_config_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_config_v6only_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_v6only_config_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_NODE, &no_auto_summary_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_always_compare_med_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_aspath_confed_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_aspath_ignore_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_aspath_multipath_relax_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_compare_router_id_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_med_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_client_to_client_reflection_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_cluster_id_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_confederation_identifier_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_confederation_peers_cmd_vtysh);
  install_element (BGP_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_ipv4_unicast_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_local_preference_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_show_hostname_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_subgroup_pkt_queue_max_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_deterministic_med_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_disable_connected_route_check_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_fast_external_failover_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_preserve_fw_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_restart_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_stalepath_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_listen_limit_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_listen_range_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_log_neighbor_changes_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxmed_admin_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxmed_onstartup_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_network_import_check_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_rr_allow_outbound_policy_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_router_id_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_coalesce_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_distance_source_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxpaths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxpaths_ibgp_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_port_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_disable_connected_check_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_activate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_addpath_tx_all_paths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_advertise_interval_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_allowas_in_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_as_override_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_attr_unchanged_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_bfd_type_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_bfd_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_capability_dynamic_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_capability_enhe_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_capability_orf_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_default_originate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_description_comment_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_description_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_distribute_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_dont_capability_negotiate_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_ebgp_multihop_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_enforce_first_as_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_filter_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_interface_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_local_as_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_maximum_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_nexthop_self_force_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_nexthop_self_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_override_capability_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_passive_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_password_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_set_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_prefix_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_all_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_route_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_route_reflector_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_route_server_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_send_community_type_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_send_community_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_shutdown_msg_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_soft_reconfiguration_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_solo_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_strict_capability_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_timers_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_timers_connect_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_ttl_security_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_unsuppress_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_update_source_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_weight_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_interface_config_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_interface_peer_group_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_evpn_vrf_rd_without_val_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_rpkt_quanta_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_redistribute_ipv4_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_synchronization_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_timers_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_update_delay_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_wpkt_quanta_cmd_vtysh);
  install_element (BGP_NODE, &bgp_rpkt_quanta_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_metric_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_rmap_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_metric_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_rmap_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_NODE, &bgp_timers_cmd_vtysh);
  install_element (BGP_NODE, &bgp_update_delay_establish_wait_cmd_vtysh);
  install_element (BGP_NODE, &bgp_update_delay_cmd_vtysh);
  install_element (BGP_NODE, &bgp_wpkt_quanta_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &vpnv4_network_route_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &vpnv4_network_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_vpnv4_network_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &vpnv6_network_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_vpnv6_network_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_pw_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_prefix_list_sequence_number_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_prefix_list_sequence_number_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_standard_nomask_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_standard_any_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_standard_host_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_mask_any_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_mask_host_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_any_mask_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_any_any_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_any_host_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_host_mask_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_host_any_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_extended_host_host_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_exact_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_any_cmd_vtysh);
  install_element (CONFIG_NODE, &allow_external_route_update_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_as_path_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_community_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_community_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_config_type_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_extcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_extcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_standard1_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_name_standard1_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_name_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_local_mac_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_multiple_instance_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_allow_martians_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_as4_segment_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_as4_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_flowspec_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_keepalive_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_labelpool_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_neighbor_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_pbr_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_groups_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_vpn_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rpki_cmd_vtysh);
  install_element (CONFIG_NODE, &vrf_debug_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_dplane_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_fpm_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_kernel_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_mpls_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_rib_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_vxlan_cmd_vtysh);
  install_element (CONFIG_NODE, &dump_bgp_all_cmd_vtysh);
  install_element (CONFIG_NODE, &fpm_remote_ip_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_as_path_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_community_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_community_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_extcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_extcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_zebra_import_table_distance_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_lcommunity_list_standard1_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_lcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_lcommunity_list_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_lcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_lcommunity_list_name_standard1_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_lcommunity_list_name_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_multicast_mode_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_prefix_list_description_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_access_list_exact_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_access_list_any_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_prefix_list_description_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &log_commands_cmd_vtysh);
  install_element (CONFIG_NODE, &mac_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &mac_access_list_any_cmd_vtysh);
  install_element (CONFIG_NODE, &mpls_label_bind_cmd_vtysh);
  install_element (CONFIG_NODE, &mpls_label_global_block_cmd_vtysh);
  install_element (CONFIG_NODE, &mpls_transit_lsp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_remark_comment_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_standard_nomask_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_standard_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_standard_host_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_mask_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_mask_host_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_any_mask_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_any_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_any_host_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_host_mask_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_host_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_extended_host_host_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_exact_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_allow_external_route_update_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_as_path_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_as_path_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_standard_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_expanded_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_config_type_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_standard_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_expanded_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_local_mac_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_multiple_instance_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_allow_martians_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_as4_segment_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_as4_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_bestpath_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_flowspec_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_keepalive_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_labelpool_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_neighbor_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_pbr_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_groups_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_vpn_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rpki_cmd_vtysh);
  install_element (CONFIG_NODE, &no_vrf_debug_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_dplane_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_fpm_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_kernel_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_mpls_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_rib_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_vxlan_cmd_vtysh);
  install_element (CONFIG_NODE, &no_dump_bgp_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_fpm_remote_ip_cmd_vtysh);
  install_element (CONFIG_NODE, &no_interface_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_as_path_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_as_path_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_community_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_community_list_standard_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_community_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_community_list_expanded_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_extcommunity_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_extcommunity_list_standard_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_extcommunity_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_extcommunity_list_expanded_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_zebra_import_table_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_lcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_lcommunity_list_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_lcommunity_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_lcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_lcommunity_list_name_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_lcommunity_list_name_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_multicast_mode_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_description_comment_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_description_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_exact_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_remark_comment_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_description_comment_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_description_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &no_key_chain_cmd_vtysh);
  install_element (CONFIG_NODE, &no_logicalrouter_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mac_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mac_access_list_any_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_label_bind_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_label_global_block_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_transit_lsp_out_label_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_transit_lsp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_transit_lsp_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_pseudowire_if_cmd_vtysh);
  install_element (CONFIG_NODE, &no_route_map_cmd_vtysh);
  install_element (CONFIG_NODE, &no_route_map_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_bgp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &no_service_advanced_vty_cmd_vtysh);
  install_element (CONFIG_NODE, &no_config_table_cmd_vtysh);
  install_element (CONFIG_NODE, &no_default_vrf_vni_mapping_cmd_vtysh);
  install_element (CONFIG_NODE, &no_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_dplane_queue_limit_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_route_map_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_workqueue_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_packet_process_cmd_vtysh);
  install_element (CONFIG_NODE, &router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &service_advanced_vty_cmd_vtysh);
  install_element (CONFIG_NODE, &config_table_cmd_vtysh);
  install_element (CONFIG_NODE, &default_vrf_vni_mapping_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_dplane_queue_limit_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_route_map_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_workqueue_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_packet_process_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_pw_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_bgp_instance_ipv6_safi_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_all_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_bgp_ipv6_safi_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_evpn_dup_addr_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_address_mask_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_address_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_prefix_list_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ipv6_prefix_list_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_zebra_fpm_stats_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_allow_martians_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_as4_segment_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_as4_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_flowspec_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_keepalive_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_labelpool_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_neighbor_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_pbr_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_groups_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_vpn_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rpki_cmd_vtysh);
  install_element (ENABLE_NODE, &vrf_debug_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_dplane_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_fpm_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_kernel_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_mpls_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_rib_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_vxlan_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_allow_martians_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_as4_segment_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_as4_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_bestpath_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_flowspec_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_keepalive_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_labelpool_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_neighbor_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_pbr_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_groups_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_vpn_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rpki_cmd_vtysh);
  install_element (ENABLE_NODE, &no_vrf_debug_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_dplane_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_fpm_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_kernel_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_mpls_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_rib_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_vxlan_cmd_vtysh);
  install_element (ENABLE_NODE, &bgp_rpki_start_cmd_vtysh);
  install_element (ENABLE_NODE, &bgp_rpki_stop_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ip_bgp_instance_neighbor_prefix_counts_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peer_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peers_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peers_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &show_interface_desc_cmd_vtysh);
  install_element (ENABLE_NODE, &show_interface_desc_vrf_all_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ip_access_list_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ip_access_list_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ipv6_access_list_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ipv6_access_list_cmd_vtysh);
  install_element (ENABLE_NODE, &show_mac_access_list_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_mac_access_list_cmd_vtysh);
  install_element (ENABLE_NODE, &rmap_show_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_rpki_cache_connection_cmd_vtysh);
  install_element (ENABLE_NODE, &show_rpki_cache_server_cmd_vtysh);
  install_element (ENABLE_NODE, &show_rpki_prefix_table_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_client_summary_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_client_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_fpm_stats_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &config_write_integrated_cmd_vtysh);
  install_element (INTERFACE_NODE, &bandwidth_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_desc_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_address_peer_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_address_label_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_address_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_broadcast_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_disable_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_messages_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_misc_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_packet_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_holdtime_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_maxadvertinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_minadvertinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_multicast_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_shutdown_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &linkdetect_cmd_vtysh);
  install_element (INTERFACE_NODE, &multicast_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_bandwidth_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_interface_desc_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_address_peer_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_address_label_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_irdp_address_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_irdp_shutdown_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_irdp_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_linkdetect_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_multicast_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_shutdown_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &shutdown_if_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_day_month_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_day_month_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_duration_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_infinite_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_month_day_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_month_day_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_duration_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_infinite_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &key_string_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_accept_lifetime_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_key_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_key_chain_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_key_string_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_send_lifetime_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_day_month_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_day_month_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_duration_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_infinite_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_month_day_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_month_day_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_duration_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_infinite_month_day_cmd_vtysh);
  install_element (KEYCHAIN_NODE, &no_key_cmd_vtysh);
  install_element (KEYCHAIN_NODE, &no_key_chain_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_admin_grp_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_ava_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_delay_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_delay_var_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_enable_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_maxbw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_max_rsv_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_metric_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_inter_as_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_admin_grp_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_ava_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_delay_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_delay_var_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_enable_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_metric_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_inter_as_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_pkt_loss_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_res_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_use_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_pkt_loss_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_res_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_unrsv_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_use_bw_cmd_vtysh);
  install_element (NH_GROUP_NODE, &ecmp_nexthops_cmd_vtysh);
  install_element (PW_NODE, &pseudowire_control_word_cmd_vtysh);
  install_element (PW_NODE, &pseudowire_labels_cmd_vtysh);
  install_element (PW_NODE, &pseudowire_neighbor_cmd_vtysh);
  install_element (RIPNG_NODE, &distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &ipv6_distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &no_distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &no_ipv6_distribute_list_cmd_vtysh);
  install_element (RIP_NODE, &distribute_list_cmd_vtysh);
  install_element (RIP_NODE, &no_distribute_list_cmd_vtysh);
  install_element (RIP_NODE, &no_if_rmap_cmd_vtysh);
  install_element (RIP_NODE, &if_rmap_cmd_vtysh);
  install_element (RMAP_NODE, &set_ip_nexthop_peer_cmd_vtysh);
  install_element (RMAP_NODE, &set_ip_nexthop_unchanged_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_call_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_continue_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_description_cmd_vtysh);
  install_element (RMAP_NODE, &match_aspath_cmd_vtysh);
  install_element (RMAP_NODE, &match_community_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_default_route_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_route_type_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_vni_cmd_vtysh);
  install_element (RMAP_NODE, &match_ecommunity_cmd_vtysh);
  install_element (RMAP_NODE, &match_interface_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_address_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_nexthop_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_next_hop_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_route_source_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_route_source_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_address_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &match_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &match_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &match_mac_address_cmd_vtysh);
  install_element (RMAP_NODE, &match_metric_cmd_vtysh);
  install_element (RMAP_NODE, &match_origin_cmd_vtysh);
  install_element (RMAP_NODE, &match_peer_cmd_vtysh);
  install_element (RMAP_NODE, &match_peer_local_cmd_vtysh);
  install_element (RMAP_NODE, &match_probability_cmd_vtysh);
  install_element (RMAP_NODE, &match_rpki_cmd_vtysh);
  install_element (RMAP_NODE, &match_source_instance_cmd_vtysh);
  install_element (RMAP_NODE, &match_source_protocol_cmd_vtysh);
  install_element (RMAP_NODE, &match_tag_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_call_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_continue_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_description_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_aspath_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_community_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_default_route_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_route_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_vni_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ecommunity_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_interface_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_address_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_nexthop_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_next_hop_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_route_source_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_route_source_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_address_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_mac_address_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_metric_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_origin_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_peer_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_probability_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_rpki_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_source_instance_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_source_protocol_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_tag_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_onmatch_goto_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_onmatch_next_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipx_vpn_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aggregator_as_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_exclude_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_exclude_all_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_prepend_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_atomic_aggregate_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_community_delete_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_community_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_community_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_rt_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_rt_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_soo_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_soo_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ip_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_global_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_local_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_peer_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_prefer_global_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_label_index_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity_delete_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity_delete_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity1_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity1_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_metric_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_origin_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_originator_id_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_src_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_tag_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_weight_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_onmatch_goto_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_onmatch_next_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipx_vpn_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &set_aggregator_as_cmd_vtysh);
  install_element (RMAP_NODE, &set_aspath_exclude_cmd_vtysh);
  install_element (RMAP_NODE, &set_aspath_prepend_asn_cmd_vtysh);
  install_element (RMAP_NODE, &set_aspath_prepend_lastas_cmd_vtysh);
  install_element (RMAP_NODE, &set_atomic_aggregate_cmd_vtysh);
  install_element (RMAP_NODE, &set_community_delete_cmd_vtysh);
  install_element (RMAP_NODE, &set_community_cmd_vtysh);
  install_element (RMAP_NODE, &set_community_none_cmd_vtysh);
  install_element (RMAP_NODE, &set_ecommunity_rt_cmd_vtysh);
  install_element (RMAP_NODE, &set_ecommunity_soo_cmd_vtysh);
  install_element (RMAP_NODE, &set_ip_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_global_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_local_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_peer_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_prefer_global_cmd_vtysh);
  install_element (RMAP_NODE, &set_label_index_cmd_vtysh);
  install_element (RMAP_NODE, &set_lcommunity_delete_cmd_vtysh);
  install_element (RMAP_NODE, &set_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &set_lcommunity_none_cmd_vtysh);
  install_element (RMAP_NODE, &set_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &set_metric_cmd_vtysh);
  install_element (RMAP_NODE, &set_origin_cmd_vtysh);
  install_element (RMAP_NODE, &set_originator_id_cmd_vtysh);
  install_element (RMAP_NODE, &set_src_cmd_vtysh);
  install_element (RMAP_NODE, &set_tag_cmd_vtysh);
  install_element (RMAP_NODE, &set_weight_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_cache_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_expire_interval_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_synchronisation_timeout_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_polling_period_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_retry_interval_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_timeout_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_cache_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_expire_interval_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_synchronisation_timeout_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_polling_period_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_reset_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_retry_interval_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_timeout_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_import_check_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_table_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_table_vrf_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_instance_updgrps_stats_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_all_nexthop_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_instance_all_ipv6_updgrps_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_paths_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbor_received_prefix_filter_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_route_leak_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_json_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_neighbor_advertised_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbor_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_large_community_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_large_community_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_regexp_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_updgrps_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_flowspec_routes_detailed_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbors_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_import_check_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_nexthop_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_peer_groups_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_attr_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_community_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_route_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_neighbor_advertised_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_neighbor_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_overlay_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_tags_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_neighbor_advertised_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_neighbor_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_evpn_rd_overlay_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_tags_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_updgrps_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_memory_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_updgrps_stats_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_views_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_vrfs_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_updgrps_adj_s_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_ip_vpn_all_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_afi_vpn_rd_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_ip_vpn_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_martian_nexthop_db_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_as_path_access_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_as_path_access_list_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_community_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_community_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_import_rt_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_rd_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_multicast_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_extcommunity_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_extcommunity_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_es_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_import_rt_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_esi_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_rd_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_multicast_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_vrf_import_rt_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_lcommunity_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_lcommunity_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_peerhash_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_vrf_l3vni_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_global_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_neigh_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_vtep_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_all_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_all_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_mac_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_vtep_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_vtep_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_nh_vni_ip_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_nh_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_nh_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_rmac_vni_mac_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_rmac_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_rmac_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_vni_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_vni_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_name_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_name_vrf_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_as_path_access_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_as_path_access_list_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_lcommunity_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_community_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_community_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_extcommunity_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_extcommunity_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_forwarding_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_lcommunity_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_lcommunity_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_protocol_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_nht_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_protocol_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rpf_addr_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rpf_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_forwarding_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_mroute_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_mroute_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_protocol_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_nht_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_protocol_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_fec_cmd_vtysh);
  install_element (VIEW_NODE, &show_pseudowires_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_status_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_table_lsp_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_table_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_ipset_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_iptable_cmd_vtysh);
  install_element (VIEW_NODE, &show_table_cmd_vtysh);
  install_element (VIEW_NODE, &show_vrf_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_vrf_cmd_vtysh);
  install_element (VIEW_NODE, &show_watchfrr_cmd_vtysh);
  install_element (VIEW_NODE, &show_dataplane_cmd_vtysh);
  install_element (VIEW_NODE, &show_dataplane_providers_cmd_vtysh);
  install_element (VRF_NODE, &ip_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &ip_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &ip_protocol_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_protocol_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_protocol_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_protocol_cmd_vtysh);
  install_element (VRF_NODE, &no_vrf_vni_mapping_cmd_vtysh);
  install_element (VRF_NODE, &vrf_vni_mapping_cmd_vtysh);
  install_element (VTY_NODE, &vty_access_class_cmd_vtysh);
  install_element (VTY_NODE, &exec_timeout_sec_cmd_vtysh);
  install_element (VTY_NODE, &exec_timeout_min_cmd_vtysh);
  install_element (VTY_NODE, &vty_ipv6_access_class_cmd_vtysh);
  install_element (VTY_NODE, &vty_login_cmd_vtysh);
  install_element (VTY_NODE, &no_vty_access_class_cmd_vtysh);
  install_element (VTY_NODE, &no_exec_timeout_cmd_vtysh);
  install_element (VTY_NODE, &no_vty_ipv6_access_class_cmd_vtysh);
  install_element (VTY_NODE, &no_vty_login_cmd_vtysh);
}
